# از NVDA تازه چه خبر؟

## توجه:

- چنانچه مایلید از نخستین کسانی باشید که لحظه به لحظه از تغییرات جدید NVDA آگاه می‌شوند، می‌توانید به کانال «NVDA فارسی» در تلگرام بپیوندید. از همین راه می‌توانید راه ارتباط با مترجم را نیز به دست آورید.
  - برای این کار، در کادر ویرایش جستجو در برنامه‌ی تلگرام، آی‌دی @nvda_fa را جستجو کنید، به کانال «NVDA فارسی» وارد شوید و دکمه‌ی پیوستن یا Join را بزنید.
- شما می‌توانید با استفاده از NVDA به روش بریل تایپ کنید. برای اطلاع از چگونگی این کار اینجا را ببینید.
- از نگارش ۲۰۲۲.۲، بخش تازه ای زیر عنوان Changes for developers به نام Deprecations در فایل What's new اضافه شده است که برای برنامه‌نویسان و توسعه‌دهندگان افزونه‌های NVDA بسیار سودمند است؛ از آنجا که مواردی را که در هر نگارش از NVDA در API صفحه‌خوان منسوخ یا با موارد جدیدتری جایگزین می‌شود را شرح می‌دهد. -می‌توانید برای پیگیری این بخش، سرنوشتارهای «Deprecations» را در متن انگلیسی ببینید.

## ۲۰۲۳.۳

این انتشار بهبودی‌هایی را در اجرا، پاسخگویی و پایداری خروجی صوتی در بر می‌گیرد. گزینه‌هایی برای کنترل کردن حجم صداها و بوق‌های NVDA، یا برای تنظیم آن‌ها به نحوی که از حجم صدایی که استفاده می‌کنید پیروی کنند، افزوده شده‌اند.

NVDA حالا می‌تواند بطور متناوب نتایج OCR را تازه سازد و متن جدید را بمحض ظاهر شدن بخواند. این ویژگی را می‌توانید در دسته‌ی نویسه‌خوان نوری ویندوز در تنظیمات NVDA پیکربندی کنید.

چندین اصلاح در بریل انجام شده؛ از جمله، بهبودی در شناسایی دستگاه‌ها و حرکت نشانگر. حالا برای بهبود روند اجرای شناسایی خودکار، خارج کردن درایورهای ناخواسته از شناسایی خودکار امکانپذیر است. همچنین فرمان‌های جدیدی برای BRLTTY وجود دارد.

اشکالاتی در فروشگاه افزونه‌ها، مایکروسافت آفیس، منوهای محتوایی Microsoft Edge و ماشین‌حساب ویندوز رفع شده است.

### امکانات جدید

- مدیریت بهبود‌یافته‌ی صدا:
  - دسته‌ی جدید در تنظیمات به عنوان «صدا»:
    - می‌توانید این تنظیم جدید را با `NVDA+control+u` باز کنید. (#15497)
    - گزینه‌ای در تنظیمات صدا برای پیروی حجم صداها و بوق‌های NVDA از حجم صدایی که درحال حاضر از آن استفاده می‌کنید. (#1409)
    - گزینه‌ای در تنظیمات صدا برای پیکربندی جداگانه‌ی حجم صداهای NVDA. (#1409, #15038)
    - تنظیمات تغییر دستگاه خروجی صدا و کم کردن صدای پس‌زمینه، از پنجره‌ی انتخاب موتور سخنگو، به صفحه‌ی جدید تنظیمات صدا منتقل شد. این گزینه‌ها در نسخه‌ی ۲۰۲۴.۱، از پنجره‌ی انتخاب موتور سخنگو حذف خواهند شد. (#15486, #8711)
  - NVDA حالا می‌تواند صدا را از طریق رابط برنامه‌نویسی «نشست صوتی ویندوز» (WASAPI) خروجی بدهد. این ویژگی ممکن است پاسخ‌گویی، اجرا و پایداری گفتار و صداهای NVDA را بهبود ببخشد. (#14697, #11169, #11615, #5096, #10185, #11061)
  - استفاده از WASAPI را می‌توانید در تنظیمات پیشرفته غیرفعال کنید. چنانچه WASAPI فعال شود، تنظیمات پیشرفته‌ی زیر را هم می‌توان انجام داد:
    - گزینه‌ای که حجم صداها و بوق‌های NVDA را همگام با تنظیمات حجم صدایی که استفاده می‌کنید تنظیم کند. (#1409)
    - گزینه‌ای برای اینکه حجم صداهای NVDA را جداگانه تنظیم کنید. (#1409, #15038)
  - توجه: WASAPI با بعضی افزونه‌ها ناسازگار است. بروزرسانی‌های سازگاری برای این افزونه‌ها موجود است. لطفا پیش از بروزرسانی NVDA، آن‌ها را بروز کنید. نسخه‌های ناسازگار این افزونه‌ها هنگام بروزرسانی NVDA غیرفعال خواهند شد:
    - Tony's Enhancements، نسخه‌ی ۱.۱۵ یا قدیمیتر. (#15402)
    - NVDA global commands extension، نسخه‌ی ۱۲.۰.۸ یا قدیمیتر. (#15443)
- NVDA حالا هنگام اجرای شناسایی نوری نویسه‌ها (OCR)، می‌تواند بطور مداوم، نتیجه را بروز کند. در این حالت، بمحض ظاهر شدن متن جدید، متن توسط NVDA خوانده می‌شود. (#2797)
  - برای فعال کردن این قابلیت، گزینه‌ی «تازه‌سازی متناوب محتوای بازشناسی‌شده» را در دسته‌ی «نویسه‌خوان نوری ویندوز» در تنظیمات NVDA فعال کنید.
  - زمانی که گزینه‌ی فوق فعال باشد، می‌توانید خواندن متن جدید را با استفاده از «اعلام تغییر محتوای پویا» (با فشردن `NVDA+5`) فعال یا غیرفعال کنید.
- هنگام استفاده از شناسایی خودکار نمایشگرهای بریل، حالا خارج کردن درایورها از فرایند شناسایی، از پنجره‌ی انتخاب نمایشگر بریل امکانپذیر است. (#15196)
- یک گزینه‌ی جدید در تنظیمات قالب‌بندی اسناد: نادیده گرفتن خط‌های خالی هنگام اعلام تورفتگی خط‌ها. (#13394)
- یک فرمان بدون کلید میانبر برای پیمایش بر اساس گروه‌های برگه‌ها (tab grouping) در حالت مرور افزوده شد. (#15046)

### تغییرات

- بریل:
  - وقتی در یک پایانه، یک متن بدون بروزرسانی نشانگر تغییر می‌کند، متن روی نمایشگر بریل، هنگامی که نمایشگر روی خط تغییریافته قرار دارد، بدرستی بروز می‌شود. این، موقعیت‌هایی که بریل متصل به بازبینی است را شامل می‌شود. (#15115)
  - کلیدهای میانبر بیشتری در BRLTTY به فرمان‌های NVDA اختصاص یافته‌اند: (#6483):
    - `learn`: راهنمای ورودی NVDA را فعال یا غیرفعال می‌کند.
    - `prefmenu`: منوی NVDA را باز می‌کند.
    - `prefload`/`prefsave`: پیکربندی NVDA را بارگذاری/ذهیره می‌کند.
    - `time`: زمان را نمایش می‌دهد.
    - `say_line`: خط جاری را که مکان‌نمای بازبینی در آن قرار دارد می‌خوانَد.
    - `say_below`: همه را توسط مکان‌نمای بازبینی می‌خوانَد.
  - درایور BRLTTY فقط وقتی که یک جلسه‌ی BRLTTY همراه با BRLAPI در حال اجرا باشد موجود است. (#15335)
  - تنظیم پیشرفته برای فعال کردن پشتیبانی از بریل HID به خاطر یک گزینه‌ی جدید حذف شده است. حالا می‌توانید درایورهای معینی را برای شناسایی خودکار نمایشگرهای بریل در پنجره‌ی انتخاب نمایشگر بریل غیرفعال کنید. (#15196)
- فروشگاه افزونه‌ها: افزونه‌های نصب‌شده، اگر در فروشگاه موجود باشند، حالا در برگه‌ی افزونه‌های موجود فهرست می‌شوند. (#15374)
- برخی کلیدهای میانبر در منوی NVDA بروز شدند. (#15364)

### رفع اشکال

- مایکروسافت آفیس:
  - خطایی که در Word هنگام فعال نبودن گزینه‌های «اعلام سرنوشتارها» و «اعلام یادداشت‌ها و توضیح‌ها» از قالب‌بندی اسناد رخ می‌داد، برطرف شد. (#15019)
  - ترازبندی متن در Word و Excel در بیشتر موقعیت‌ها بدرستی اعلام خواهد شد. (#15206, #15220)
  - اعلام بعضی میانبرهای قالببندی خانه‌ها در اکسل اصلاح شد. (#15527)
- مایکروسافت اِج:
  - NVDA هنگام باز کردن منوی محتوایی در مایکروسافت اِج، دیگر به آخرین موقعیت حالت مرور باز نمی‌گردد. (#15309)
  - NVDA یک بار دیگر می‌تواند منوی محتوایی دانلودها را در مایکروسافت اِج بخواند. (#14916)
- بریل:
  - مکان‌نمای بریل و نشانگرهای انتخاب بعد از نمایش دادن یا پنهان کردن نشانگرها با یک فرمان، حالا همیشه بدرستی بروز می‌شوند. (#15115)
  - اشکالی که باعث می‌شد نمایشگرهای بریل Albatross با وجود اتصال یک نمایشگر بریل دیگر، تلاش کنند آغاز به کار کنند، برطرف شد. (#15226)
- فروشگاه افزونه‌ها:
  - اشکالی که با برداشتن علامت افزونه‌های ناسازگار موجود ایجاد میشد و باعث می‌شد که افزونه‌های ناسازگار همچنان در فروشگاه فهرست شوند، برطرف شد. (#15411)
    - افزونه‌هایی که به دلایل سازگاری مسدود شده‌اند، اکنون باید هنگام تغییر وضعیت فیلتر برای وضعیت فعال/غیرفعال، بدرستی فیلتر شوند. (#15416)
    - اشکالی که از بروزرسانی یا جایگزینی افزونه‌های ناسازگار نصب‌شده و فعال‌شده توسط ابزار بیرونی نصب جلوگیری میکرد، برطرف شد. (#15417)
    - اشکالی که NVDA بعد از نصب افزونه سخن نمی‌گفت، برطرف شد. (#14525)
    - اشکالی که چنانچه دانلود قبلی دچار خطا می‌شد یا لغو می‌شد، افزونه‌ها نمی‌توانستند نصب شوند، برطرف شد. (#15469)
    - مشکلاتی که هنگام ارتقای NVDA برای مدیریت افزونه‌های ناسازگار پیش می‌آمد، برطرف شد. (#15414, #15412, #15437)
- NVDA بار دیگر نتایج محاسبه را در ماشین‌حساب ویندوز ۳۲-بیتی در نسخه‌های ویندوزهای Server، LTSC و LTSB اعلام می‌کند. (#15284)
- NVDA هنگامی که یک پنجره‌ی تودرتو (grand child window) در فکوس قرار می‌گیرد، دیگر تغییرات فکوس را نادیده نمی‌گیرد. (#15432)
- علت بالقوه‌ی توقف اجرا هنگام شروع کار NVDA برطرف شد. (#15517)

## ۲۰۲۳.۲

این انتشار، فروشگاه افزونه‌ها را برای جایگزینی با مدیریت افزونه‌ها معرفی می‌کند. می‌توانید در فروشگاه افزونه‌ها، افزونه‌های انجمن را مرور، جستجو، نصب و بروز کنید. می‌توانید حالا مشکلات ناسازگاری با افزونه‌های قدیمی را بطور دستی، با مسؤولیت خودتان برطرف کنید.

امکانات و فرمان‌های جدید در بریل و پشتیبانی از نمایشگرهای جدید موجود است. همچنین، فرمان‌های ورودی جدیدی برای نویسه‌خوان نوری و پیمایش شیئی مسطح نیز وجود دارد. پیمایش و اعلام قالب‌بندی در آفیس بهبود یافته است.

رفع اشکال‌های بسیاری بویژه در بریل، آفیس، مرورگرهای وب و ویندوز ۱۱ انجام شده است.

eSpeak-NG، برگرداننده‌ی بریل LibLouis و Unicode CLDR بروز شده اند.

### امکانات جدید

- فروشگاه افزونه‌ها به NVDA افزوده شد. (#13985)
  - افزونه‌های انجمن را مرور، جستجو، نصب و بروز کنید.
  - مشکلات ناسازگاری با افزونه‌های قدیمی را بطور دستی برطرف کنید.
  - مدیر افزونه‌ها حذف و با فروشگاه افزونه‌ها جایگزین شد.
  - لطفا راهنمای کاربری بروزشده را برای اطلاعات بیشتر بخوانید.
- فرمانهای ورودی جدید:
  - یک فرمان بدون کلید میانبر برای گشتن بین زبان‌های موجود در نویسه‌خوان نوری ویندوز. (#13036)
  - یک فرمان بدون کلید میانبر برای گشتن بین حالت‌های نمایش پیام در بریل. (#14864)
  - یک فرمان بدون کلید میانبر برای فعال یا غیرفعال کردن نمایش نشانگر انتخاب در بریل. (#14948)
  - کلیدهای پیشفرضی برای رفتن به شیء بعدی و قبلی در یک نمای مسطح در سلسله مراتب اشیاء افزوده شد. (#15053)
    - رومیزی: NVDA+9 و NVDA+3 در صفحه‌کلید اعداد، به ترتیب، برای رفتن به شیء قبلی و بعدی.
    - لپتاپ: `shift+NVDA+[` و `shift+NVDA+]` به ترتیب، برای رفتن به شیء قبلی و بعدی.
- امکانات جدید بریل:
  - پشتیبانی از نمایشگر بریل Help Tech Activator افزوده شد. (#14917)
  - گزینه‌ای جدید برای فعال یا غیرفعال کردن نمایش نشانگر انتخاب (نقطه‌های ۷ و ۸). (#14948)
  - گزینه‌ای جدید برای حرکت دادن اختیاری نشانگر سیستم یا فکوس، هنگام تغییر موقعیت مکان‌نمای بازبینی با کلیدهای جانمایی بریل (routing) (#14885, #3166)
  - هنگام سه بار فشردن کلید ۲ ماشین‌حساب برای اعلام مقدار عددی نویسه‌ی قرارگرفته در مکان‌نمای بازبینی، حالا اطلاعات بصورت بریل هم نمایش داده می‌شوند. (#14826)
  - پشتیبانی از ویژگی aria-brailleroledescription در ARIA 1.3 که به نویسندگان وب اجازه می‌دهد نوع سازه‌ای که روی نمایشگر بریل نشان داده می‌شود را نادیده بگیرند. (#14748)
  - درایور بریل Baum: چند فرمان بریل برای اجرای فرمان‌های متداول صفحه‌کلیدی، مانند windows+d و alt+tab افزوده شد. لطفا برای فهرست کامل به راهنمای کاربر NVDA مراجعه کنید. (#14714)
- تلفظ‌های نمادهای یونیکُد افزوده شد:
  - نمادهای بریل، مثل ⠐⠣⠃⠗⠇⠐⠜. (#13778)
  - نماد کلید گزینه‌ی مک ⌥. (#14682)
- فرمان‌هایی برای نمایشگرهای بریل Tivomatic Caiku Albatross افزوده شد. (#14844, #15002)
  - نمایش پنجره‌ی تنظیمات بریل
  - دسترسی به نوار وضعیت
  - تغییر شکل‌های مکان‌نمای بریل
  - تغییر حالت‌های نمایش پیام‌ها در بریل
  - فعال یا غیر فعال کردن مکان‌نمای بریل
  - فعال یا غیرفعال کردن وضعیت نمایش نشانگر انتخاب در بریل
  - تغییر حالت «حرکت نشانگر سیستم در بریل هنگام جابجایی به مکان‌نمای بازبینی» (#15122)
- امکانات مایکروسافت آفیس:
  - هنگامی که متن‌های برجسته در قالب‌بندی اسناد فعال باشند، رنگ‌های برجسته در Microsoft Word اعلام می‌شود. (#7396, #12101, #5866)
  - وقتی رنگ‌ها در قالب‌بندی اسناد فعال باشند، رنگ‌های پس‌زمینه در Microsoft Word اعلام می‌شوند. (#5866)
  - هنگامی که از میانبرهای اکسل برای تغییر قالب‌بندی‌ها، مثل درشت، کج‌نوشت، زیرخط‌دار و خط‌خورده، در یک خانه از اکسل استفاده می‌کنید، نتیجه اعلام می‌شود. (#14923)
- مدیریت پیشرفته‌ی صدا بطور آزمایشی:
  - NVDA حالا می‌تواند صدا را از طریق رابط برنامه‌نویسی «نشست صوتی ویندوز» (WASAPI) خروجی بدهد. این ویژگی ممکن است پاسخ‌گویی، اجرا و پایداری گفتار و صداهای NVDA را بهبود ببخشد. (#14697)
  - استفاده از WASAPI را می‌توانید در تنظیمات پیشرفته فعال کنید. افزون بر این، چنانچه WASAPI فعال شود، تنظیمات پیشرفته‌ی زیر را هم می‌توان انجام داد:
    - گزینه‌ای که حجم صداها و بوق‌های NVDA را همگام با تنظیمات حجم صدایی که استفاده می‌کنید تنظیم کند. (#1409)
    - گزینه‌ای برای اینکه حجم صداهای NVDA را جداگانه تنظیم کنید. (#1409, #15038)
  - هنگامی که WASAPI فعال است، مشکل شناخته‌شده‌ای وجود دارد که باعث توقف‌های متناوب می‌شود. (#15150)
- در فایرفاکس و کروم، Nvda حالا اعلام می‌کند که یک کنترل پنجره‌ی محاوره‌ای، جدول، فهرست یا درختواره باز می‌کند؛ اگر نویسنده‌ی صفحه‌ی وب این را با استفاده از aria-haspopup مشخص کرده باشد. (#8235)
- حالا هنگام ساختن نسخه‌ی قابل حمل از NVDA، می‌توانید از متغیرهای سیستم، (مثل %temp% یا %homepath%) در تعیین مسیر استفاده کنید. (#14680)
- در بروزرسانی مه ۲۰۱۹ ویندوز ۱۰ و بالاتر، NVDA می‌تواند نام‌های میزِکارهای مجازی را هنگام باز کردن، تغییر دادن و بستنشان بخواند. (#5641)
- یک پارامتر فراگیر سیستمی افزوده شده که به کاربران و مدیران اجازه می‌دهد NVDA را وا دارند در حالت امن آغاز به کار کند. (#10018)

### تغییرات

- بروزرسانی اجزای برنامه:
  - eSpeak NG به نگارش ۱.۵۲-dev ویراست ed9a7bcf بروز شده است. (#15036)
  - برگرداننده‌ی بریل LibLouis به نگارش ۳.۲۶.۰ بروز شد. (#14970)
  - CLDR به نگارش ۴۳.۰ بروز شده است. (#14918)
- تغییرات LibreOffice:
  - در LibreOffice Writer ۷.۶ و جدیدتر، مشابه آنچه که در Microsoft Word انجام شده است، هنگام اعلام موقعیت مکان‌نمای بازبینی، موقعیت نشانگر یا مکان‌نما حالا نسبت به صفحه‌ی جاری اعلام می‌شود. (#11696)
  - اعلام نوار وضعیت (که مثلا با NVDA+end انجام می‌شود) حالا برای LibreOffice هم کار می‌کند. (#11698)
  - چنانچه اعلام مختصات خانه‌ها در تنظیمات NVDA غیرفعال باشد، هنگامی که در LibreOffice Calc به یک خانه‌ی متفاوت بروید، NVDA دیگر بنادرستی، مختصات خانه‌ای که قبلا در فکوس بوده را اعلام نمی‌کند. (#15098)
- تغییرات بریل:
  - وقتی از یک نمایشگر بریل از طریق یک درایور استاندارد HID استفاده می‌کنید، می‌توانید برای شبیه‌سازی کلیدهای جهت‌نما و اینتر از dpad استفاده کنید. همچنین فاصله+نقطه‌ی ۱ و فاصله+نقطه‌ی ۴ به جهتنماهای بالا و پایین اختصاص یافته‌اند. (#14713)
  - بروزرسانی‌های محتوای پویای وب (ARIA live regions( حالا در نمایشگر بریل نمایش داده می‌شوند. می‌توانید این ویژگی را در تنظیمات پیشرفته‌ی NVDA غیرفعال کنید. (#7756)
- نمادهای Dash و em-dash همیشه به موتور سخن‌گو فرستاده می‌شوند. (#13830)
- فاصله‌ای که در Microsoft Word اعلام می‌شود، حالا به واحدی که در گزینه‌های پیشرفته‌ی Word تعیین شده است توجه می‌کند؛ حتی هنگامی که با استفاده از UIA به سندهای Word دسترسی بیابید. (#14542)
- NVDA هنگام حرکت دادن مکان‌نما در کنترل‌های ویرایشی، سریعتر پاسخ می‌دهد. (#14708)
- فرمان اعلام مقصد لینک، به جای اعلام لینک موجود در محل پیمایشگر، حالا چنانچه لینکی در موقعیت نشانگر یا فکوس باشد، آن را اعلام می‌کند. (#14659)
- ایجاد نسخه‌ی قابل حمل NVDA، دیگر نیازی به وارد کردن یک حرف درایو به عنوان بخشی از مسیر دقیق ایجاد نسخه ندارد. (#14680)
- اگر ویندوز تنظیم شده باشد که ثانیه‌ها را در ساعت سیستم نشان بدهد، استفاده از NVDA+F12 برای اعلام ساعت، حالا به آن تنظیم توجه می‌کند. (#14742)
- NVDA حالا در جایی مثل منوهای نسخه‌های اخیر آفیس ۳۶۵، گروه‌بندی‌های بدون برچسبی را که اطلاعات موقعیتی مفیدی دارند اعلام می‌کند. (#14878)

### رفع اشکال

- بریل:
  - اصلاحات پایداری متعددی برای ورودی و خروجی نمایشگرهای بریل انجام شده که در نتیجه، موجب شده که خطاها و توقف‌های کمتری برای NVDA ایجاد شود. (#14627)
  - NVDA در طی فرایند شناسایی خودکار، دیگر بطور غیرضروری چندین بار به «بریل موجود نیست» سویچ نمی‌کند. در نتیجه، لاگ تمیزتر و خلوتتری خواهد داشت. (#14524)
  - NVDA حالا هنگامی که یک دستگاه بلوتوث HID (مثل HumanWare Brailliant یا APH Mantis) بطور خودکار شناسایی شود و امکان اتصال با USB موجود باشد، به اتصال USB برمی‌گردد. این قبلا فقط برای درگاه‌های سریال بلوتوث کار می‌کرد. (#14524)
  - وقتی نمایشگر بریلی متصل نباشد و نمایشگر مجازی بریل با alt+f4 یا کلیک روی دکمه‌ی Close بسته شود، اندازه‌ی نمایشگر زیرسیستم بریل دوباره به بدون خانه تنظیم خواهد شد. (#15214)
- مرورگرهای وب:
  - NVDA دیگر باعث نمی‌شود فایرفاکس هر از چندگاهی متوقف شود یا پاسخ ندهد. (#14647)
  - در فایرفاکس و کروم، نویسه‌های تایپ‌شده دیگر در بعضی کادرهای ویرایشی خوانده نمی‌شوند؛ حتی هنگامی که خواندن نویسه‌های تایپ‌شده غیرفعال باشد. (#8442)
  - می‌توانید از حالت مرور در کنترل‌های جاسازی‌شده‌ی کرومیوم که قبلا امکان‌پذیر نبود استفاده کنید. (#13493, #8553)
  - در فایرفاکس، بردن موس روی متن بعد از لینک حالا بدرستی متن را اعلام می‌کند. (#9235)
  - در کروم و اِج، مقصد لینک‌های گرافیکی حالا در بیشتر موارد دقیقتر اعلام می‌شود. (#14783)
  - هنگام تلاش برای اعلام نشانی لینکی که ویژگی href ندارد، NVDA دیگر ساکت نمی‌شود؛ در عوض، اعلام می‌کند که لینک مقصدی ندارد. (#14723)
  - در حالت مرور، NVDA دیگر بطور نادرست فکوسی را که از یک کنترل والد یا فرزند حرکت می‌کند، مثل حرکت کردن از یک کنترل به مورد فهرست والد یا خانه‌ی جدول نادیده نمی‌گیرد. (#14611)
    - توجه کنید که به هر حال، این اصلاح تنها هنگامی که گزینه‌ی «تنظیم خودکار فکوس سیستم روی سازه‌های فکوس‌پذیر» در تنظیمات حالت مرور NVDA غیرفعال باشد، که بطور پیشفرض هست، اِعمال می‌شود.
- رفع اشکال‌هایی در ویندوز ۱۱:
  - NVDA می‌تواند یک بار دیگر محتویات نوار وضعیت در Notepad را بخواند. (#14573)
  - جابجا شدن بین زبانه‌ها در Notepad و File Explorer نام و موقعیت زبانه‌ی جدید را خواهد خواند. (#14587, #14388)
  - NVDA یک بار دیگر موارد کاندیدا را هنگام ورود متن در زبان‌هایی مثل چینی و ژاپنی اعلام می‌کند. (#14509)
  - می‌توانید دوباره موارد «مشارکت‌کنندگان» و «مجوز» را از منوی راهنمای NVDA باز کنید. (#14725)
- اصلاحات در Microsoft Office:
  - هنگامی که در خانه‌های اکسل بسرعت حرکت می‌کنید، حالا کمتر احتمال دارد NVDA خانه یا انتخاب اشتباهی را اعلام کند. (#14983, #12200, #12108)
  - هنگامی که از بیرونِ یک کار‌برگ روی یک خانه‌ی اکسل قرار می‌گیرید، بریل و برجسته‌ساز فکوس دیگر بطور غیرضروری به شیئی که قبلا فکوس داشته بروز نمی‌شوند. (#15136)
  - NVDA دیگر در اعلام فیلدهای گذرواژه‌ی دارای فکوس در Excell و Outlook دچار خطا نمی‌شود. (#14839)
- برای نمادهایی که در زبان جاری توضیح نماد ندارند، سطح نماد انگلیسی پیشفرض استفاده خواهد شد. (#14558, #14417)
- حالا می‌توانید از نویسه‌ی بک‌اِسلش در فیلد جایگزین یک ورودی دیکشنری، هنگامی که نوع ورودی روی عبارتِ مُنتظَم تنظیم نشده است استفاده کنید. (#14556)
- در ماشین‌حساب ویندزهای ۱۰ و ۱۱، یک نسخه‌ی قابل حمل NVDA دیگر هنگام ورود عبارت ریاضی در ماشین‌حساب استاندارد در حالت همپوشانی فشرده (compact overlay mode) از کار نمی‌افتد یا بوق‌های خطا پخش نمی‌کند. (#14679)
- NVDA دوباره در موقعیت‌های بیشتری بازیابی می‌شود؛ مانند برنامه‌هایی که پاسخ نمی‌دهند؛ که پیش از این باعث می‌شد NVDA بطور کامل متوقف شود. (#14759)
- هنگامی که پشتیبان از UIA را وادار به استفاده از بعضی پایانه‌ها و میزهای فرمان می‌کنید، اشکالی که باعث توقف می‌شد و فایل لاگ را پر از هرزنوشته می‌کرد برطرف شد. (#14689)
- NVDA دیگر بعد از بازتنظیم پیکربندی، از ذخیره‌ی پیکربندی سر باز نمی‌زند. (#13187)
- هنگام اجرای NVDA از برنامه‌ی راه‌انداز بطور موقت، دیگر کاربر را به اشتباه نمی‌اندازد که فکر کند می‌تواند پیکربندی را ذخیره کند. (#14914)
- NVDA حالا بطور کلی کمی سریعتر به فرمان‌ها و تغییرات فکوس پاسخ می‌دهد. (#14928)
- نمایش تنظیمات نویسه‌خوان نوری حالا دیگر روی بعضی سیستم‌ها دچار خطا نمی‌شود. (#15017)
- اشکالی که مربوط به ذخیره و بارگذاری پیکربندی‌های NVDA، از جمله تعویض موتورهای سخن‌گو می‌شد، برطرف شد. (#14760)
- اشکالی که باعث می‌شد حرکت لمسی بازبینی متن (کشش بالا) بجای بردن مکان‌نما به خط قبل، آن را به صفحه‌های قبلی ببرد، برطرف شد. (#15127)

## ۲۰۲۳.۱

یک گزینه‌ی جدید اضافه شده است: سبْکِ پاراگراف در پیمایش اسناد. این ویژگی می‌تواند در برنامه‌هایی که بطور بومی پیمایش پاراگرافی را پشتیبانی نمی‌کنند، مثل Notepad and Notepad++ استفاده شود.

فرمان سرتاسری تازه‌ای برای اعلام مقصد لینک‌ها وجود دارد که به کلیدهای NVDA+K متصل شده است.

پشتیبانی از محتوای وبِ دارای یادداشت، مانند دیدگاه‌ها و پانویس‌ها بهبود یافته است. NVDA+d را هنگامِ اعلامِ یادداشت‌ها، برای مرورِ مواردِ خلاصه فشار دهید. (مثلا، «دیدگاه دارد، پانویس دارد»).

نمایشگرهای بریل Caiku Albatross ۴۶ و ۸۰ خانه‌ای از شرکت Tivomatic حالا پشتیبانی می‌شوند.

پشتیبانی از نسخه‌های ARM64 و AMD64 ویندوز بهبود یافته است.

اشکالات زیادی به‌ویژه در مواجهه با ویندوز ۱۱ برطرف شده‌اند.

eSpeak، LibLouis، تقویت‌کننده‌ی سرعتِ Sonic و Unicode CLDR ارتقا یافته اند. جدول‌های بریل جدید گرجی، سواحلی (کنیا) و چیچوا (مالاوی) افزوده شدند.

توجه:

- از این انتشار به بعد، NVDA دیگر با افزونه‌های موجود سازگار نیست.

### امکانات جدید

- مایکروسافت اکسل از طریق UI Automation: اعلام خودکار سر‌ستون‌ها و سرسطرها در جدول. (#14228)
  - نکته: این اشاره دارد به جدول‌هایی که با استفاده از دکمه‌ی «Table» در برگه‌ی Insert موجود در ریبون قالب‌بندی شده‌اند. گزینه‌های «First Column» و «Header Row» در «Table Style Options» به ترتیب، متناظر با سر‌ستون‌ها و سرسطرها هستند.
  - این به سرجدول‌های مخصوص صفحه‌خوان از طریق محدوده‌های نام‌گذاری‌شده، که در حال حاضر از طریق UI Automation پشتیبانی نمی‌شود، مربوط نمی‌شود.
- یک فرمان بدون کلید برای فعال یا غیرفعال کردن «توضیح نویسه‌ها با تاخیر» افزوده شد. (#14267)
- یک گزینه‌ی آزمایشی برای ارتقای پشتیبانیِ اعلان‌های UIA از ترمینال ویندوز افزوده شد که متن جدید یا تغییریافته در ترمینال را اعلام می‌کند. در نتیجه منجر به پایداری و پاسخگویی بهبودیافته می‌شود. (#13781)
  - برای دانستن محدودیت‌های این گزینه، راهنمای کاربری را مطالعه کنید.
- در ویندوز ۱۱ ARM۶۴، حالت مرور حالا در برنامه‌های AMD۶۴، مثل Firefox، Google Chrome و 1Password در دسترس است. (#14397)
- یک گزینه‌ی جدید افزوده شد؛ «سبْکِ پاراگراف» در «پیمایش در اسناد». این پشتیبانی از پیمایشِ پاراگرافی تک‌خطّی (معمولی) و چندخطّی (بلوک) را به NVDA اضافه می‌کند. از این گزینه می‌توانید در ویرایشگرهای متنی که خودشان پیمایشِ پاراگرافی را پشتیبانی نمی‌کنند، مثل Notepad و Notepad++ استفاده کنید. (#13797)
- وجود یادداشت‌های متعدد حالا اعلام می‌شود. با هر بار فشردن nvda+d، حالا خلاصه‌ی یکی از یادداشت‌هایی که مربوط به متن‌هایی با چند یادداشت است اعلام می‌شود. بعنوان مثال، متنی که یک دیدگاه و یک پانویس به آن مربوط است. (#14507, #14480)
- پشتیبانی از نمایشگرهای بریل Caiku Albatross 46/80، از شرکت Tivomatic افزوده شد. (#13045)
- فرمان سرتاسری جدید: اعلامِ مقصدِ لینک (NVDA+k). با یک بار فشردن، مقصدِ لینکی که در پیمایشگر جاری است را می‌خوانَد و بریل می‌کند. با دو بار فشردن، برای بازبینی جزئیتر، آن را در یک پنجره نمایش خواهد داد. (#14583)
- فرمان سرتاسری جدید بدون کلید اختصاصی (از دسته‌ی ابزارها): اعلامِ مقصدِ لینک در یک پنجره. همانند دو بار فشردن NVDA+k است، ولی ممکن است برای کاربرانی که از بریل استفاده می‌کنند مفیدتر باشد. (#14583)

### تغییرات

- برگرداننده‌ی بریل LibLouis به نسخه‌ی ۳.۲۴.۰ بروز شد. (#14436)
  - بروزرسانی‌های اساسی برای بریل مجارستانی، بریل یکپارچه‌ی انگلیسی (UEB) و بریلِ چینی bopomofo.
  - پشتیبانی از استاندارد ۲۰۲۲ بریل دانمارکی.
  - جدول‌های جدید بریل برای بریل معمولی گرجی، سواحلی (کنیا) و چیچووا (مالاوی).
- کتابخانه‌ی تقویت سرعتِ Sonic به ویراست 1d70513 ارتقا یافت. (#14180)
- CLDR به نسخه‌ی ۴۲.۰ بروز شد. (#14273)
- eSpeak NG به نسخه‌ی 1.52-dev، ویراست f520fecb بروز شد. (#14281, #14675)
  - مشکل اعلام اعداد بزرگ اصلاح شد. (#14241)
- برنامه‌ های جاوا با کنترل‌هایی که از حالت انتخاب‌شدنی استفاده می‌کنند، حالا به جای این‌که مورد انتخاب‌شده را اعلام کنند، مورد انتخاب‌نشده را اعلام می‌کنند. (#14336)

### رفع اشکال

- رفع اشکالات ویندوز ۱۱:
  - NVDA هنگامی که منوی استارت را باز می‌کنید، موارد مشخص‌شده‌ی جستجو را اعلام می‌کند. (#13841)
  - در نسخه‌ی ARM ویندوز، برنامه‌های x64 دیگر بعنوان برنامه‌های ARM64 شناسایی نمی‌شوند. (#14403)
  - می‌توانید به موارد موجود در منوی سابقه‌ی کلیپ‌برد، مثل موارد سنجاق‌شده، دسترسی داشته باشید. (#14508)
  - در ویندوز ۱۱ 22H2 و جدیدتر، دوباره استفاده از موس و تعامل لمسی برای کار در ناحیه‌هایی مثل پنجره‌ی System Tray و Open With امکانپذیر است. (#14538, #14539)
- هنگامی که در دیدگاه‌های مایکروسافت اکسل نماد اشاره به مخاطب (@) را تایپ می‌کنید، پیشنهادها اعلام می‌شوند. (#13764)
- در نوار موقعیت (location bar) گوگل کروم، کنترل‌های پیشنهاد (جابجایی به یک زبانه، حذف پیشنهاد و غیره) حالا هنگامی که انتخاب می‌شوند، اعلام می‌شوند. (#13522)
- هنگام درخواست اطلاعات قالب‌بندی در Wordpad یا نمایشگر وقایع، به جای اینکه فقط رنگ پیشفرض اعلام شود، رنگ‌ها بطور واضح اعلام می‌شوند. (#13959)
- در فایرفاکس، فعال کردن دکمه‌ی نمایش گزینه‌ها (Show Options) در صفحات مسأله‌های )Issues) گیتهاب، حالا مطمينتر کار می‌کند. (#14269)
- برچسب‌ها و مقادیر کنترل‌های انتخاب‌کننده‌ی تاریخ در پنجره‌ی جستجوی پیشرفته‌ی آفیس ۲۰۱۶/۳۶۵، حالا اعلام می‌شود. (#12726)
- کنترل‌های ARIA switch در فایرفاکس، کروم و اِج، به جای اینکه کادر علامت‌زدنی اعلام شوند، «سویچ» گزارش می‌شوند. (#11310)
- NVDA هنگامی که وضعیت مرتبسازی یک سر‌ستون HTML با فشردن یک دکمه‌ی داخلی تغییر می‌کند، آن را بطور خودکار اعلام می‌کند. (#10890)
- نام یک بخش یا ناحیه وقتی با استفاده از پیمایش سریع یا فکوس در حالت مرور، از داخل یکی از آن‌ها به بیرون یا داخل یکی دیگر می‌پرید، بطور خودکار اعلام می‌شود. (#13307)
- هنگامی که بوق زدن برای اعلام حروف بزرگ همراه با توضیح باتأخیر نویسه‌ها فعال می‌شود، NVDA دیگر دو بار بوق نمی‌زند یا cap را اعلام نمی‌کند. (#14239)
- کنترل‌های موجود در جدول‌های برنامه‌های جاوا پالا توسط NVDA دقیقتر اعلام می‌شوند. (#14347)
- بعضی تنظیمات، وقتی با چند پروفایل استفاده می‌شوند، دیگر بطور غیرمنتظره‌ای متفاوت نخواهند بود. (#14170)
  - تنظیمات زیر دچار مشکل یادشده می‌شوند:
    - تورفتگی خط‌ها در تنظیمات قالب‌بندی اسناد.
    - حاشیه‌ی خانه‌ها در تنظیمات قالب‌بندی اسناد.
    - نمایش پیام‌ها در تنظیمات بریل.
    - اتصال بریل در تنظیمات بریل.
  - در بعضی موارد نادر، ممکن است با نصب این نسخه‌ی NVDA، این تنظیماتی که در پروفایل‌ها استفاده می‌شوند، بطور غیرمنتظره‌ای تغییر کنند.
  - لطفا گزینه‌های یادشده را بعد از بروزرسانی NVDA به این نسخه بررسی کنید.
- ایموجی‌ها حالا باید در زبان‌های بیشتری اعلام شوند. (#14433)
- وجود یادداشت‌ها برای بعضی سازه‌ها، دیگر در بریل نادیده گرفته نمی‌شود. (#13815)
- مشکلی که در آن تغییرات پیکربندی هنگام تغییر بین گزینه «پیشفرض» و مقدار گزینه‌ی «پیشفرض» به درستی ذخیره نمی شود، برطرف شد. (#14133)
- هنگام پیکربندی NVDA، همیشه حداقل یک کلید به عنوان کلید NVDA تعریف می‌شود. (#14527)
- هنگام دستیابی به منوی NVDA از طریق محدوده‌ی اعلان‌ها، NVDA هنگامی که بروزرسانیی موجود نباشد، دیگر یک بروزرسانی در انتظار را پیشنهاد نمی‌کند. (#14523)
- در foobar2000، زمان‌های باقیمانده، سپری‌شده و کلی برای فایل‌های صوتی با زمان بیش از یک روز، حالا درست اعلام می‌شوند. (#14127)
- در مرورگرهایی مثل کروم و فایرفاکس، هشدارهایی مانند دانلود فایل، علاوه بر اینکه گفته می‌شود، در بریل هم نمایش داده می‌شود. (#14562)
- مشکل پیمایش به ستون اول و آخر یک جدول در فایرفاکس برطرف شد. (#14554)
- هنگامی که NVDA با پارامتر --lang=Windows اجرا می‌شود، دوباره، باز کردن پنجره‌ی تنظیمات عمومی NVDA امکانپذیر است. (#14407)
- NVDA دیگر هنگام ورق زدن در کیندل برای رایانه، از ادامه‌ی خواندن باز‌نمی‌ایستد. (#14390)

## ۲۰۲۲.۴

این انتشار شامل چند فرمان صفحه‌کلیدی جدید، از جمله فرمان‌های خواندن همه در جدول‌ها است. یک بخش راهنمای سریع شروع به کار به راهنمای کاربر افزوده شد. چند رفع اشکال هم انجام شد.

ESpeak و LibLouis بروز شده‌اند. جدول‌های بریل جدید چینی، سوئدی، لوگاندا و کینیارواندا اضافه شده‌اند.

### امکانات جدید

- یک بخش «راهنمای سریع شروع به کار» به راهنمای کاربر افزوده شد. (#13934)
- فرمان جدیدی برای بررسی کلید میانبرِ فکوس جاری معرفی شد. (#13960)
  - صفحه‌کلید رومیزی: شیفت+۲ در ماشین‌حساب.
  - لپتاپ: NVDA+کنترل+شیفت+نقطه.
- فرمان جدیدی برای حرکت دادن صفحه به صفحه‌ی مکان‌نمای بازبینی در صورت پشتیبانی در برنامه‌ی جاری معرفی شد. (#14021)
  - حرکت به صفحه‌ی قبلی:
    - رومیزی: NVDA+pageUp.
    - لپتاپ: NVDA+shift+pageUp.
  - حرکت به صفحه‌ی بعدی:
    - رومیزی: NVDA+pageDown.
    - لپتاپ: NVDA+shift+pageDown.
- فرمان‌های زیر برای جدول‌ها افزوده شد: (#14070)
  - گفتن همه‌ی ستون: NVDA+control+alt+جهت‌نمای پایین
  - گفتن همه‌ی سطر: NVDA+control+alt+جهت‌نمای راست
  - خواندن همه‌ی ستون: NVDA+control+alt+جهت‌نمای بالا
  - خواندن همه‌ی سطر: NVDA+control+alt+جهت‌نمای چپ
- مایکروسافت اکسل از طریق UI Automation: NVDA حالا وقتی در یک برگه‌ی گسترده از جدولی خارج می‌شوید، «بیرون از جدول» را اعلام می‌کند. (#14165)
- اعلام سرجدول‌ها را حالا می‌توانید جداگانه روی اعلام سطرها یا ستون‌ها تنظیم کنید. (#14075)

### تغییرات

- eSpeak NG به نسخه‌ی 1.52-dev، ویراست 735ecdb8 بروز شد. (#14060, #14079, #14118, #14203)
  - مشکل اعلام نویسه‌های لاتین هنگام استفاده از ماندارین برطرف شد. (#12952, #13572, #14197)
- برگرداننده‌ی بریل LibLouis به نسخه‌ی ۲.3۳.0 بروز شد. (#14112)
  - جدول‌های بریل زیر افزوده شد:
    - بریل متداول چینی (نویسه‌های چینی ساده‌شده)
    - بریل نوشتاری کینیارواندا
    - بریل نوشتاری لوگاندا
    - بریل بلندنویسی سوئدی
    - بریل نیمه‌کوتاهنویسی سوئدی
    - بریل کوتاهنویسی سوئدی
    - سیستم بریل فعلی چین (چین، ماندارین) (غیرِ آوایی) (#14138)
- NVDA حالا معماری سیستم عامل را به عنوان بخشی از رهگیری آمار کاربران در بر می‌گیرد. (#14019)

### رفع اشکال

- هنگام بروزرسانی NVDA از طریق خط فرمان مدیریت بسته‌ی ویندوز (که به عنوان winget هم شناخته می‌شود)، یک نسخه‌ی منتشرشده از NVDA دیگر همیشه به عنوان جدیدتر از ه نسخه‌ی آلفایی که که نصب شده باشد، در نظر گرفته نمی‌شود. (#12469)
- NVDA حالا به‌درستی باکس‌های گروهی را در برنامه‌های جاوا اعلام می‌کند. (#13962)
- نشانگر متنِ گفته‌شده را هنگام خواندن همه در برنامه‌هایی مثل Bookworm، Wordpad، و نمایشگر وقایع NVDA، به‌درستی دنبال می‌کند. (#13420, #9179)
- در برنامه‌هایی که از UI Automation استفاده می‌کنند، کادرهای علامت‌زدنیِ نیمه‌علامت‌خورده، به‌درستی اعلام می‌شوند. (#13975)
- اجرا و پایداری در مایکروسافت ویژوال استودیو، ترمینال ویندوز و دیگر برنامه‌های بر پایه‌ی UI Automation بهبود یافت. (#11077, #11209)
  - این مشکلات در ویندوز ۱۱ Sun Valley 2 (نسخه‌ی 22H2) و بالاتر برطرف شده است.
  - ثبت انتخابی برای رخدادهای UI Automation و تغییر خصوصیات حالا بطور پیشفرض فعال شد.
- اعلام متن، خروجی بریل و پنهان کردن گذرواژه‌ها حالا آنطور که انتظار می‌رود، در کنترل پایانه‌ی ویندوز تعبیه‌شده در ویژوال استودیو ۲۰۲۲ کار می‌کند. (#14194)
- NVDA حالا هنگام استفاده از چند نمایشگر، آگاه به DPI تشکیل‌دهنده‌ی تصویر موجود در نمایشگرها است. چندین مشکل هنگام استفاده از تنظیمات DPI بالاتر از ۱۰۰٪ یا چند نمایشگر برطرف شد. ممکن است برای نسخه‌های قدیمیتر از ویندوز ۱۸۰۹ هنوز مشکلاتی موجود باشد. برای اینکه این رفع اشکال‌ها کار کنند، برنامه‌هایی که NVDA با آن‌ها تعامل دارد نیز باید آگاه به DPI باشند. توجه کنید که هنوز مشکلاتی با Chrome و Edge وجود دارد. (#13254)
  - قاب‌های برجسته‌سازِ بصری حالا باید در بیشتر برنامه‌ها درست جای بگیرند. (#13370, #3875, #12070)
  - تعامل با صفحه‌ی لمسی حالا باید برای بیشتر برنامه‌ها دقیق باشد. (#7083)
  - تعقیب موس حالا باید برای بیشتر برنامه‌ها کار کند. (#6722)
- تغییرات وضعیت جهتیابی (افقی یا عمودی بودن) حالا هنگامی که تغییری وجود ندارد، مثلا وقتی نمایشگر تغییر می‌کند، به‌درستی نادیده گرفته می‌شود. (#14035)
- NVDA درگ کردن موارد روی صفحه را ، در جاهایی مثل دوباره چیدن کاشی‌های منو استارت در ویندوز ۱۰ و میز کارهای مجازی در ویندوز ۱۱، اعلام می‌کند. (#12271, #14081)
- در تنظیمات پیشرفته، گزینه‌ی «پخش صدا برای خطاهای ثبت‌شده» هنگام فشردن دکمه‌ی «برگرداندن به پیشفرض»، به‌درستی به مقدار پیشفرضش برمی‌گردد. (#14149)
- NVDA حالا می‌تواند در برنامه‌های جاوا، با استفاده از کلید میانبر NVDA+F10 متن انتخاب کند. (#14163)
- NVDA دیگر هنگامی که روی مکالمات رشته‌ای در Microsoft Teams با جهت‌نماهای بالا و پایین حرکت می‌کنید، در یک منو گیر نمی‌کند. (#14355)

## ۲۰۲۲.۳.۳

این یک خرده‌انتشار برای رفع اشکالات نسخه‌های ۲۰۲۲.۳.۲، ۲۰۲۲.۳.۱ و ۲۰۲۲.۳ است. همچنین این نسخه، یک مشکل امنیتی را نیز برطرف می‌کند.

### رفع اشکال امنیتی

- از دسترسی احتمالیِ سیستمی (مثلا، میز فرمان پایتون) توسط یک کاربر غیرمجاز جلوگیری می‌کند. (GHSA-fpwc-2gxx-j9v7)

### رفع اشکال

- مشکلی که باعث متوقف شدن NVDA هنگام قفل بودن ویندوز می‌شد برطرف شد. در این حالت، در حالی که کاربر در صفحه‌ی قفل ویندوز بود، به کاربر اجازه می‌داد به میز کار دسترسی داشته باشد. (#14416)
- مشکل دیگری که در هنگام قفل بودن ویندوز ایجاد می‌شد این بود که NVDA درست رفتار نمی‌کرد، انگار که دستگاه همچنان قفل است. (#14416)
- مشکلات دسترسی‌پذیری در فرایند «فراموش کردن پین» و تجربه‌ی بروزرسانی و نصب ویندوز برطرف شد. (#14368)
- مشکلی که هنگام تلاش برای نصب NVDA در بعضی محیط‌ها، مثلا ویندوز سِروِر وجود داشت برطرف شد. (#14379)

## ۲۰۲۲.۳.۲

این یک خرده انتشار برای برطرف کردن چند پسرفت در نگارش ۲۰۲۲.۳.۱ و رفع یک مشکل امنیتی است.

### رفع اشکال‌های امنیتی

- از دسترسی احتمالی به سطح سیستم توسط کاربران غیرمجاز جلوگیری می‌شود. (GHSA-3jj9-295f-h69w)

### رفع اشکال

- یک پسرفت از ۲۰۲۲.۳.۱ برطرف شد که باعث می‌شد کارکرد معینی در صفحه‌های امن غیرفعال شود. (#14286)
- یک پسرفت از ۲۰۲۲.۳.۱ برطرف شد که باعث می‌شد قابلیت معینی بعد از ورود به ویندوز، چنانچه NVDA در صفحه‌ی قفل شروع به کار کند، غیرفعال شود. (#14301)

## ۲۰۲۲.۳.۱

این یک خرده انتشار برای برطرف کردن چند مشکل امنیتی است. لطفا مسئولانه، مسائل امنیتی را صرفا به info@nvaccess.org اعلام کنید.

### رفع اشکال‌های امنیتی

- اشکالی که امکان داشت اختیارات کاربر را به اختیارات سیستم ارتقا دهد، برطرف شد. (GHSA-q7c2-pgqm-vvw5)
- مشکل امنیتی‌ای که اجازه می‌داد هنگام شروع کار NVDA در صفحه‌ی قفل، با استفاده از یک وضعیت رقابتی به میز فرمان پایتون دسترسی پیدا کنید برطرف شد. (GHSA-72mj-mqhj-qh4w)
- مشکلی که هنگام قفل کردن ویندوز، متن نمایشگر گفتار ذخیره می‌شد، برطرف شد. (GHSA-grvr-j2h8-3qm4)

### رفع اشکال

- NVDA از بروزرسانی تنظیمات نمایشگرهای گفتار و بریل در صفحه‌ی قفل توسط کاربر غیرمجاز جلوگیری می‌کند. (GHSA-grvr-j2h8-3qm4)

## ۲۰۲۲.۳

بخش قابل توجهی از این انتشار با مشارکت انجمن برنامه‌نویسان NVDA تهیه شده است. این شامل اعلام توضیح نویسه‌ها با تأخیر و پشتیبانی بهبود‌یافته‌ی میز فرمان ویندوز می‌شود.

این انتشار چندین رفع اشکال را نیز در بر دارد. به‌ویژه، نگارش‌های بروز Adobe Acrobat و Adobe Reader هنگام خواندن یک سند PDF، دیگر دچار خطا نمی‌شوند.

ایسپیک با معرفی سه زبان جدید بروز شده است: بلاروسی، لوگزامبورگی و Totontepec Mixe.

### امکانات جدید

- در ویندوز ۱۱، نگارش Sun Valley 2، در میزبان میز فرمان ویندوز (Windows Console Host) که توسط خط فرمان، PowerShell، و زیرسیستم ویندوز برای لینوکس استفاده می‌شود:
  - بهبودی بسیاری در اجرا و پایداری ایجاد شده است. (#10964)
  - هنگامی که برای پیدا کردن متن، control+f را می‌زنید، موقعیت مکان‌نمای بازبینی برای دنبال کردن کلمه‌ی پیداشده بروز می‌شود. (#11172)
  - اعلام متن تایپ‌شده‌ای که روی صفحه ظاهر نمی‌شود، مثل گذرواژه‌ها، بطور پیشفرض غیرفعال است. می‌توانید این گزینه را در پنل تنظیمات پیشرفته‌ی NVDA دوباره فعال کنید. (#11554)
  - متنی که خارج از صفحه‌ی میز فرمان است را می‌توانید بدون نیاز به جابجا کردن پنجره‌ی میز فرمان بازبینی کنید. (#12669)
  - اطلاعات قالب‌بندی متن با جزئیات بیشتری موجود است. (microsoft/terminal PR 10336)
- گزینه‌ی جدیدی در گفتار برای خواندن توضیح نویسه‌ها بعد از یک تأخیر افزوده شده است. (#13509)
- گزینه‌ی جدیدی در بریل افزوده شده که تعیین می‌کند هنگام جابجا کردن نمایشگر بریل به جلو یا عقب، گفتار متوقف شود یا خیر. (#2124)

### تغییرات

- eSpeak NG به نگارش ۱.۵۲-dev، ویراست 9de65fcb بروز شد. (#13295)
  - زبان‌های اضافه‌شده:
    - بلاروسی
    - لوگزامبورگی
    - Totontepec Mixe
- هنگامی که برای دسترسی به کنترل‌های صفحات گسترده‌ی اکسل از UI Automation استفاده می‌کنید، NVDA حالا می‌تواند وقتی یک خانه ادغام‌شده باشد، آن را اعلام کند. (#12843)
- هر جا ممکن باشد، بجای اعلام «جزئیات دارد»، هدف جزئیات بیان می‌شود؛ مثلا، توضیح دارد. (#13649)
- اندازه‌ی نصب‌شده‌ی NVDA حالا در بخش Programs and Feature ویندوز نشان داده می‌شود. (#13909)

### رفع اشکال

- Adobe Acrobat و Reader 64 بیتی دیگر هنگامی که یک سند PDF می‌خوانید، دچار خطا نمی‌شوند. (#12920)
  - توجه کنید که برای جلوگیری از بروز خطا، به بروزترین نسخه‌ی Adobe Acrobat / Reader هم نیاز دارید.
- واحدهای اندازه‌گیری فونت‌ها حالا در NVDA قابل ترجمه هستند. (#13573)
- رخدادهای Java Access Bridge وقتی window handle برای برنامه‌های جاوا پیدا نمی‌شود، توسط NVDA نادیده گرفته می‌شود. این رفتار، اجرای برخی برنامه‌های جاوا، از جمله InteliJ را بهبود می‌بخشد. (#13039)
- اعلام خانه‌های انتخاب‌شده در LibreOffice Calc کارامدتر است و دیگر وقتی خانه‌های زیادی انتخاب شده باشند، باعث توقف Calc نمی‌شود. (#13232)
- هنگامی که مایکروسافت Edge را از حساب کاربری دیگری اجرا می‌کنید، دیگر دسترس‌ناپذیر نیست. (#13032)
- وقتی افزایش سرعت خاموش است، سرعت ایسپیک دیگر بین ۹۹٪ و ۱۰۰٪ افت نمی‌کند. (#13876)
- اشکالی که اجازه می‌داد دو پنجره‌ی مدیریت فرمان‌های ورودی باهم باز باشند برطرف شد. (#13854)

## ۲۰۲۲.۲.۴

این یک نسخه‌ی اصلاحی برای برطرف کردن یک مشکل امنیتی است.

### رفع اشکال

اشکالی که باعث می‌شد میز فرمان NVDA از طریق پنجره‌ی نمایشگر وقایع در صفحه‌ی قفل ویندوز باز شود، برطرف شد. (GHSA-585m-rpvv-93qg) -

## ۲۰۲۲.۲.۳

این یک نسخه‌ی اصلاحی است که خطای API که بطور تصادفی در نگارش ۲۰۲۲.۲.۱ به وجود آمده بود را برطرف می‌کند.

### رفع اشکال

- مشکلی که باعث می‌شود NVDA هنگام ورود به یک میز کار امن اعلام نکند «میز کار امن» را برطرف می‌کند. این باعث می‌شد تا افزونه‌ی پشتیبانی از راه دورِ NVDA، میز کارهای امن را تشخیص ندهد. (#14094)

## ۲۰۲۲.۲.۲

این یک انتشار اصلاحی برای رفع اشکالی است که در نگارش ۲۰۲۲.۲.۱ برای مدیریت فرمان‌های ورودی پیش آمده بود.

### رفع اشکال

- اشکالی که باعث می‌شد مدیریت فرمان‌های ورودی همیشه کار نکند برطرف شد. (#14065)

## ۲۰۲۲.۲.۱

این یک خرده انتشار برای برطرف کردن یک مشکل امنیتی است. لطفا مسئولانه، مسائل امنیتی را صرفا به info@nvaccess.org اعلام کنید.

### رفع اشکال امنیتی

- آسیبی که باعث می‌شد امکان اجرای میز فرمان پایتون از صفحه‌ی قفل ویندوز موجود باشد، برطرف شد. (GHSA-rmq3-vvhq-gp32)
- آسیبی که باعث می‌شد با استفاده از پیمایش اشیا، از صفحه‌ی قفل ویندوز خارج شوید، برطرف شد. (GHSA-rmq3-vvhq-gp32)

## ۲۰۲۲.۲

این انتشار حاوی رفع اشکالات بسیاری است. به‌ویژه، بهبودی‌های شایان توجهی در برنامه‌های برپایه‌ی جاوا، نمایشگرهای بریل و امکانات ویندوز صورت گرفته است.

فرمان‌های جدیدی برای پیمایش در جدول‌ها معرفی شده است. مخزن داده‌های محلی متداول یونیکُد (CLDR) بروز شده است. LibLouis بروز شده، که شامل یک جدول بریل جدید آلمانی است.

### امکانات جدید

- پشتیبانی از تعامل با Microsoft Loop Components در محصولات مایکروسافت آفیس. (#13617)
- فرمان‌های جدید پیمایش در جدول‌ها افزوده شد. (#957)
  - control+alt+home/end، برای رفتن به اولین / آخری ستون در جدول.
  - control+alt+pageUp/pageDown، برای رفتن به اولین / آخرین سطر در جدول.
- یک فرمان بدون کلید میانبر برای تعویض حالت‌های گفتاری زبان و لهجه اضافه شده است. (#10253)

### تغییرات

- NSIS به نگارش ۳.۰۸ بروز شده است. (#9134)
- CLDR به نگارش ۴۱.۰ بروز شده است. (#13582)
- برگرداننده‌ی بریل LibLouis به نگارش ۳.۲۲.۰ بروز شد. (#13775)
  - جدول بریل جدید: آلمانی درجه ۲ (مفصّل)
- نقش جدید برای کنترل‌های «نشانگر مشغول» افزوده شد. (#10644)
- NVDA حالا وقتی که یک کنشِ NVDA نمی‌تواند اجرا شود، آن را اعلام می‌کند. (#13500)
  - این شامل هنگامی است که:
    - از نسخه‌ی فروشگاهی NVDA (نسخه‌ی موجود در فروشگاه ویندوز) استفاده می‌کنید.
    - در یک محتوای محافظت‌شده هستید.
    - منتظر پاسخی از یک پنجره‌ی محاوره‌ای هستید.

### رفع اشکال

- رفع اشکال‌هایی در برنامه‌های برپایه‌ی جاوا:
  - NVDA حالا وضعیت فقط‌خواندنی را اعلام می‌کند. (#13692)
  - NVDA حالا وضعیت غیرفعال یا فعال را به درستی اعلام می‌کند. (#10993)
  - NVDA حالا میانبرهای کلیدهای تابع را اعلام می‌کند. (#13643)
  - NVDA می‌تواند نوارهای پیشرفت را با بوق یا گفتار اعلام کند. (#13594)
  - NVDA هنگام ارائه‌ی ویجت‌ها به کاربر، دیگر به اشتباه، متن را از ویجت‌ها حذف نمی‌کند. (#13102)
  - NVDA حالا وضعیت دکمه‌های دوکاره را اعلام می‌کند. (#9728)
  - NVDA حالا یک پنجره را در یک برنامه‌ی جاوا با چند پنجره تشخیص می‌دهد. (#9184)
  - NVDA حالا اطلاعات موقعیتی برای کنترل‌های دارای سربرگ را اعلام می‌کند. (#13744)
- رفع اشکال در بریل:
  - رفع اشکال خروجی بریل هنگام پیمایش برخی متن‌ها در کنترل‌های ویرایشی پیشرفته‌ی موزیلا؛ مثل پیشنویسی یک پیام در Mozilla Thunderbird. (#12542)
  - هنگامی که اتصال بریل به مکان‌نما در وضعیت خودکار باشد و صفحه‌خوان حرکت موس را دنبال کند، وقتی موس را حرکت می‌دهید، فرمان‌های بازبینی متن حالا همراه با خواندن محتوا، نمایشگر بریل را بروز می‌کند. (#11519)
  - حالا جابجا کردن نمایشگر بریل در میان محتوا، پس از استفاده از فرمان‌های بازبینی متن امکانپذیر است. (#8682)
- نصب‌کننده‌ی NVDA را حالا می‌توانید از پوشه‌هایی که دارای نویسه‌های خاص هستند اجرا کنید. (#13270)
- NVDA دیگر در فایرفاکس، هنگامی که ویژگی‌های aria-rowindex, aria-colindex, aria-rowcount or aria-colcount نامعتبر باشند، هنگام اعلام موارد در صفحات وب دچار خطا نمی‌شود. (#13405)
- هنگام استفاده از پیمایش جدولی، وقتی در خانه‌های ادغام‌شده حرکت می‌کنید، دیگر مکان‌نما به اشتباه بین ستون و سطر جابجا نمی‌شود. (#7278)
- هنگام خواندن فایل‌های پی‌دی‌اف غیرتعاملی در ادوبی ریدر، نوع و وضعیت فیلدهای فرم، مانند کادرهای علامت‌زدنی و دکمه‌های رادیویی حالا اعلام می‌شوند. (#13285)
- «برگرداندن تنظیمات به پیش‌فرض تولید کننده» حالا در زمانی که حالت امن فعال است، از منوی NVDA در دسترس است. (#13547)
- وقتی از NVDA خارج می‌شوید، چنانچه کلیدی از کلیدهای موس قفل باشد، آزاد خواهد شد. پیش از این، کلید موس، قفل می‌مانْد. (#13410)
- ویژوال استودیو حالا شماره‌ی خط‌ها را اعلام می‌کند. (#13604)
  - برای اینکه اعلام خط‌ها کار کند، «نمایش شماره‌ی خط‌ها» باید در ویژوال استودیو و NVDA فعال باشد.
- ویژوال استودیو حالا تورفتگی خط‌ها را به درستی اعلام می‌کند. (#13574)
- NVDA یک بار دیگر جزئیات جستجو در منوی استارت را در نسخه‌های اخیر ویندوزهای ۱۰ و ۱۱ اعلام می‌کند. (#13544)
- در ماشین‌حساب ویندوزهای ۱۰ و ۱۱، نسخه‌ی ۱۰.۱۹۰۸ به بعد، NVDA هنگامی که فرمان‌های بیشتری، مانند فرمان‌های حالت علمی فشرده می‌شوند، نتایج را اعلام می‌کند. (#13383)
- در ویندوز ۱۱، دوباره پیمایش و تعامل با سازه‌های رابط کاربری مانند نوار ابزار و Task View، با استفاده از موس و تعامل لمسی امکانپذیر است. (#13506)
- NVDA محتوای نوار وضعیت را در Notepad اعلام می‌کند. (#13688)
- برجسته‌سازی پیمایشگر حالا بمحض فعال شدن نمایش داده می‌شود. (#13641)
- اشکال در خواندن موارد نمای فهرست تک‌ستونی برطرف شد. #13735)
- اشکال در تعویض زبان خودکارِ ایسپیک برای انگلیسی و فرانسوی که به انگلیسیِ بریتانیا و فرانسویِ فرانسه برمی‌گردد برطرف شد. (#13727)
- رفع اشکال تعویض زبان خودکار در OneCore هنگامی که تلاش می‌کند به یک زبانی که قبلا ‌نصب شده تعویض شود. (#13732)

## ۲۰۲۲.۱

در این انتشار، بهبودی‌های اساسی در مورد پشتیبانی از UIA در آفیس صورت گرفته است. NVDA در آفیس ۱۶.۰.۱۵۰۰۰ و بالاتر در ویندوز ۱۱، برای دسترسی به مایکروسافت وُرد، بطور پیش‌فرض از UI Automation استفاده خواهد کرد. این نوع دسترسی، نسبت به دسترسی قدیمی مدل شیءگرایی (Object Model)، بهبودی قابل توجهی در اجرا فراهم می‌آورَد.

پیشرفت‌هایی در درایورهای نمایشگرهای بریل رخ داده است؛ از قبیلِ Seika Notetaker، Papenmeier و بریلِ HID. همچنین، رفع اشکال‌های بسیاری در ویندوز ۱۱، برای برنامه‌هایی مثل Calculator، Console، Terminal، Mail و Emoji Panel انجام شده است.

eSpeak-NG و LibLouis بروز شده اند؛ جدول‌های تازه‌ای برای ژاپنی، آلمانی و کاتالان افزوده شد.

توجه:

- این انتشار با افزونه‌های موجود ناسازگار است.

### امکانات جدید

- پشتیبانی از اعلام یادداشت‌های اکسل با UI Automation فعال در ویندوز ۱۱. (#12861)
- در ویندوز ۱۱، در نسخه‌های اخیر مایکروسافت وُرد همراه با UI Automation، وجود بوک‌مارک‌ها، دیدگاه‌های پیشنویس (draft comments) و دیدگاه‌های حل‌شده (resolved comments)، حالا هم در گویا و هم بریل اعلام می‌شوند. (#12861)
- پارامتر خط فرمان جدید --lang اجازه می‌دهد تا زبانی که از قبل برای NVDA تنظیم شده است را تغییر بدهید. (#10044)
- NVDA حالا درباره‌ی پارامترهای خط فرمانی که ناشناخته هستند و توسط هیچیک از افزونه‌ها استفاده نشده اند، هشدار می‌دهد. (#12795)
- در مایکروسافت وُرد که با UI Automation در دسترس است، NVDA حالا از mathPlayer برای خواندن و پیمایش در معادله‌های ریاضی در آفیس استفاده می‌کند. (#12946)
  - برای اینکه این ویژگی به‌درستی کار کند، باید مایکروسافت وُرد ۳۶۵ یا وُرد ۲۰۱۶، نسخه‌ی ۱۴۳۲۶ یا بالاتر را اجرا کنید.
  - معادله‌های MathType هم باید بطور دستی به Office Math تبدیل شوند. برای این کار، هر کدام را انتخاب کنید، با زدن applications منوی محتوایی را باز کنید، Equation options را انتخاب کرده و سپس Convert to Office Math را بزنید.
- اعلامِ "has details" و فرمان مربوط به آن برای خلاصه‌سازی نسبت جزئیات، برای اینکه در حالت فرمانپذیری کار کند، بروز شده است. (#13106)
- Seika Notetaker حالا هنگامی که از طریق USB و بلوتوث به کامپیوتر متصل باشد، بطور خودکار شناسایی می‌شود. (#13191, #13142)
  - این ویژگی روی دستگاه‌های MiniSeika (۱۶ و ۲۴ خانه)، نسخه‌ی ۶ و نسخه‌ی ۶ Pro (۴۰ خانه) کار می‌کند.
  - حالا، انتخاب دستی درگاه ارتباطی بلوتوث هم پشتیبانی می‌شود.
- فرمانی برای فعال یا غیرفعال کردن نمایشگر مجازی بریل افزوده شد. کلیدی به این فرمان بطور پیشفرض اختصاص نیافته است. (#13258)
- چند فرمان برای گرفتن یا رها کردن چند کلید مبدل بطور همزمان با نمایشگر بریل افزوده شد. (#13152)
- پنجره‌ی دیکشنری گفتاری، حالا برای پاک کردن کامل یک دیکشنری، یک دکمه‌ی «حذف کردن همه» دارد. (#11802)
- پشتیبانی از ماشین حساب ویندوز ۱۱ افزوده شد. (#13212)
- در ویندوز ۱۱، در مایکروسافت وُرد در حالی که UI Automation فعال است، حالا شماره‌ی خط‌ها و شماره‌ی بخش‌ها اعلام می‌شوند. (#13283, #13515)
- NVDA در آفیس ۱۶.۰.۱۵۰۰۰ و بالاتر در ویندوز ۱۱، برای دسترسی به مایکروسافت وُرد، بطور پیش‌فرض از UI Automation استفاده خواهد کرد. این نوع دسترسی، نسبت به دسترسی قدیمی مدل شیءگرایی (Object Model)، بهبودی قابل توجهی در اجرا فراهم می‌آورَد. (#13437)
  - این شامل اسناد در خود Microsoft Word، و همچنین message reader and composer در Microsoft Outlook می‌شود.

### تغییرات

- Espeak-ng به نسخه‌ی ۱.۵۱-dev، ویراست 7e5457f91e10 بروز شد. (#12950)
- برگرداننده‌ی بریل Liblouis به نسخه‌ی ۳.۲۱.۰ بروز شد. (#13141, #13438)
  - جدول بریل جدید افزوده شد: بریل معمولی ژاپنی (کانتنجی).
  - جدول جدید آلمانی بریل ۶ نقطه‌ای رایانه‌ای افزوده شد.
  - جدول بریل کاتالان درجه ۱ اضافه شد. (#13408)
- NVDA انتخاب‌ها و خانه‌های ادغام‌شده را در LibreOffice Calc ۷.۳ و بالاتر اعلام خواهد کرد. (#9310, #6897)
- Unicode CLDR به نسخه‌ی ۴۰.۰ بروز شد. (#12999)
- NVDA+Delete در صفحه‌کلید ماشین‌حساب، بطور پیشفرض، موقعیت نشانگر یا شیءِ فکوس‌شده را اعلام می‌کند. (#13060)
- NVDA+Shift+Delete در صفحه‌کلید ماشین‌حساب، موقعیت مکان‌نمای بازبینی را اعلام می‌کند.
- کلیدهای پیشفرضی برای گرفتن و رها کردن کلیدهای مبدل برای نمایشگرهای Freedom Scientific اختصاص داده شد. (#13152)
- هنگام اجرای فرمان اعلام قالب‌بندی متن با NVDA+F، NVDA دیگر «روی خط» نمی‌گوید. (#11815)
- دیگر کلیدی به «فعال کردن توضیح طولانی» اختصاص داده نشده است. (#13380)
- اعلام خلاصه‌ی جزئیات حالا یک کلید پیشفرض (NVDA+D) دارد. (#13380)
- NVDA باید بعد از نصب MathPlayer از نو راه‌اندازی شود. (#13486)

### رفع اشکال

- بخش مدیریت کلیپ‌برد دیگر نباید به اشتباه هنگامی که بعضی برنامه‌های آفیس را باز می‌کنید، فکوس را از برنامه منحرف کند. (#12736)
- روی سیستمی که کاربر انتخاب کرده جای دکمه‌ی اولیه‌ی موس را از چپ به راست تغییر دهد، NVDA دیگر تصادفا به جای فعال کردن یک مورد در برنامه‌هایی مثل مرورگرهای وب، منوی محتوا را ظاهر نمی‌کند. (#12642)
- هنگامی که مکان‌نمای بازبینی را به انتهای کنترل‌های متنی می‌بَرید، مانند آنچه که در Microsoft Word همراه با UI Automation هست، در بیشتر موقعیت‌ها، «پایین» به درستی اعلام می‌شود. (#12808)
- NVDA هنگامی که روی یک نسخه‌ی ویندوز ۶۴ بیتی اجرا می‌شود، می‌تواند نام و نسخه‌ی برنامه‌هایی که فایل‌هایشان در پوشه‌ی System32 قرار دارند را گزارش کند. (#12943)
- ثبات بهبود‌یافته هنگام خواندن خروجی در برنامه‌های پایانه‌ای. (#12974)
  - توجه: در برخی موقعیت‌ها، هنگامی که نویسه‌ای را در میانه‌ی خط درج یا حذف می‌کنید، نویسه‌ی بعد از نشانگر ممکن است دوباره خوانده شود.
- مایکروسافت وُرد همراه با UIA: پیمایش سریع با سرنوشتار در حالت مرور، دیگر روی آخرین سرنوشتار از سند گیر نمی‌کند، و این سرنوشتار، دو بار در فهرست سازه‌های NVDA نشان داده نمی‌شود. (#9540)
- در ویندوز ۸ و بالاتر، نوار وضعیت File Explorer را می‌توانید با کلید استاندارد خواندن نوار وضعیت (NVDA+End در چیدمان رومیزی و NVDA+Shift+End در چیدمان لپتاپ) بازیابی کنید. (#12845)
- پیام‌های ورودی در چت Skype for Business دوباره اعلام می‌شوند. (#9295)
- NVDA دوباره می‌تواند هنگام استفاده از موتور سخنگوی SAPI5 در ویندوز ۱۱، صدای برنامه‌های دیگر را کم کند. (#12913)
- در برنامه‌ی ماشین‌حساب ویندوز ۱۰، NVDA برچسب‌های سابقه و موارد فهرست حافظه را اعلام می‌کند. (#11858)
- حرکاتی مثل جابجا کردن نمایشگر و بردن مکان‌نما به یک خانه‌ی بریل، دوباره روی دستگاه‌های بریل HID کار می‌کنند. (#13228)
- برنامه‌ی Mail در ویندوز ۱۱: وقتی بین برنامه‌ها حرکت می‌کنید و فکوس را تغییر می‌دهید، هنگام خواندن یک ایمیل طولانی، NVDA دیگر روی خط‌های ایمیل گیر نمی‌کند. (#13050)
- بریلِ HID: حرکات آکوردی، مثلا، فشردن همزمان کلید فاصله و نقطه‌ی ۴ را می‌توان با موفقیت از نمایشگر بریل اجرا کرد. (#13326)
- مشکلی که چند پنجره‌ی تنظیمات بطور همزمان می‌توانست باز شود، برطرف شد. (#12818)
- اشکال بعضی از نمایشگرهای بریل Focus Blue که بعد از بیدار کردن کامپیوتر از خواب، از کار می‌افتادند، برطرف شد. (#9830)
- هنگامی که اعلام بالانویس‌ها و زیرنویس‌ها فعال باشد، «روی خط» دیگر بیخودی اعلام نمی‌شود. (#11078)
- NVDA در ویندوز ۱۱، هنگام انتخاب ایموجی‌ها، دیگر جلوی پیمایش در تابلوی ایموجی‌ها را نمی‌گیرد. (#13104)
- هنگام استفاده از میز فرمان ویندوز و پایانه، اشکالی که باعث می‌شد هر چیزی دو بار اعلام شود، برطرف شد. (#13261)
- چندین مورد که موارد فهرست‌ها در برنامه‌های ۶۴ بیتی، مانند Reaper اعلام نمی‌شدند، برطرف شد. (#8175)
- در مدیر دانلودهای Microsoft Edge، NVDA هنگامی که فهرست آخرین دانلودها در تیررس قرار می‌گیرد، بطور خودکار، وارد حالت فرمانپذیری می‌شود. (#13221)
- NVDA دیگر باعث بسته شدن و توقف نسخه‌های ۶۴ بیتی Notepad++ ۸.۳ و بالاتر نمی‌شود. (#13311)
- Adobe Reader، چنانچه حالت محافظت‌شده‌ی Adobe Reader فعال باشد، دیگر هنگام آغاز کار متوقف نمی‌شود. (#11568)
- اشکالی که باعث می‌شد هنگام انتخاب درایور نمایشگر بریل Papenmeier، NVDA بسته شود، برطرف شد. (#13348)
- در Microsoft word همراه با UIA، هنگام حرکت از یک خانه‌ی خالی به یک خانه‌ی دارای محتوا، یا حرکت از پایان سند به محتوای موجود، شماره‌ی صفحه یا دیگر قالب‌بندی‌ها به اشتباه اعلام نمی‌شوند. (#13458, #13459)
- NVDA هنگامی که صفحه‌ای در گوگل کروم ۱۰۰ بارگزاری می‌شود، دیگر هنگام خواندن عنوان و شروع خواندن خودکار صفحه، دچار اشکال نمی‌شود. (#13571)
- NVDA هنگامی که با وجود روشن بودن خواندن کلیدهای فرمان، تنظیمات NVDA را به پیشفرض تولید‌کننده بازتنظیم می‌کنید، دیگر متوقف نمی‌شود. (#13634)

## ۲۰۲۱.۳.۵

این یک خرده انتشار برای برطرف کردن یک مشکل امنیتی است. لطفا با پذیرش مسئولیت، مسائل امنیتی را صرفا به info@nvaccess.org اعلام کنید.

### رفع اشکالات امنیتی

- موارد امنیتی اعلام‌شده با کد GHSA-xc5m-v23f-pgr7.
  - پنجره‌ی تلفظ نمادها از این پس در حالت محافظت‌شده غیرفعال می‌شود.

## ۲۰۲۱.۳.۴

این یک خرده انتشار برای برطرف کردن چند مشکل امنیتیِ گزارش‌شده است. لطفا با پذیرش مسئولیت، مسائل امنیتی را صرفا به info@nvaccess.org اعلام کنید.

### رفع اشکالات امنیتی

- موارد امنیتی اعلام‌شده با کد GHSA-354r-wr4v-cx28. (#13488)
  - قابلیت راه‌اندازی NVDA همراه با فعال شدن ثبت آسیبیابی در حالت محافظت‌شده حذف شد.
  - قابلیت بروزرسانی NVDA هنگام اجرای NVDA در حالت محافظت‌شده حذف شد.
- موارد امنیتی اعلام شده با کد GHSA-wg65-7r23-h6p9. (#13489) قابلیت باز کردن پنجره‌ی مدیریت فرمان‌های ورودی در حالت محافظت‌شده حذف شد.
  - قابلیت باز کردن دیکشنری‌های پیشفرض، موقت و صدا در حالت محافظت‌شده حذف شد.
- موارد امنیتی اعلام‌شده با کد GHSA-mvc8-5rv9-w3hx. (#13487)
  - ابزار وارسی رابط گرافیکی WX حالا در حالت محافظت‌شده غیرفعال می‌شود.

## ۲۰۲۱.۳.۳

این انتشار برابر است با ۲۰۲۱.۳.۲. اشکالی در نسخه‌ی ۲۰۲۱.۳.۲ بود که NVDA شماره‌ی نگارش خود را به اشتباه ۲۰۲۱.۳.۱ اعلام می‌کرد. این انتشار خود را به‌درستی ۲۰۲۱.۳.۳ اعلام می‌کند.

## ۲۰۲۱.۳.۲

این یک خرده انتشار برای برطرف کردن چند مشکل امنیتیِ گزارش‌شده است. لطفا با پذیرش مسئولیت، مسائل امنیتی را صرفا به info@nvaccess.org اعلام کنید.

### رفع اشکالات امنیتی

- از پیمایش شیئی خارج از صفحه‌ی قفل در ویندوز ۱۰ و ۱۱ جلوگیری شد. (#13328)
- پنجره‌ی مدیر افزونه‌ها حالا در صفحات محافظت‌شده غیرفعال می‌شود. (#13059)
- راهنمای محتوایی NVDA دیگر در صفحات محافظت‌شده در دسترس نیست. (#13353)

## ۲۰۲۱.۳.۱

این یک خرده انتشار است برای برطرف کردن برخی مشکلات در نسخه‌ی ۲۰۲۱.۳

### تغییرات

- پروتکل جدید بریل HID، وقتی می‌توان از درایور نمایشگر بریل دیگری استفاده کرد، دیگر ترجیح داده نمی‌شود. (#13153)
- می‌توانید پروتکل جدید بریل HID را با استفاده از یک کادر علامت‌زدنی جدید در تنظیمات پیشرفته‌ی NVDA غیرفعال کنید. (#13180)

### رفع اشکال

- بخش (لند‌مارک) دوباره در بریل مختصر نمایش داده می‌شود. (#13158)
- ناپایداری هنگام شناسایی خودکارِ نمایشگرهای بریل Brailliant شرکت Humanware و Mantis Q40 شرکت APH از طریق بلوتوث، برطرف شد. (#13153)

## ۲۰۲۱.۳

این نگارش، پشتیبانی از مشخصات و خصوصیات جدید HID را معرفی می‌کند. این مشخصات به منظور استاندارد‌سازیِ پشتیبانی از نمایشگرهای بریل، بدون نیاز به نصب درایورهای جداگانه است. بروزرسانی‌هایی برای eSpeak-NG و LibLouis هست؛ از جمله، جدول‌های جدید برای روسی و وِندایی. صداهای خطا را می‌توانید با استفاده از یک گزینه‌ی جدید در تنظیمات پیشرفته، در نسخه‌های پایدار NVDA فعال کنید. فرمان «خواندن همه» در Word، حالا نمایش محتویات را برای دیده شدن موقعیت جاری، جابجا می‌کند. بهبودی‌های بسیاری هنگام استفاده از Office همراه با UIA ایجاد شده است. یکی از این موارد، این است که Outlook انواع بیشتری از جدول‌های طرحبندی را در پیام‌ها نادیده می‌گیرد.

نکات مهم:

به خاطر یک بروزرسانی برای گواهی‌نامه‌ی امنیتی، اندکی از کاربران هنگامی که NVDA ۲۰۲۱.۲ بروزرسانی‌ها را بررسی می‌کند، خطایی دریافت می‌کنند. NVDA حالا برای جلوگیری از این خطا در آینده، از ویندوز می‌خواهد تا گواهی‌نامه‌های امنیتی را بروز کند. کاربرانی که دچار این خطا شده‌اند، باید این بروزرسانی را دستی دانلود کنند.

### امکانات جدید

- یک فرمان ورودی برای تغییر وضعیت تنظیمات برای اعلام حاشیه‌ی خانه‌ها افزوده شد. (#10408)
- پشتیبانی برای مشخصات و خصوصیات جدیدِ بریلِ HID که به هدف استاندارد‌سازیِ پشتیبانی از نمایشگرهای بریل طراحی شده است. (#12523)
  - دستگاه‌هایی که از این مشخصات پشتیبانی می‌کنند، بطور خودکار توسط NVDA شناسایی خواهند شد.
  - برای اطلاع از جزئیات نحوه استفاده‌ی NVDA از این مشخصات، این صفحه را ببینید.
- پشتیبانی از دستگاه بریل VisioBraille Vario 4 افزوده شد. (#12607)
- هنگام استفاده از هر نسخه‌ای از NVDA، اعلان‌های خطا را می‌توانید (در تنظیمات پیشرفته) فعال کنید. (#12672)
- در ویندوز ۱۰ به بعد، هنگامی که کلمه‌ای را در برنامه‌هایی مانند تنظیمات و فروشگاه مایکروسافت جستجو می‌کنید، NVDA تعداد پیشنهادها را اعلام خواهد کرد. (#7330, #12758, #12790)
- پیمایش در جدول، حالا در کنترل‌های جدولی که در PowerShell با استفاده از Out-GridView cmdlet ایجاد شده، پشتیبانی می‌شود. (#12928)

### تغییرات

- Espeak-ng به نسخه‌ی 1.51-dev، ویراست 74068b91bc... بروز شد. (#12665)
- چنانچه هیچ‌کدام از صداهای نصب‌شده‌ی OneCore زبان ترجیحی NVDA را پشتیبانی نکنند، NVDA بطور پیش‌فرض روی ایسپیک تنظیم خواهد شد. (#10451)
- اگر صداهای OneCore بطور مداوم هنگام سخن گفتن دچار خطا بشوند، NVDA به ایسپیک برمی‌گردد. (#11544)
- هنگام خواندن نوار وضعیت با NVDA+end، مکان‌نمای بازبینی دیگر به موقعیت نوار وضعیت منتقل نمی‌شود. چنانچه به این کارکرد نیاز دارید، لطفا یک کلید یا حرکت به فرمان متناظر با آن در دسته‌بندی پیمایش اشیا در مدیریت فرمان‌های ورودی اختصاص بدهید. (#8600)
- وقتی پنجره‌ی تنظیماتی را باز می‌کنید که از قبل باز است، NVDA به جای اعلام خطا، فکوس را روی پنجره‌ی موجود منتقل می‌کند. (#5383)
- برگرداننده‌ی بریل LibLouis به نسخه‌ی ۳.۱۹.۰ بروز شد. (#12810)
  - جدول‌های جدید بریل: روسی درجه ۱، وِندایی درجه ۱، وِندایی درجه ۲.
- به جای محتوای نشانه‌گذاری‌شده یا نشان، به ترتیب در گفتار و بریل، برجسته یا برجس اعلام و نشان داده می‌شوند. (#12892)
- NVDA چنانچه پنجره‌ای از NVDA منتظر اجرای کار مورد نیازی از طرف کاربر (مثل تایید یا لغو) باشد، دیگر هنگام خروج، تلاش برای خارج شدن نخواهد کرد. (#12984)

### رفع اشکال

- پیگیری وضعیت کلیدهای مبدل (مانند control و insert)، هنگامی که Watchdog در حال بازیابی است، مطمئنتر است. (یعنی هنگام کار با NVDA، کمتر با گیر کردن کلیدهای مبدل مواجه خواهیم بود.) (#12609)
- بررسی برای بروزرسانی NVDA در برخی سیستم‌ها، به ویژه کامپیوترهای دارای ویندوز تازه‌نصب‌شده، دوباره امکانپذیر است. (#12729)
- NVDA هنگام استفاده از UI automation در Word، خانه‌های خالی جدول را درست اعلام می‌کند. (#11043)
- کلید escape در خانه‌های جدول‌های داده‌ی ARIA در وب، حالا روی جدول اثر می‌گذارد و بطور غیرمنتظره حالت فرمانپذیری را خاموش نمی‌کند. (#12413)
- هنگام خواندن سرخانه‌ی یک جدول در کروم، مشکل دو بار خوانده شدن نام ستون برطرف شد. (#10840)
- NVDA دیگر برای لغزنده‌های UIA که معادل متنی برای مقدارشان تعریف شده است، مقدار عددی اعلام نمی‌کند. (UIA ValuePattern حالا به RangeValuePattern ترجیح داده می‌شود). (#12724)
- NVDA دیگر با مقدار لغزنده‌های UIA همیشه بر پایه‌ی درصدی برخورد نمی‌کند.
- اعلام موقعیت یک خانه در اکسل، هنگام دسترسی از طریق UI Automation، دوباره در ویندوز ۱۱ به‌درستی کار می‌کند. (#12782)
- NVDA دیگر زبان نامعتبری برای پایتون تعیین نمی‌کند. (#12753)
- چنانچه یک افزونه‌ی غیرفعال‌شده را حذف و دوباره نصب کنید، آن افزونه دوباره فعال می‌شود. (#12792)
- اشکالاتی در مورد بروزرسانی و حذف افزونه‌ها، که پوشه‌های افزونه‌ها تغییر نام می‌یافت یا فایل‌هایی باز می‌ماند، برطرف شد. (#12792, #12629)
- هنگام استفاده از UI Automation برای دسترسی به کنترل‌های برگه‌های اکسل، NVDA دیگر هنگامی که یک خانه انتخاب شده باشد، بطور تکراری و غیرلازم، آن را اعلام نمی‌کند. (#12530)
- متن‌های بیشتری از پنجره‌های محاوره‌ای در LibreOffice Writer، به‌ویژه در پنجره‌های تأیید، بطور خودکار خوانده می‌شوند. (#11687)
- خواندن یا پیمایش کردن با حالت مرور در Word همراه با UI Automation، حالا اطمینان می‌دهد که سندی که می‌خوانید، همواره جابجا می‌شود. بنا بر این، موقعیت جاری در حالت مرور، قابل دیدن است و موقعیت نشانگر در حالت فرمانپذیری به‌درستی نمایانگر موقعیت حالت مرور است. (#9611)
- هنگام اجرای خواندن همه در Microsoft Word با UI Automation، سند بطور خودکار -همگام با خوانده شدن توسط NVDA- جابجا و موقعیت نشانگر به‌درستی بروز می‌شود. (#9611)
- هنگام خواندن ایمیل‌ها در Outlook در حالی که NVDA با UI Automation به پیام‌ها دسترسی پیدا می‌کند، برخی جدول‌ها به عنوان جدول‌های طرح‌بندی علامت‌گذاری شده، یعنی دیگر بطور پیش‌فرض اعلام نمی‌شوند. (#11430)
- خطای نادری که هنگام تغییر دستگاه‌های صدا رخ می‌داد برطرف شد. (#12620)
- ورودی با جدول‌های بریل معمولی در فیلدهای ویرایشی باید اعتمادپذیرتر رفتار کند. (#12667)
- هنگام حرکت در تقویم محدوده‌ی اعلانات، NVDA حالا روز هفته را بطور کامل اعلام می‌کند. (#12757)
- هنگامی که از یک روش ورودی چینی، مثل تایوان مایکروسافت سریع در Microsoft Word استفاده می‌کنید، عقب و جلو بردن نمایشگر بریل دیگر مکان‌نما را به اشتباه به محل اصلی خود برنمیگردانَد. (#12855)
- هنگام دسترسی به سندهای Microsoft Word با استفاده از UIA، حرکت کردن جمله به جمله (Alt+جهتنمای بالا و Alt+جهت‌نمای پایین) دوباره امکانپذیر است. (#9254)
- هنگام دسترسی به Word از طریق UIA، تورفتگی پاراگراف‌ها حالا اعلام می‌شود. (#12899)
- هنگام دسترسی به Word از طریق UIA، فرمان تغییر مسیر و برخی فرمان‌های ترجمه‌شده حالا در Word اعلام می‌شوند. (#12904)
- مشکل بریل و گفتار تکراری هنگامی که «توضیح» با «محتوا» یا «نام» مطابقت دارد، برطرف شد. (#12888)
- در Word هنگامی که UIA فعال باشد، هنگامی که تایپ می‌کنید، صداهای خطا دقیقتر پخش می‌شوند. (#12161)
- در ویندوز ۱۱، NVDA دیگر هنگامی که با alt+tab بین برنامه‌ها حرکت می‌کنید، «جایگاه» نخواهد گفت. (#12648)
- پنجره‌ی جدید و مدرن side track pane دیدگاه‌ها هنگامی که برای دسترسی به سند از UIA استفاده نمی‌کنید، حالا در Microsoft Word پشتیبانی می‌شود. برای حرکت بین پنجره‌ی side track pane و سند از alt+f12 استفاده کنید. (#12982)

## ۲۰۲۱.۲

این نسخه، پشتیبانی اولیه از ویندوز ۱۱ را معرفی می‌کند. در حالی که نسخه‌ی رسمی ویندوز ۱۱ هنوز منتشر نشده، این نسخه از NVDA روی نسخه‌های پیش‌نمایشی ویندوز ۱۱ آزمایش شده است. این نسخه مشتمل بر اصلاحی مهم مربوط به پرده‌ی صفحه نمایش است. (نکات مهم را ببینید). ابزار تعمیر رجیستری حالا هنگام اجرای NVDA می‌تواند مشکلات بیشتری را حل کند. موتور تبدیل متن به گفتار ESpeak و برگرداننده‌ی بریل LibLouis بروز شده‌اند. همچنین رفع اشکال‌ها و بهبودی‌های مختلفی به‌ویژه برای پشتیبانی از بریل و برنامه‌های پایانه‌ای ویندوز، ماشین حساب، پنل ایموجی‌ها و سابقه‌ی کلیپ‌برد موجود است.

### نکات مهم

با توجه به تغییر در API بزرگنمایی ویندوز، پرده‌ی صفحه نمایش برای پشتیبانی از نسخه‌های جدیدتر ویندوز باید بروز شود. از NVDA ۲۰۲۱.۲ برای فعال کردن پرده‌ی صفحه نمایش در ویندوز ۱۰ ۲۱H۲ (۱۰.۰.۱۹۰۴۴) یا بالاتر استفاده کنید. این شامل نسخه‌های داخلی (insider) ویندوز ۱۰ و ویندوز ۱۱ نیز می‌شود. برای اهداف امنیتی، هنگامی که از یک نسخه‌ی جدید از ویندوز استفاده می‌کنید، از یک فرد بینا تایید بگیرید که پرده‌ی صفحه نمایش، کاملا صفحه را سیاه می‌کند.

### امکانات جدید

- پشتیبانی آزمایشی از یادداشت‌های ARIA:
  - فرمانی برای خواندن خلاصه‌ی جزئیات یک شیء با استفاده از aria-details افزوده شد. (#12364)
  - گزینه‌ای پیشرفته برای گزارش جزئیات شیء در حالت مرور افزوده شد. (#12439)
- در ویندوز ۱۰ نگارش ۱۹۰۹ و بالاتر (از جمله ویندوز ۱۱)، NVDA هنگام اجرای جستجو در File Explorer، تعداد پیشنهادها را اعلام می‌کند. (#10341, #12628)
- NVDA از این پس در Microsoft Word، نتیجه‌ی میانبرهای حاشیه‌گذاری تورَفته و بیرونزده را هنگامی که اجرا می‌کنید، اعلام می‌کند. (#6269)

### تغییرات

- Espeak-ng به نسخه‌ی 1.51-dev ویرایش ab11439b18... بروز شد. (#12449, #12202, #12280, #12568)
- چنانچه اعلام مقاله در تنظیمات قالب‌بندی اسناد فعال باشد، NVDA کلمه‌ی «مقاله» را بعد از محتوا اعلام می‌کند. (#11103)
- برگرداننده‌ی بریل LibLouis به نسخه‌ی ۳.۱۸.۰ بروز شد. (#12526)
  - جدول‌های بریل جدید: بلغاری درجه ۱، برمه‌ای درجه ۱، برمه‌ای درجه ۲، قزاقی درجه ۱، خِمِری درجه ۱، کُردی شمالی درجه ۱، سِپِدی درجه ۱، سِپِدی درجه ۲، سِسوتو درجه ۱، سِسوتو درجه ۲، سِتسوانا درجه ۱، سِتسوانا درجه ۲، تاتاری درجه ۱، ویتنامی درجه ۰، ویتنامی درجه ۲، ویتنامی جنوبی درجه ۱، خوسا درجه ۱، خوسا درجه ۲، یاقوتی درجه ۱، زولو درجه ۱، زولو درجه ۲
- نویسه‌خوان ویندوز ۱۰ به نویسه‌خوان ویندوز تغییر نام یافت. (#12690)

### رفع اشکال

- NVDA در ماشین‌حساب ویندوز ۱۰، عبارات محاسباتی را روی نمایشگر بریل نمایش می‌دهد. (#12268)
- در برنامه‌های پایانه‌ای در ویندوز ۱۰ نگارش ۱۶۰۷ به بعد، هنگامی که وسط خط، نویسه‌هایی درج یا حذف می‌کنید، دیگر نویسه‌های سمت راست نشانگر خوانده نمی‌شوند. (#3200)
  - Diff Match Patch حالا بطور پیش‌فرض فعال است. (#12485)
- ورودی بریل به‌درستی با جدول‌های کوتاه‌نویسی زیر کار می‌کند: عربی درجه ۲، اسپانیایی درجه ۲، اردو درجه ۲، چینی ماندارین درجه ۲. (#12541)
- ابزار تعمیر رجیستری حالا مشکلات بیشتری را به‌ویژه در ویندوزهای ۶۴-بیتی برطرف می‌کند. (#12560)
- بهبودی عملکرد دکمه‌های نمایشگر بریل Seika Notetaker از شرکت Nippon Telesoft. (#12598)
- بهبودی‌هایی در نحوه اعلام Emoji Panel در ویندوز و clipboard history. (#11485)
- توضیحات نویسه‌های الفبای بنگالی بروز شد. (#12502)
- NVDA هنگامی که فرایند جدیدی از NVDA آغاز می‌شود، نسخه‌ی قبلی را به‌درستی و بطور کامل می‌بندد. بدین ترتیب، دیگر تنها یک شکلک از NVDA روی محدوده‌ی اعلانات باقی می‌مانَد. (#12605)
- انتخاب دوباره‌ی درایور نمایشگر بریل Handy Tech از پنجره‌ی انتخاب نمایشگر بریل، دیگر باعث خطا نمی‌شود. (#12618)
- نسخه‌ی ویندوز ۱۰.۰.۲۲۰۰۰ یا بالاتر، به عنوان ویندوز ۱۱ شناسایی می‌شود، نه ویندوز ۱۰. (#12626)
- پشتیبانی از پرده‌ی صفحه نمایش اصلاح و تا نگارش ۱۰.۰.۲۲۰۰۰ آزمایش شد. (#12684)
- اگر هنگامی که فرمان‌های ورودی را در پنجره‌ی فرمان‌های ورودی فیلتر می‌کنید نتیجه‌ای نمایش داده نشود، پنجره‌ی یادشده، آنچنانکه انتظار دارید، به کار خود ادامه می‌دهد. (#12673)
- اشکالی که در برخی منوهای محتوایی، اولین مورد منوی یک زیرمنو خوانده نمی‌شد، برطرف شد. (#12624)

## ۲۰۲۱.۱

این انتشار شامل پشتیبانی آزمایشی اختیاری از UIA در اکسل و مرورگرهای کرومیوم است. مشکلات چند زبان و دسترسی به لینک‌ها در بریل برطرف شده است. مخزن داده‌های محلی متداول یونیکُد (CLDR)، نمادهای ریاضی و libLouis بروز شدند. افزون بر این، رفع اشکال‌ها و بهبودی‌های بسیاری در Office، Visual Studio و چند زبان صورت گرفته است.

توجه:

- این انتشار با افزونه‌های موجود ناسازگاری دارد.
- همچنین این انتشار دیگر از Adobe Flash پشتیبانی نمی‌کند.

### امکانات جدید

- پشتیبانی اولیه از UIA در مرورگرهای بر پایه‌ی کرومیوم، مانند Edge. (#12025)
- پشتیبانی آزمایشی اختیاری از UI Automation در Microsoft Excel. تنها برای ویرایش‌های اکسل، نسخه‌های ۱۶.۰.۱۳۵۲۲.۱۰۰۰۰ و بالاتر پیشنهاد می‌شود. (#12210)
- پیمایش آسانتر در خروجی میز فرمان پایتونِ NVDA. (#9784)
  - آلْت+جهت‌نمای بالا/پایین مکان‌نما را روی نتیجه‌ی خروجی قبلی/بعدی می‌بَرَد. برای انتخاب، شیفت را به فرمان‌های یادشده اضافه کنید.
  - کنترل+l ناحیه‌ی خروجی میز فرمان را پاک می‌کند.
- NVDA حالا دسته‌بندی‌های مرتبط با یک قرار ملاقات در Microsoft Outlook را در صورت موجود بودن اعلام می‌کند. (#11598)
- پشتیبانی از نمایشگر بریل یادداشت‌بردار Nippon Telesoft. (#11514)

### تغییرات

- در حالت مرور، حالا کنترل‌ها را می‌توانید با بردن مکان‌نمای بریل روی توصیف‌کننده‌ی آنها فعال کنید. (مثلِ لنک برای یک لینک). این به‌ویژه برای فعال کردنِ مثلا کادرهای علامت‌زدنی‌ای که برچسب ندارند مفید است. (#7447)
- NVDA حالا هنگامی که پرده‌ی صفحه نمایش فعال باشد، کاربر را از اجرای نویسه‌خوان نوری ویندوز ۱۰ باز‌می‌دارد. (#11911)
- مخزن داده‌های محلی متداول یونیکُد به نگارش ۳۹.۰ بروز شد. (#11943, #12314)
- نمادهای ریاضی بیشتری به دیکشنری نمادهای NVDA افزوده شد. (#11467)
- راهنمای کاربر، تازه چه خبر، و فهرست فرمان‌های صفحه‌کلیدی حالا ظاهر و سیمای تازه‌ای دارند. (#12027)
- هنگامی که تلاش می‌کنید چینش صفحه را در برنامه‌هایی مانند Microsoft Word که تعویض چیدمان صفحه را پشتیبانی نمی‌کنند تغییر دهید، NVDA حالا اعلام می‌کند، «پشتیبانی نمی‌شود». (#7297)
- گزینه‌ی «تلاش برای لغو گفتار رخدادهای فکوس منقضی‌شده» در تنظیمات پیشرفته‌ی NVDA، حالا بطور پیشفرض فعال است. (#10885)
  - این رفتار را می‌توانید با تنظیم این گزینه روی «نه» غیرفعال کنید.
  - برنامه‌های تحت وب، مثل GMail، دیگر هنگامی که فکوس را به‌سرعت حرکت می‌دهید، اطلاعات قدیمی را نمی‌خوانند.
- برگرداننده‌ی بریل libLouis به نسخه‌ی ۳.۱۷.۰ بروز شد.
  - جدول‌های بریل جدید: بریل معمولی بلاروسی، بریل رایانه‌ای بلاروسی، اردو درجه ۱، اردو درجه ۲.
- پشتیبانی از محتوای Adobe Flash، از آنجا که دیگر توسط Adobe پشتیبانی نمی‌شود، از NVDA نیز حذف شده است. (#11131)
- NVDA حتی با وجود پنجره‌هایی از NVDA که هنوز باز هستند، بسته می‌شود. فرایند خروج حالا همه‌ی پنجره‌های محاوره‌ای NVDA را می‌بندد. (#1740)
- نمایشگر گفتار را حالا می‌توانید با Alt+F4 ببندید. این نمایشگر همچنین یک دکمه‌ی استاندارد «بستن» دارد برای تعامل آسانتر کاربرانی که از دستگاه‌های اشاره‌گر (مثل موس) استفاده می‌کنند. (#12330)
- نمایشگر مجازی بریل حالا یک دکمه‌ی استاندارد «بستن» برای تعامل آسانتر کاربرانی که از دستگاه‌های اشاره‌گر (مثل موس) استفاده می‌کنند دارد. (#12328)
- کلید سریع دکمه‌ی «فعال کردن» در پنجره‌ی فهرست سازه‌ها، به خاطر تداخل با برچسب دکمه‌ی رادیویی «نوع سازه» در برخی زبان‌ها حذف شده است. در صورت موجود بودن، دکمه‌ی یادشده، همچنان دکمه‌ی پیشفرض پنجره است و می‌توانید به‌سادگی با زدن دکمه‌ی اینتر در پنجره‌ی فهرست سازه‌ها فعالش کنید. (#6167)

### رفع اشکال

- فهرست پیام‌ها در Outlook ۲۰۱۰، یک بار دیگر قابل خواندن شد. (#12241)
- در برنامه‌های پایانه‌ای در ویندوز ۱۰ نگارش ۱۶۰۷ به بعد، هنگامی که وسط خط، نویسه‌هایی درج یا حذف می‌کنید، دیگر نویسه‌های سمت راست نشانگر خوانده نمی‌شوند. (#3200)
  - این رفع اشکال آزمایشی را باید بطور دستی در پنجره‌ی تنظیمات پیشرفته‌ی NVDA، با تغییر الگوریتم diff به Diff Match Patch فعال کنید.
- در Outlook، هنگامی که از بخش تنه‌ی پیام با Shift+Tab به فیلد موضوع می‌روید، اعلام نادرست فاصله دیگر نباید اتفاق بیفتد. (#10254)
- در میز فرمان پایتون، درج تب برای حاشیه‌گذاری در ابتدای خط ورودی غیرخالی و اجرای کامل کردن تب در وسط خط ورودی، حالا پشتیبانی می‌شود. (#11532)
- اطلاعات قالب‌بندی و دیگر پیام‌های قابل مرور، هنگامی که چیدمان صفحه خاموش باشد، دیگر خط‌های خالی غیرمنتظره نمایش نمی‌دهند. (#12004)
- حالا خواندن دیدگاه‌ها در Microsoft Word با فعالسازی UIA امکانپذیر است. (#9285)
- نحوه اجرا هنگام تعامل با Visual Studio بهبود یافته است. (#12171)
- اشکالات گرافیکی مانند سازه‌های ناپیدا هنگام استفاده از چینش راست به چپ برطرف شد. (#8859)
- جهت چینش رابط کاربری NVDA، بر اساس زبان NVDA خواهد بود؛ نه زبان سیستم. (#638)
  - مشکل شناخته‌شده برای زبان‌های راست به چپ: حاشیه‌ی راست گروه‌بندی‌ها با برچسب‌ها و یا کنترل‌ها بریده می‌شوند. (#12181)
- زبان پایتون همواره مطابق با زبانی که در تنظیمات NVDA انتخاب شده تنظیم می‌شود، و هنگامی که از زبان پیشفرض استفاده می‌کنید اتفاق می‌افتد. (#12214)
- TextInfo.getTextInChunks دیگر هنگامی که در کنترل‌های Rich Edit مانند نمایشگر وقایع NVDA فراخانی می‌شود، متوقف نمی‌شود. (#11613)
- در ویندوز ۱۰، نگارش‌های ۱۸۰۳ و ۱۸۰۹، دوباره استفاده از NVDA در زبان‌هایی که در نامشان نویسه‌ی زیرخط دارند، مثل de_CH، امکانپذیر است. (#12250)
- پیکربندی اعلام بالانویس‌ها و زیرنویس‌ها در Wordpad آنگونه که انتظار می‌رود کار می‌کند. (#12262)
- NVDA چنانچه در یک صفحه‌ی وب فکوس قدیمی ناپدید شود و جایش را به فکوس جدید در همان موقعیت بدهد، دیگر برای اعلام محتوای تازه فکوس‌شده دچار خطا نمی‌شود. (#12147)
- از این پس، قالب‌بندی خط‌خورده، بالانویس و زیرنویس برای تمام خانه‌های اکسل، چنانچه گزینه‌ی مربوط فعال باشد، اعلام می‌شود. (#12264)
- مشکل کپی پیکربندی هنگام نصب از یک نسخه‌ی قابل حمل، وقتی که پوشه‌ی پیکربندی پیشفرض مقصد خالی است برطرف شد. (#12071, #12205)
- مشکل اعلام نادرست بعضی حروف دارای اکسنت یا دیاکریتیک هنگامی که «گفتن cap پیش از حروفِ بزرگ» فعال باشد برطرف شد. (#11948)
- اشکالی که هنگام تغییر زیر و بمی در موتور سخنگوی SAPI4 پیش می‌آمد، برطرف شد. (#12311)
- نصب‌کننده‌ی NVDA حالا پارامتر خط فرمان «--minimal» را هم به حساب آورده، با پیروی از همان رفتار بیان‌شده در راهنما برای پارامتر یادشده، مانند یک نسخه‌ی نصب‌شده یا قابل حمل، صدای آغاز اجرای نصب‌کننده را پخش نمی‌کند. (#12289)
- در Microsoft Word و Outlook، چنانچه گزینه‌ی «به حساب آوردنِ جدول‌های طرح‌بندی» در تنظیمات «حالت مرور» فعال باشد، حالا با کلید پیمایش سریع جدول، می‌توانید به جدول طرح‌بندی بروید. (#11899) NVDA دیگر در بعضی زبان‌های خاص برای ایموجی‌ها «↑↑↑» اعلام نمی‌کند. (#11963)
- Espeak حالا دوباره از کانتونی و ماندارین پشتیبانی می‌کند. (#10418)
- در مایکروسافت Edge جدید بر اساس کرومیوم، حالا فیلدهای متنی مثل نوار آدرس، هنگامی که خالی باشند اعلام می‌شوند. (#12474)
- مشکل درایور نمایشگر بریل Seika برطرف شد. (#10787)

## ۲۰۲۰.۴

این انتشار مشتمل است بر روش‌های ورودی جدید چینی، بروزرسانی برای Liblouis، و فهرست سازه‌ها (NVDA+F7) که در حالت فرمانپذیری کار می‌کند. حالا راهنمای وابسته به محتوا، هنگام فشردن F1 در پنجره‌های NVDA موجود است. بهبودی‌هایی در قوانین تلفظ نمادها، دیکشنری گفتار، پیام‌های بریل و خواندن سطحی؛ رفع اشکال و بهبودی در برنامه‌های Mail، Outlook، Teams، Visual Studio، Azure Data Studio و Foobar2000؛ بهبودی‌هایی در وب، در برنامه‌هایی مثل Google Docs، و پشتیبانی بیشتری از ARIA (برنامه‌های پیشرفته‌ی اینترنتی دسترسپذیر)؛ بعلاوه‌ی بسیاری رفع اشکال‌ها و بهبودی‌های مهم دیگر.

### امکانات جدید

- فشردن F1 در پنجره‌های NVDA، حالا مربوطترین بخش فایل راهنما به آن پنجره را باز می‌کند. (#7757)
- پشتیبانی NVDA از پیشنهادهای کامل‌شونده‌ی خودکار (یا IntelliSense) در Microsoft SQL Server Management Studio بعلاوه‌ی Visual Studio ۲۰۱۷ و بالاتر. (#7504)
- تلفظ نمادها: پشتیبانی از گروهبندی نمادها در یک تعریف نمادهای پیچیده و پشتیبانی از ارجاع‌های گروهی در یک قانون جایگزینی، آن‌ها را ساده‌تر و قدرتمندتر می‌سازد. (#11107)
- از این پس به کاربران، هنگام تلاش برای ایجاد ورودیهای دیکشنری گفتاری با جایگزینی عبارات منتظم نامعتبر، هشدار داده می‌شود. (#11407)
  - به‌ویژه خطاهای گروهبندی شناسایی می‌شود.
- پشتیبانی از روش‌های ورودی چینی سنتی سریع و پین‌یین در ویندوز ۱۰ افزوده شد. (#11562)
- سربرگ‌ها (tab headers) همانند فرم فیلدها در حالت مرور در نظر گرفته شده و با حرف F قابل پیمایش هستند. (#10432)
- فرمانی برای فعال یا غیرفعال کردن اعلام متن برجسته‌شده (نشان‌شده) افزوده شد. کلید پیشفرضی به این فرمان اختصاص داده نشده است. (#11807)
- پارامتر --copy-portable-config به خط فرمان NVDA افزوده شد که امکان می‌دهد تا هنگامی که NVDA را بی پرسشی از کاربر نصب می‌کنید، بتوانید پیکربندی فراهم‌شده را بطور خودکار در حساب کاربر کپی کنید. (#9676)
- جابجایی به خانه‌ی بریل در نمایشگر مجازی بریل، هم‌اکنون برای کاربرانی که از موس استفاده می‌کنند پشتیبانی می‌شود. موس را روی خانه‌ی مورد نظر نگهدارید تا مکان‌نما به آن خانه برود. (#11804)
- NVDA از این به بعد، دستگاه‌های Humanware Brailliant BI 40X و 20X را هم از طریق یو‌اس‌بی هم بلوتوث، بطور خودکار شناسایی می‌کند. (#11819)

### تغییرات

- برگرداننده‌ی بریل Liblouis به نگارش ۳.۱۶.۱ بروز شد.
  - بسیاری خطاها برطرف شده‌اند.
  - جدول‌های بریل باشقیری درجه ۱، قبطی ۸-نقطه‌ی رایانه، روسی نوشتاری و روسی نوشتاری (مُفَصَّل) افزوده شدند.
  - جدول بریل روسی درجه ۱ حذف شد.
- هنگام خواندن صفحه در حالت مرور با استفاده از فرمان «خواندن همه»، چنانچه گزینه‌ی «خواندن سطحی» فعال باشد، فرمان‌های «پیدا کردن بعدی» و «پیدا کردن قبلی» دیگر خواندن را متوقف نمی‌کنند. در عوض، خواندن همه از مورد پیدا شده‌ی بعدی یا قبلی از سر گرفته می‌شود. (#11563)
- کلید F3 در نمایشگرهای بریل HIMS، به فاصله+نقطه‌های ۱۴۸ تغییر یافت. (#11710)
- بهبود تجربه‌ی کاربری در گزینه‌های «مدت زمان پیام بریل» و «نمایش نامحدود پیام‌ها» (#11602)
- در مرورگرهای وب و دیگر برنامه‌هایی که از حالت مرور پشتیبانی می‌کنند، حالا پنجره‌ی فهرست سازه‌ها (Insert+F7) را می‌توانید هنگامی که در حالت فرمان‌پذیری هستید فراخوانی کنید. (#10453)
- هنگامی که اعلام تغییرات محتوای پویا غیرفعال باشد، بروزرسانی‌های ناحیه‌های ARIA Live نادیده گرفته، متوقف می‌شود. (#9077)
- NVDA حالا «در کلیپ‌برد کپی شد» را قبل از متن کپی‌شده اعلام می‌کند. (#6757)
- ارايه‌ی جدول مشاهده‌ی گرافیکی در مدیریت دیسک‌ها (Disk Management) بهبود یافته است. (#10048)
- برچسب‌های کنترل‌ها -در تنظیمات NVDA-، حالا هنگامی که کنترل غیرفعال شود، غیرفعال (خاکستری رنگ) می‌شوند. (#11809)
- تفسیر ایموجی‌های CLDR به نگارش ۳۸ بروز شد. (#11817)
- ویژگی داخلی «برجسته‌ساز فکوس» به «برجسته‌ساز بینایی» تغییر نام یافت. (#11700)

### رفع اشکال

- NVDA هنگام استفاده از برنامه‌ی Fast Log Entry، دوباره با فیلدهای ویرایشی درست کار می‌کند. (#8996)
- در برنامه‌ی Foobar2000، چنانچه زمان کلی موجود نباشد (مثلا هنگام پخش برنامه‌ی زنده)، زمان سپری‌شده اعلام می‌شود. (#11337)
- NVDA حالا ویژگی aria-roledescription را در سازه‌های محتواهای قابل ویرایش در صفحات وب به حساب می‌آورَد. (#11607)
- دیگر در یک فهرست در سندنگار گوگل یا محتوای قابل ویرایش دیگر در کروم، در هر خط، واژه‌ی «فهرست» اعلام نمی‌شود. (#7562)
- هنگام پیمایشِ نویسه به نویسه یا واژه به واژه از یک مورد فهرست به موردی دیگر در یک محتوای قابل ویرایش در صفحات وب، حالا ورود به مورد جدید فهرست اعلام می‌شود. (#11569)
- NVDA حالا هنگامی که نشانگر در انتهای یک لینک در پایان یک مورد فهرست در سندنگار گوگل یا محتوای قابل ویرایش دیگری در وب باشد، خط درست را می‌خوانَد. (#11606)
- در ویندوز ۷، باز کردن یا بستن منوی Start از میز کار، حالا فکوس را درست تنظیم می‌کند. (#10567)
- وقتی که گزینه‌ی «تلاش برای لغو گفتار رخدادهای فکوس منقضی‌شده» فعال باشد، هنگام جابجایی بین سربرگها در فایرفاکس، عنوان سربرگ دوباره خوانده می‌شود. (#11397)
- - NVDA دیگر هنگام سخن گفتن با صداهای SAPI5 موتور سخنگوی Ivona، بعد از تایپ یک نویسه در فهرست، هنگام خواندن مورد فهرست، از خواندن باز‌نمی‌مانَد. (#11651)
- در برنامه‌ی Mail در ویندوز ۱۰، نسخه‌ی ۱۶۰۰۵.۱۳۱۱۰ و بالاتر، هنگام خواندن ایمیل‌ها، استفاده از حالت مرور دوباره امکانپذیر است. (#11439)
- هنگام استفاده از صداهای SAPI5 موتور سخنگوی Ivona، محصول harposoftware.com، NvDA حالا می‌تواند پیکربندی‌ها را ذخیره کند، موتورهای سخنگو را تعویض کند، و دیگر بعد از شروع مجدد ساکت نخواهد ماند. (#11650)
- در نمایشگرهای بریل HIMS، حالا امکان تایپ شماره‌ی ۶ با صفحه‌کلید بریل در حالت بریل رایانه وجود دارد. (#11710)
- بهبودی‌های عمده‌ای در اجرا در برنامه‌ی Azure Data Studio حاصل شده است. (#11533, #11715)
- هنگامی که گزینه‌ی «تلاش برای لغو گفتار رخدادهای فکوس منقضی‌شده» فعال باشد، عنوان پنجره‌ی «پیدا کردن» در NVDA دوباره خوانده می‌شود. (#11632)
- NVDA هنگامی که کامپیوتر از حالت آماده باش خارج می‌شود و فکوس روی سندی که با Microsoft Edge باز شده قرار می‌گیرد، دیگر نباید متوقف شود. (#11576)
- بعد از بستن منوی محتوایی در Microsoft Edge، برای اینکه حالت مرور دوباره کار کند، دیگر نیازی به زدن Tab یا جابجا کردن فکوس نیست. (#11202)
- NVDA دیگر هنگام خواندن موارد موجود در فهرست‌های یک برنامه‌ی ۶۴-بیتی، مثل Tortoise SVN، دچار مشکل نمی‌شود. (#8175)
- ARIA treegrid‌ها (جدول‌های درختی) در حالت مرور در فایرفاکس و کروم، به صورت جدول‌های معمولی نمایش داده می‌شوند. (#9715)
- از این پس می‌توانید یک جستجوی معکوس را با استفاده از «پیدا کردن قبلی» با NVDA+Shift+F3 آغاز کنید. (#11770)
- دیگر یک فرمان NVDA، چنانچه کلید نامربوطی بین دو بار اجرای فرمان فشرده شود، تکراری محسوب نخواهد شد. (#11388)
- می‌توانید دوباره اعلام تگ‌های Strong و emphasis در اینترنت اکسپلورر را با خاموش کردن تأکیدها در تنظیمات قالب‌بندی غیرفعال کنید. (#11808)
- توقفی چند ثانیه‌ای هنگام حرکت در خانه‌های اکسل با جهت‌نماها که توسط برخی کاربران گزارش شده بود، دیگر نباید اتفاق بیفتد. (#11818)
- در نسخه‌هایی از Microsoft Team که مثلا با 1.3.00.28 شروع می‌شوند، NVDA دیگر به خاطر منویی که به اشتباه در فکوس قرار گرفته، هنگام خواندن پیامها در چت‌ها و کانال‌های تیم‌ها، دچار مشکل نمی‌شود. (#11821)
- متنی که همزمان، هم بعنوان خطای املایی، هم خطای دستوری نشان‌گذاری شده باشد، حالا بدرستی توسط NVDA بعنوان خطای املایی و دستوری اعلام می‌شود. (#11787)
- در Visual Studio، پیام‌های راهنمای IntelliSense که جزئیات افزونتری راجع به مورد انتخاب‌شده ارائه می‌دهند، حالا فقط یک بار اعلام می‌شوند. (#11611)
- در ماشین‌حساب ویندوز ۱۰، چنانچه «خواندن نویسه‌های تایپ‌شده» غیر فعال باشد، NVDA فرایند محاسبه‌ها را نمی‌خوانَد. (#9428)
- NVDA دیگر هنگام نمایش محتوای معینی در بریل، مثلا یک نشانی اینترنتی، در حال استفاده از جدول بریل انگلیسی آمریکایی درجه ۲، چنانچه «گسترش دادن واژه‌ی قرار گرفته روی مکان‌نما به صورتِ بریل رایانه» فعال باشد، دچار خطا نمی‌شود. (#11754)
- اعلام اطلاعات قالب‌بندی برای خانه‌ی در فکوس قرار گرفته در اکسل، با استفاده از NVDA+F، دوباره امکانپذیر است. (#11914)
- ورودیِ QWERTY در نمایشگرهای بریل Papenmeier که -این نوع ورودی را- پشتیبانی می‌کند، دوباره کار می‌کند و دیگر باعث توقف گاه و بیگاه NVDA نمی‌شود. (#11944)

## ۲۰۲۰.۳

این انتشار چندین بهبود عمده را در پایداری و اجرا، به‌ویژه در برنامه‌های آفیس در بر دارد. تنظیمات جدیدی برای پشتیبانی از نمایشگرهای لمسی و اعلام گرافیک‌ها وجود دارد. وجود محتوای نشانه‌گذاری‌شده (برجسته) در مرورگرها اعلام می‌شود. جدول‌های بریل آلمانی جدید هم افزوده شده است.

### امکانات جدید

- حالا می‌توانید اعلام گرافیک‌ها را از تنظیمات قالب‌بندی اسناد فعال یا غیرفعال کنید. شایان ذکر است که NVDA با غیرفعال بودن این گزینه، همچنان متنی که به عنوان متن جایگزین (Alt) برای گرافیک تعیین شده است را خواهد خواند. (#4837)
- از این پس می‌توانید پشتیبانی NVDA از صفحات لمسی را فعال یا غیرفعال کنید. گزینه‌ای برای این کار در تنظیمات تعامل لمسی NVDA افزوده شده است. کلید پیش‌فرض این گزینه NVDA+control+alt+t است. (#9682)
- جدول‌های بریل آلمانی جدید افزوده شد. (#11268)
- NVDA حالا کنترل‌های UIA فقط خواندنی را تشخیص می‌دهد. (#10494)
- وجود محتوای نشانه‌گذاری‌شده (برجسته) در همه‌ی مرورگرهای وب، هم به صورت بریل و هم در گفتار اعلام می‌شود. (#11436)
  - این امکان را می‌توانید با استفاده از گزینه‌ی جدیدی در تنظیمات قالب‌بندی اسناد فعال یا غیرفعال کنید.
- کلیدهای جدید شبیهسازی‌شده‌ی صفحه کلید سیستم را می‌توانید از مدیریت فرمان‌های ورودی اضافه کنید. (#6060)
  - برای این کار، بعد از انتخاب شاخه‌ی کلیدهای شبیهسازی‌شده‌ی صفحه کلید سیستم، دکمه‌ی افزودن را بزنید.
- نمایشگر بریل Active Braille از شرکت Handy Tech که دارای دسته‌ی بازی است حالا پشتیبانی می‌شود. (#11655)
- گزینه‌ی «حالت فکوس خودکار برای جابجایی نشانگر» حالا با غیرفعال کردن گزینه‌ی «تنظیم خودکار فکوس سیستم روی سازه‌های فکوس‌پذیر» سازگار است. (#11663)

### تغییرات

- فرمان اعلام قالب‌بندی (NVDA+f) حالا به گونه‌ای تغییر کرده که قالب‌بندی محل قرارگیری نشانگر سیستم را به جای مکان‌نمای بازبینی اعلام می‌کند. برای اعلام قالب‌بندی محل مکان‌نمای بازبینی، از این به بعد از NVDA+Shift+f استفاده کنید. (#9505)
- NVDAدیگر بطور پیش‌فرض، در حالت مرور فکوس سیستم را بطور خودکار روی سازه‌های فکوس‌پذیر قرار نمی‌دهد. این کار اجرا و پایداری را بهبود می‌بخشد. (#11190)
- CLDR از نسخه‌ی ۳۶.۱ به ۳۷ بروز شد. (#11303)
- eSpeak-NG به نسخه‌ی ۱.۵۱-dev، ویرایش 1fb68ffffea4 بروز شد.
- حالا می‌توانید در لیست‌باکس‌هایی که دارای موارد قابل علامت زدن هستند، هنگامی که لیست خاصی دارای چند ستون است، از پیمایش جدولی بهره بگیرید. (#8857)
- در مدیر افزونه‌ها، هنگام نمایش پیام تایید حذف یک افزونه، حالا دکمه‌ی «No» پیش‌فرض است. (#10015)
- در اکسل، پنجره‌ی فهرست سازه‌ها، حالا فرمول‌ها را به شکل محلی‌سازی‌شده‌شان نمایش می‌دهد. (#9144)
- NVDA حالا برای اعلامِ یادداشت‌ها در اکسل، از اصطلاحات صحیح استفاده می‌کند (#11311)
- هنگام استفاده از فرمان «بردن مکان‌نمای بازبینی به فکوس» در حالت مرور، حالا مکان‌نمای بازبینی در محل نشانگر مجازی قرار می‌گیرد. (#9622)
- اطلاعاتی که در حالت مرور گزارش می‌شود، مانند اطلاعات قالب‌بندی با NVDA+F، حالا در پنجره‌ای کمی بزرگتر در وسط صفحه نمایش داده می‌شود. (#9910)

### رفع اشکال

- NVDA از این پس تنظیمات پرگویی هرچه باشد، هنگامی که واژه به واژه حرکت می‌کنید و روی یک نماد تنها که به دنبال نویسه‌ی فاصله است، قرار می‌گیرید، همیشه آن نماد را می‌خوانَد. (#5133)
- در برنامه‌هایی که از QT ۵.۱۱ یا جدیدتر استفاده می‌کنند، توضیحات اشیا دوباره اعلام می‌شود. (#8604)
- هنگامی که واژه‌ای را با Ctrl+delete پاک می‌کنید، NVDA دیگر بی‌صدا باقی نمی‌مانَد. (#3298, #11029)
  - از این پس، واژه‌ای که بعد از واژه‌ی پاک‌شده هست خوانده می‌شود.
- فهرست زبان حالا در پنل تنظیمات عمومی درست مرتب می‌شود. (#10348)
- در پنجره‌ی مدیریت فرمان‌های ورودی، بهبودی قابل توجهی هنگام فیلتر کردن انجام شده است. (#10307)(
- حالا می‌توانید نویسه‌های یونیکُد فراتر از U+FFFF را از یک نمایشگر بریل ارسال کنید. (#10796)
- NVDA محتوای پنجره‌ی Open with را در بروزرسانی ماه مِیِ ۲۰۲۰ِ ویندوز ۱۰ می‌خوانَد. (#11335)
- یک گزینه‌ی آزمایشی جدید (فعالسازی ثبت انتخابی برای رخدادهای UI Automation و تغییراتِ خصوصیات) در تنظیمات پیشرفته در صورت فعال بودن، می‌تواند بهبودی اساسی در اجرا، در Microsoft Visual Studio و دیگر برنامه‌های بر پایه‌ی UI Automation فراهم آورَد. (#11077, #11209)
- برای موارد قابل علامت زدن از لیست، وضعیت انتخاب‌شده دیگر بطور اضافی اعلام نمی‌شود؛ و چنانچه مناسب باشد، وضعیت انتخاب‌نشده به جایش اعلام می‌شود. (#8554)
- در بروزرسانی مِی ۲۰۲۰ ویندوز ۱۰، NVDA حالا کارت صدای مایکروسافت را هنگام مشاهده‌ی دستگاه‌های خروجی در پنجره‌ی انتخاب موتور سخنگو نشان می‌دهد. (#11349)
- در اینترنت اکسپلورر، شماره‌ها برای فهرست‌های ترتیبی که با ۱ شروع نمی‌شوند، حالا درست اعلام می‌شوند. (#8438)
- در کروم، NVDA حالا برای همه‌ی کنترل‌های قابل علامت زدنی که بدون علامت باشند، نه فقط برای کادرهای علامت‌زدنی، «بدون علامت» را اعلام می‌کند. (#11377)
- هنگامی که زبان NVDA آراگونی باشد، دوباره، پیمایش در کنترل‌های مختلف امکان‌پذیر است. (#11384)
- NVDA در Microsoft Word، هنگام سریع بالا و پایین رفتن با جهت‌نماها یا تایپ نویسه‌ها در حالی که بریل فعال است، دیگر نباید گاه‌گاهی متوقف شود. (#11431, #11425, #11414)
- NVDA هنگام کپی پیمایشگر جاری در کلیپ‌برد، دیگر فاصله‌ی دنباله‌دار ناموجود را به محتوای کپی‌شده اضافه نمی‌کند. (#11438)
- NVDA چنانچه چیزی برای خواندن نباشد، دیگر پروفایل «خواندن همه» را فعال نمی‌کند. (#10899, #9947)
- NVDA دیگر نمی‌تواند فهرست امکانات را در مدیر خدمات اطلاعات اینترنت (IIS) بخواند. (#11468)
- NVDA حالا برای بهبود اجرا، دستگاه صدا را در بعضی کارت‌های صدا باز نگه‌می‌دارد. (#5172, #10721)
- NVDA در Microsoft Word، دیگر هنگام پایین نگه داشتن کنترل+شیفت+جهت‌نمای پایین، متوقف یا بسته نمی‌شود. (#9463)
- وضعیت باز یا بسته بودن شاخه‌های نمای درختی پیمایش در drive.google.com از این پس همیشه توسط NVDA اعلام می‌شود. (#11520)
- NVDA نمایشگر بریل NLS eReader Humanware را از طریق بلوتوث بطور خودکار شناسایی خواهد کرد؛ از آنجا که حالا نام بلوتوث آن «NLS eReader Humanware» است. (#11561)
- بهبودی‌های اساسی در اجرا در Visual Studio Code. (#11533)

## ۲۰۲۰.۲

از نکات برجسته‌ی این نگارش می‌توان به پشتیبانی از یک نمایشگر بریل جدید از شرکت ناطق، پشتیبانی بهتر از رابط کاربری ESET antivirus و پایانه‌ی ویندوز، بهبود اجرا در 1Password و موتور سخنگوی OneCore، و بسیاری رفع اشکال‌ها و بهبودی‌های مهم دیگر اشاره نمود.

### امکانات جدید

- پشتیبانی از نمایشگر بریل جدید:
  - nBraille محصول شرکت ناطق (#10778)
- فرمانی برای باز کردن پوشه‌ی پیکربندی NVDA (بدون اختصاص کلید پیش‌فرض) افزوده شد. (#2214)
- پشتیبانی بهتر از رابط کاربری ESET antivirus. (#10894)
- پشتیبانی از پایانه‌ی ویندوز (Windows Terminal) افزوده شد. (#10305)
- فرمانی برای اعلام پروفایل پیکربندی فعال (بدون اختصاص کلید پیش‌فرض) افزوده شد. (#9325)
- فرمانی برای اعلام بالانویس‌ها و زیرنویس‌ها (بدون اختصاص کلید پیش‌فرض) افزوده شد. (#10985)
- هنگامی که فکوس را در برنامه‌های تحت وب، مثلا GMail به‌سرعت حرکت می‌دهید، NVDA دیگر اطلاعات قدیمی و منسوخ‌شده را نمی‌خوانَد. (#10885)
  - این راهکار آزمایشی باید بطور دستی با گزینه‌ی «تلاش برای لغو گفتارِ رخدادهای فکوسِ منقضی‌شده» از بخش تنظیمات پیشرفته فعال شود.
- نمادهای بسیار بیشتری به دیکشنری پیش‌فرض نمادهای NVDA افزوده شدند. (#11105)

### تغییرات

- برگرداننده‌ی بریل liblouis از نسخه‌ی ۳.۱۲.۰ به ۳.۱۴.۰ بروز شد. (#10832, #11221)
- اعلام بالانویس‌ها و زیرنویس‌ها حالا جدا از اعلام ویژگی‌های فونت کنترل می‌شود. (#10919)
- به خاطر تغییراتی که در VS Code صورت گرفته، NVDA دیگر بطور پیش‌فرض، حالت مرور را در Code غیرفعال نمی‌کند. (#10888)
- NVDA هنگامی که مکان‌نمای بازبینی را با استفاده از فرمان‌های «بردن مکان‌نمای بازبینی به بالا و پایین»، مستقیما به اولین یا آخرین خط پیمایشگر جاری می‌بَرید، دیگر پیام‌های «بالا» و «پایین» را اعلام نمی‌کند. (#9551)
- NVDA زمانی که مکان‌نمای بازبینی را با استفاده از فرمان‌های «بردن مکان‌نمای بازبینی به ابتدا و انتهای خط»، مستقیما به اولین یا آخرین نویسه‌ی یک خط در پیمایشگر جاری می‌بَرید، دیگر پیام‌های «چپ» و «راست» را اعلام نمی‌کند. (#9551)

### رفع اشکال

- NVDA حالا هنگامی که فایل لاگ نمی‌تواند ایجاد شود، بدرستی آغاز به کار می‌کند. (#6330)
- در نسخه‌های اخیر Microsoft Word 365، NVDA هنگام ویرایش یک سند، وقتی ctrl+backspace را می‌زنید، delete back word اعلام نمی‌کند. (#10851)
- NVDA دوباره در Winamp، وضعیت حالت‌های پخش تصادفی و تکرار را اعلام می‌کند. (#10945)
- NVDA دیگر هنگامی که در فهرست موارد موجود در برنامه‌ی 1Password حرکت می‌کنید، بسیار کند نیست. (#10508)
- موتور سخنگوی Windows OneCore دیگر هنگام سخن گفتن با کندی رفتار نمی‌کند. (#10721)
- NVDA دیگر هنگامی که منوی محتوایی برنامه‌ی 1Password را از محدوده‌ی اعلان‌های سیستم باز می‌کنید، متوقف نمی‌شود. (#11017)
- در Office ۲۰۱۳ و نسخه‌های قدیمیتر:
  - ریبون‌ها هنگامی که برای اولین بار فکوس روی آن‌ها قرار می‌گیرد، اعلام می‌شوند. (#4207)
  - موارد منو‌های محتوایی یکبار دیگر بدرستی اعلام می‌شوند. (#9252)
  - بخش‌های ریبون‌ها هنگام پیمایش با کنترل+جهت‌نماها، همواره اعلام می‌شوند. (#7067)
- در حالت مرور در صورتی که تنظیم خودکار فکوس سیستم روی سازه‌های فکوس‌پذیر غیرفعال باشد، حالا فعال کردن سازه‌هایی که فکوسپذیر نیستند امکانپذیر است.
- در حالت مرور در صورتی که تنظیم خودکار فکوس سیستم روی سازه‌های فکوس‌پذیر غیرفعال باشد، حالا فعال کردن سازه‌هایی که با کلید tab در دسترس هستند امکانپذیر است. (#8528)
- در حالت مرور در صورتی که تنظیم خودکار فکوس سیستم روی سازه‌های فکوس‌پذیر غیرفعال باشد، NVDA هنگامی که برخی سازه‌ها را فعال می‌کنید، دیگر روی موقعیت نادرست کلیک نمی‌کند. (#9886)
- هنگام دسترسی به کنترل‌های متنی DevExpress، صداهای خطای NVDA دیگر شنیده نمی‌شود. (#10918)
- پیام‌های راهنمای شکلک‌های موجود در محدوده‌ی اعلان‌های سیستم، چنانچه متنشان برابر با نام شکلک‌ها باشد، برای جلوگیری از اعلام دوباره، هنگام پیمایش با صفحه‌کلید، دیگر اعلام نمی‌شوند. (#6656)
- در حالت مرور در صورتی که تنظیم خودکار فکوس سیستم روی سازه‌های فکوس‌پذیر غیرفعال باشد، رفتن به حالت فرمانپذیری با NVDA+فاصله، حالا سازه‌ی زیر نشانگر را در تیررس قرار می‌دهد. (#11206)
- یک بار دیگر بررسی بروزرسانی NVDA روی برخی سیستم‌ها، مثلا ویندوزی که به تازگی روی یک سیستم نصب شده، امکانپذیر است. (#11253)
- در یک برنامه‌ی جاوا، وقتی که انتخاب در یک نمای درختی، جدول یا فهرستی که در تیررس نیست تغییر می‌کند، فکوس جابجا نمی‌شود. (#5989)

## ۲۰۲۰.۱

از نکات برجسته‌ی این نگارش می‌توان به پشتیبانی از چند نمایشگر بریل جدید از HumanWare و APH اشاره کرد. همچنین، بسیاری از اشکالات مهمی که در نسخه‌ی پیشین بود، از جمله اشکال در خواندن ریاضی در Microsoft Word با استفاده از MathPlayer و MathType، برطرف شده است.

### امکانات جدید

- در کروم، مورد درحال حاضر انتخاب‌شده در لیست‌باکس‌ها، همانند NVDA ۲۰۱۹.۱ دوباره در حالت مرور نمایش داده می‌شود. (#10713)
- حالا می‌توانید روی دستگاه‌های دارای صفحه‌ی لمسی، با یک ضربه‌ی انگشت و نگه‌داشتن آن، راست‌کلیک موس را اجرا کنید. (#3886)
- پشتیبانی از نمایشگرهای بریل جدید: APH Chameleon 20، APH Mantis Q40، HumanWare BrailleOne، BrailleNote Touch v2، و NLS eReader. (#10830)

### تغییرات

- NVDA زمانی که در حالت «خواندن همه» باشد، از قفل شدن یا به خواب رفتن سیستم جلوگیری می‌کند. (#10643)
- پشتیبانی از قاب‌های داخلی با پردازش جداگانه در فایرفاکس. (#10707)
- برگرداننده‌ی بریل Liblouis به نگارش 3.12 بروز شد. (#10161) **- حالا حالت مرور، همانند نسخه‌ی پایدار Visual Studio Code، بطور پیش‌فرض در نسخه‌ی Insider این برنامه هم خاموش است. (#10858)

### رفع اشکال

- مشکل خوانده نشدن نماد یونیکُد منفی (U+2212) برطرف شد. (#10633)
- هنگام نصب افزونه از پنجره‌ی مدیر افزونه‌ها، نام فایل‌ها و پوشه‌ها در پنجره‌ی گشتن، دوبار خوانده نمی‌شود. (#10620, #2395)
- در فایرفاکس، هنگام بارگزاری Mastodon با رابط کاربری وب پیشرفته، همه‌ی تایم‌لاین‌ها بدرستی در حالت مرور نمایش داده می‌شوند. (#10776)
- NVDA حالا در حالت مرور، برای کادرهای علامت‌زدنی که علامت ندارند، «بدونِ علامت» را اعلام می‌کند. این کار پیش از این بعضی اوقات انجام نمی‌شد. (#10781)
- کنترل‌های سوییچِ ARIA، دیگر اطلاعات گیج‌کننده‌ای مثل «فشرده‌نشده علامت‌دار» یا «فشرده‌شده علامت‌دار» را اعلام نمی‌کنند. (#9187)
- صداهای SAPI4 دیگر نباید از خواندن متن معینی سر باز بزنند. (پیش از این هنگام خواندن موارد در پنجره‌ی مرورگر ویندوز یا هنگام تایپ، چیزی خوانده نمی‌شد.) (#10792)
- NVDA می‌تواند دوباره معادله‌های ریاضی را در Microsoft Word بخواند و با آن‌ها تعامل کند. (#10803)
- NVDA چنانچه در حالت مرور، یکی از جهت‌نماها را فشار بدهید در حالی که متنی انتخاب شده باشد، دوباره انتخاب نشدن متن (خارج شدن متن از حالت انتخاب) را اعلام خواهد کرد. (#10731).
- NVDA چنانچه خطایی هنگام آغاز به کار eSpeak رخ بدهد، دیگر خاموش نمی‌شود. (#10607)
- خطاهایی که به واسطه‌ی یونیکُد در ترجمه‌ی میانبرها اتفاق می‌افتد، دیگر نصب‌کننده‌ی NVDA را متوقف نمی‌کند. مشکل با برگشتن نصب‌کننده به متن انگلیسی برطرف می‌شود. (#5166, #6326)
- در حالتی که ویژگی «خواندن سطحی» در خواندن همه‌ی متن فعال باشد، هنگامی که با جهت‌نماها از فهرست‌ها و جدول‌ها خارج می‌شوید، NVDA دیگر پشت سر هم، خروج از فهرست یا جدول را اعلام نمی‌کند. (#10706)
- مشکل تعقیب موس برای برخی سازه‌های MSHTML در اینترنت اکسپلورر برطرف شد. (#10736)

## ۲۰۱۹.۳

NVDA ۲۰۱۹.۳ انتشاریست بسیار شایان توجه که تغییرات زیرساختیِ فراوانی را در بر دارد؛ از جمله ارتقا پایتون ۲ به پایتون ۳ و بازنویسی اساسی زیرسیستم گفتاری صفحه‌خوان NVDA. با وجود اینکه این تغییرات، سازگاری NVDA را با افزونه‌های قدیمیتر از بین می‌بَرَد، ارتقا به پایتون ۳ برای امنیت ضروری است، و تغییرات در گفتار امکان برخی نوآوری‌های هیجان‌انگیز را در آینده‌ای نزدیک فراهم می‌آورَد. از دیگر نکات برجسته، می‌توان به پشتیبانی از ماشین‌های مجازی ۶۴-بیتی جاوا، قابلیت‌های پرده و برجسته‌ساز فکوس، پشتیبانی از نمایشگرهای بریلِ بیشتر و یک نمایشگر مجازیِ بریل، و رفع اشکال‌های بسیارِ دیگر اشاره نمود.

### امکانات جدید

- دقت فرمان «بردن موس به شیء پیمایشگر» در فیلدهای متنی در برنامه‌های جاوا بهبود یافته است. (#10157)
- پشتیبانی از نمایشگرهای بریل Handy Tech زیر افزوده شد: (#8955)
  - Basic Braille Plus 40
  - Basic Braille Plus 32
  - Connect Braille
- همه‌ی فرمان‌های تعریف‌شده توسط کاربر را حالا می‌توان با دکمه‌ی جدید «بازگرداندن به تنظیمات پیش‌فرض» موجود در پنجره‌ی فرمان‌های ورودی حذف کرد. (#10293)
- اعلام قلم در Microsoft Word حالا شامل متنی که به عنوان «مخفی» علامت‌گذاری شده باشد نیز می‌شود. (#8713)
- فرمانی برای بردن مکان‌نمای بازبینی به محلی که از پیش به عنوان نشانگر آغاز برای انتخاب یا کپی تعیین شده است افزوده شد: NVDA+shift+F9. (#1969)
- در اینترنت اکسپلورر، Microsoft Edge و نسخه‌های اخیر فایرفاکس و کروم، حالا بخش‌ها (landmarks) در حالت فرمان‌پذیری و پیمایش اشیا اعلام می‌شوند. (#10101)
- در اینترنت اکسپلورر، کروم و فایرفاکس، حالا می‌توانید با پیمایش سریع، روی سازه‌های مقاله (Article) و گروه (grouping) حرکت کنید. بطور پیش‌فرض کلیدی برای این فرمان اختصاص داده نشده. می‌توانید با باز کردن پنجره‌ی «مدیریت فرمان‌های ورودی» روی سندی در حالت مرور، کلیدی به این فرمان اختصاص دهید. (#9485, #9227)
  - فیگورها (Figures) هم اعلام می‌شوند. این سازه‌ها از نظر NVDA جزء اشیاء به شمار می‌روند؛ بنا بر این با کلید پیمایش سریعِ O قابل پیمایش هستند.
- در اینترنت اکسپلورر، کروم و فایرفاکس، سازه‌های مقاله با پیمایش اشیا و بطور اختیاری، چنانچه در تنظیمات «قالب‌بندی اسناد» فعال شود، در حالت مرور اعلام می‌شوند. (#10424)
- پرده‌ی صفحه نمایش افزوده شد. در صورتی که فعال شود، تمام صفحه‌ی نمایش را در ویندوز ۸ و بعد از آن سیاه می‌کند. (#7857)
  - فرمانی برای فعال کردن پرده تا راه‌اندازی بعدی با یک بار اجرا کردن، یا فعال‌سازی همیشگی تا زمانی که NVDA اجرا می‌شود با دو بار اجرا کردن فرمان یادشده، اضافه شد. بطور پیش‌فرض، کلیدی به این فرمان اختصاص داده نشده است.
  - پرده را می‌توانید از دسته‌ی «بینایی» در پنجره‌ی تنظیمات فعال و پیکربندی کنید.
- قابلیت هایلایت کردن صفحه نمایش به NVDA افزوده شد. (#971, #9064)
  - هایلایت کردن موقعیت مکان‌نمای فکوس، پیمایشگر و حالت مرور را می‌توانید از دسته‌ی «بینایی» در تنظیمات NVDA فعال و پیکربندی کنید.
  - نکته: این ویژگی با افزونه‌ی FocusHighlight سازگار نیست؛ با این حال می‌توانید با غیر فعال کردن هایلایت‌کننده‌ی داخلی، همچنان از افزونه‌ی نامبرده استفاده کنید.
- ابزار نمایشگر بریل افزوده شد؛ که امکان مشاهده‌ی خروجی بریل از طریق پنجره‌ای روی صفحه‌نمایش را فراهم می‌کند. (#7788)

### تغییرات

- راهنمای کاربر حالا نحوه کار با NVDA در میز فرمان ویندوز را توضیح می‌دهد. (#9957)
- از این پس، هنگامی که nvda.exe را اجرا می‌کنید، بطور پیش‌فرض نسخه‌ی جدیدی از NVDA را به جای نسخه‌ی قبلی جایگزین می‌کند. پارامتر خط فرمان -r|--replace هنوز پذیرفته، ولی نادیده گرفته می‌شود. (#8320)
- NVDA در ویندوز ۸ و بالاتر، حالا نام و اطلاعات نسخه‌ی برنامه را برای برنامه‌های میزبان، مانند برنامه‌هایی که از فروشگاه مایکروسافت دانلود شده، با استفاده از اطلاعاتی که توسط برنامه فراهم شده اعلام می‌کند. (#4259, #10108)
- هنگام فعال یا غیرفعال کردن تغییرات مسیر در Microsoft Word با صفحه‌کلید، NVDA وضعیت تنظیم را اعلام خواهد کرد. (#942)
- شماره نسخه‌ی NVDA حالا به عنوان نخستین پیام در وقایع NVDA ثبت می‌شود. این امر، هنگامی که حتی ثبت وقایع از رابط کاربری غیرفعال شده باشد نیز اتفاق می‌افتد. (#9803)
- پنجره‌ی تنظیمات دیگر اجازه‌ی تغییر سطح ثبت وقایع را، چنانچه قبلا از طریق خط فرمان تعیین شده باشد نمی‌دهد. (#10209)
- NVDA حالا در Microsoft Word، وضعیت نمایش نویسه‌های غیرقابل چاپ را هنگامی که کلید میانبر Ctrl+Shift+8 را می‌زنید اعلام می‌کند. (#10241)
- برگرداننده‌ی بریل Liblouis به خرده‌انتشار 58d67e63 بروز شد. (#10094)
- هنگامی که «اعلام نویسه‌های CLDR» فعال باشد، ایموجی‌ها در همه‌ی سطح‌های خوانده شدن نمادها خوانده می‌شوند. (#8826)
- بسته‌های شخص ثالث پایتون موجود در NVDA، مانند comtypes، حالا هشدارها و خطاهایشان را در وقایع NVDA ثبت می‌کنند. (#10393)
- مخزن داده‌های محلی متداول یونیکُد به نسخه‌ی ۳۶.۰ بروز شد. (#10426)
- وقتی در حالت مرور روی یک سازه‌ی گروه قرار می‌گیرید، شرح آن گروه نیز خوانده می‌شود. (#10095)
- رابط دسترسی به جاوا (Java Access Bridge) حالا برای دسترسی NVDA به برنامه‌های جاوا، در NVDA تعبیه شده است. این دسترسی شامل ماشین‌های مجازی ۶۴ بیتیِ جاوا نیز می‌شود. (#7724)
- چنانچه Java Access Bridge برای کاربری فعال نشده باشد، NVDA هنگام آغاز به کار خود، بطور خودکار آن‌را فعال می‌کند. (#7952)
- eSpeak-NG به نسخه‌ی ۱.۵۱-dev، ویرایش ca65812ac6019926f2fbd7f12c92d7edd3701e0c بروز شد. (#10581)

### رفع اشکال

- ایموجی‌ها و دیگر نویسه‌های ۳۲-بیتی یونیکُد، حالا وقتی به صورت مقادیر بر پایه‌ی ۱۶ نشان داده می‌شوند، فضای کمتری روی نمایشگر بریل اشغال می‌کنند. (#6695)
- در ویندوز ۱۰، NVDA پیام‌های راهنما را در برنامه‌های فراگیر (universal)، در صورتی که در پنجره‌ی «نحوه ارائه‌ی اشیا» تنظیم شده باشد، اعلام خواهد کرد. (#8118)
- در ویندوز ۱۰ در بروزرسانیِ Anniversary و بعد از آن، متن تایپ‌شده حالا در برنامه‌ی Mintty اعلام می‌شود. (#1348)
- در ویندوز ۱۰ در بروزرسانیِ Anniversary به بعد، خروجی در میز فرمان ویندوز که نزدیک نشانگر ظاهر می‌شود، دیگر هجی نمی‌شود. (#513)
- هنگامی که در پنجره‌ی compressor در برنامه‌ی Audacity حرکت می‌کنید، کنترل‌های پنجره خوانده می‌شوند. (#10103)
- NVDA دیگر در پیمایشگری که ویرایشگرهای بر پایه‌ی سینتیلا را بازبینی می‌کند، مانند Notepad++، دیگر فاصله‌ها را به عنوان کلمه حساب نمی‌کند. (#8295)
- NVDA هنگامی که متنی را با فرمان‌های حرکتی نمایشگر بریل مرور می‌کنید، سیستم را از به خواب رفتن باز می‌دارد. (#9175)
- بریل در ویندوز ۱۰، هنگام ویرایش خانه‌ها در اکسل و دیگر کنترل‌های UIA، نشانگر را دنبال می‌کند. پیش از این در چنین موقعیت‌هایی از نشانگر عقب می‌مانْد. (#9749)
- NVDA یک بار دیگر پیشنهاد‌ها را در نوار آدرس Microsoft Edge اعلام خواهد کرد. (#7554)
- NVDA دیگر هنگامی که در اینترنت اکسپلورر روی یک سربرگ HTML فکوس می‌کنید، سکوت نمی‌کند. (#8898)
- در Microsoft Edge بر پایه‌ی EdgeHTML، NVDA وقتی پنجره‌ی مرورگر بیشینه می‌شود، دیگر صدای پیشنهاد جستجو را پخش نمی‌کند. (#9110, #10002)
- حالا جعبه‌های کشوییِ ARIA ۱.۱ در فایرفاکس و کروم پشتیبانی می‌شوند. (#9616)
- NVDA دیگر محتوای ستون‌های از لحاظ دیداری مخفی‌شده‌ی موارد فهرست را در کنترل‌های SysListView32 اعلام نمی‌کند. (#8268)
- پنجره‌ی تنظیمات، هنگامی که در حالت محافظت‌شده باشید، دیگر «اطلاعات» را به عنوان سطح ثبت وقایع جاری نشان نمی‌دهد. (#10209)
- در منوی Start در بروزرسانی Anniversary ویندوز ۱۰ و بعد از آن، NVDA جزئیات نتایج جستجو را خواهد خواند. (#10232)
- در حالت مرور، چنانچه حرکت دادن مکان‌نما یا استفاده از پیمایش سریع باعث شود سند تغییر کند، NVDAدیگر در برخی موارد، محتوای نادرست را نمی‌خوانَد. (#8831, #10343)
- بعضی از نام‌های بولِت‌ها در Microsoft Word تصحیح شد. (#10399)
- در بروزرسانی ماه مه‌ی ۲۰۱۹ ویندوز ۱۰ و بعد از آن، NVDA بار دیگر، نخستین ایموجی انتخاب‌شده یا اولین مورد کلیپ‌برد را هنگامی که به‌ترتیب، تابلوی ایموجی‌ها و یا سابقه‌ی کلیپ‌برد را باز کنید، اعلام می‌کند. (#9204)
- در Poedit، دوباره مشاهده‌ی برخی ترجمه‌ها در زبان‌های نوشته‌شده از راست به چپ امکانپذیر است. (#9931)
- در برنامه‌ی Settings در بروزرسانی آوریل ۲۰۱۸ ویندوز ۱۰ و بعد از آن، NVDA دیگر برای نمودارهای تنظیم حجم صدایی که در صفحات System و Sound یافت می‌شوند، اطلاعات نوار پیشرفت اعلام نمی‌کند. (#10284)
- عبارت‌های منتظم نامعتبر در دیکشنری‌های گفتار، دیگر گفتار NVDA را کاملا متوقف نمی‌کنند. (#10334)
- هنگام خواندن موارد بولِت‌دار در Microsoft Word در حالی که UIA فعال است، بولِت مورد بعدی دیگر به‌اشتباه اعلام نمی‌شود. (#9613)
- برخی مشکلات و خطاهای برگردان به خط بریل با Liblouis برطرف شد. (#9982)
- برنامه‌های جاوایی که قبل از NVDA شروع به کار کرده‌اند، حالا بدون نیاز به راه‌اندازی دوباره‌ی آن‌ها با NVDA دسترسپذیر هستند. (#10296)
- در فایرفاکس، وقتی سازه‌ی فکوس‌شده به عنوان «جاری» (aria-current) نشان‌گذاری شود، تغییرات چند بار خوانده نمی‌شوند. (#8960)
- NVDA از این پس هنگام حرکت روی متن، با نویسه‌های ترکیبیِ یونیکُد، مانند e-acute، مثل یک نویسه‌ی منفرد برخورد خواهد کرد. (#10550)
- NVDA حالا از مجموعه‌ی Spring Tool نسخه‌ی ۴ پشتیبانی می‌کند. (#10001)
- NVDA دیگر برچسب کادرهای علامت‌زدنی‌ای که در کد آنها از aria-labelledby استفاده شده است را دوبار نمی‌خواند. (#10552)
- در ویندوز ۱۰، نسخه‌ی ۱۶۰۷ و بالاتر، نویسه‌های تایپ‌شده توسط صفحه‌کلیدهای بریل در موقعیت‌های بیشتری خوانده می‌شوند. (#10569)
- هنگامی که دستگاه خروجی صدا را تغییر می‌دهید، بوق‌هایی که توسط NVDA پخش می‌شوند حالا از دستگاه تازه انتخاب‌شده پخش می‌شوند. (#2167)
- در فایرفاکس، حرکت فکوس در حالت مرور سریعتر شده‌است. این امر، حرکت مکان‌نما را در حالت مرور، در بیشتر موارد پاسخگوتر می‌سازد. (#10584)

## ۲۰۱۹.۲.۱

این انتشاری فرعیست برای برطرف کردن چند اشکال موجود در نگارش ۲۰۱۹.۲ که باعث توقف NVDA می‌شد. اشکالات رفع‌شده شامل این موارد می‌شوند:

- برطرف شدن چند توقف در GMail که در کروم و فایرفاکس هنگام تعامل با برخی منوهای بازشو (popup) مشاهده شده بود؛ مانند هنگام ساختن فیلترها یا تغییر برخی تنظیمات GMail. (#10175, #9402, #8924)
- NVDA در ویندوز ۷، هنگام استفاده از موس در منوی Start، دیگر باعث توقف Windows Explorer نمی‌شود. (#9435)
- هنگام دسترسی به فیلدهای ویرایشی فراداده‌ها (Metadata) در ویندوز ۷، دیگر Windows Explorer متوقف نمی‌شود. (#5337)
- NVDA دیگر هنگامِ تعامل با تصاویری که دارای URI یا شناسانه‌ی یکسانِ منبعِ base64 هستند، متوقف نمی‌شود. (#10227)

## ۲۰۱۹.۲

از نکات برجسته‌ی این نگارش می‌توان به شناسایی خودکار نمایشگرهای بریل FreedomScientific، گزینه‌ای آزمایشی در تنظیمات پیشرفته‌ی NVDA برای بازداشتن حالت مرور از حرکت دادن خودکار فکوس (که ممکن است بهبود در اجرا را همراه داشته باشد)، یک گزینه‌ی افزودن بیشتر سرعت برای موتور سخنگوی Windows OneCore برای رسیدن به سرعت‌های بسیار بالاتر، و بسیاری رفع اشکال‌های دیگر اشاره نمود.

### امکانات جدید

- پشتیبانی NVDA از Miranda NG با نسخه‌های جدیدتر برنامه کار می‌کند. (#9053)
- حالا می‌توانید حالت مرور را بطور پیش‌فرض، با غیرفعال کردن گزینه‌ی جدید «فعال کردن حالت مرور هنگام بارگزاری صفحه»، در تنظیمات حالت مرور غیرفعال کنید. (#8716)
  - توجه کنید که وقتی این گزینه غیرفعال باشد، همچنان می‌توانید با فشردن NVDA+فاصله، حالت مرور را بطور دستی فعال کنید.
- حالا می‌توانید نمادها را در پنجره‌ی تلفظ علامت‌های نقطه‌گذاری و نمادها، همانند پنجره‌های فهرست سازه‌ها و فرمان‌های ورودی، فیلتر کنید. (#5761)
- فرمانی برای تغییر دقت واحد متنی موس (تغییر مقدار خواندن متن هنگام حرکت دادن موس) افزوده شد. به این فرمان بطور پیش‌فرض کلیدی اختصاص داده نشده است. (#9056)
- موتور سخنگوی Windows OneCore حالا یک گزینه‌ی افزودن بیشتر سرعت دارد که امکان گفتار سریعتر قابل توجهی را فراهم می‌کند. (#7498)
- گزینه‌ی «افزودن بیشتر سرعت» حالا از طریق حلقه‌ی تنظیمات موتور سخنگو برای موتورهای سخنگوی پشتیبانی‌شده، در حال حاضر eSpeak-NG و Windows OneCore، قابل تنظیم است. (#8934)
- پروفایل‌های پیکربندی را می‌توانید با استفاده از فرمان‌های صفحه‌کلیدی بطور دستی فعال کنید. (#4209)
  - کلید مورد نظرتان را باید در پنجره‌ی فرمان‌های ورودی اختصاص دهید.
- در Eclipse، پشتیبانی از تکمیل خودکار در ویرایشگر کد افزوده شد. (#5667)
  - افزون بر این، اطلاعات Javadoc وقتی موجود باشد را از ویرایشگر می‌توانید با استفاده از NVDA+d بخوانید.
- یک گزینه‌ی آزمایشی به تنظیمات پیشرفته افزوده شد که اجازه می‌دهد تا فکوس سیستم را از دنبال کردن نشانگر حالت مرور بازدارید (تنظیم خودکار فکوس سیستم روی سازه‌های فکوس‌پذیر). (#2039) اگرچه ممکن است مناسب نباشد برای همه‌ی وبسایت‌ها خاموش باشد، ممکن است اشکالات زیر را برطرف کند:
  - اثر باند کِشی: NVDA هر‌ازگاهی آخرین فرمان صفحه‌کلیدی حالت مرور را با پریدن به موقعیت قبلی خنثی می‌کند. (این حالت زمانی که کاربر به سرعت با فرمان‌های پیمایش کار می‌کند اتفاق می‌افتد. به عنوان مثال، کاربر چهار بار یکی از کلیدهای پیمایش سریع را بزند و NVDA پس از پیدا کردن مورد چهارم، به مورد سوم برگردد.)
  - کادرهای ویرایشی، هنگامی که در برخی وبسایت‌ها با جهت‌نمای پایین روی آن‌ها حرکت می‌کنید، هنوز در فکوس سیستم هستند.
  - فرمان‌های صفحه‌کلیدی که در حالت مرور اجرا می‌شوند به‌کندی پاسخگو هستند.
- می‌توانید تنظیمات درایور را، برای درایورهای نمایشگرهای بریلی که این امکان را پشتیبانی می‌کنند، در دسته‌ی تنظیمات بریل از تنظیمات NVDA تغییر دهید. (#7452)
- نمایشگرهای بریل Freedom Scientific حالا توسط شناسایی خودکار نمایشگرهای بریل پشتیبانی می‌شوند. (#7727)
- فرمانی برای نشان دادن جایگزین نمادی که مکان‌نمای بازبینی روی آن قرار گرفته افزوده شد. (#9286)
- یک گزینه‌ی آزمایشی به تنظیمات پیشرفته‌ی NVDA افزوده شد که اجازه می‌دهد تا بازنویسی جدیدی از پشتیبانی از میز فرمان ویندوز، که با استفاده از رابط برنامه‌نویسی Microsoft Automation در حال انجام است را بیازمایید. (#9614)
- در میز فرمان پایتون، فیلد ورودی حالا از الساق چند خط از کلیپ‌برد پشتیبانی می‌کند. (#9776)

### تغییرات

- حجم صدای موتور سخنگو هنگامی که از حلقه‌ی تنظیمات استفاده می‌کنید، به جای ۱۰ واحد، ۵ واحدی کم و زیاد می‌شود. (#6754)
- متن پنجره‌ی مدیر افزونه‌ها، هنگامی که NVDA با افزونه‌های غیرفعال آغاز به کار می‌کند، واضحتر شده است. (#9473)
- مخزن داده‌های محلی متداول یونی‌کد به نسخه‌ی ۳۵.۰ ارتقا یافت. (#9445)
- وقتی یک نمایشگر بریل بطور خودکار شناسایی‌شده از راه بلوتوث متصل می‌شود، NVDA به جستجو برای نمایشگرهای یو‌اس‌بی که با همان درایور پشتیبانی می‌شوند ادامه می‌دهد، و هنگام موجود شدن اتصال یو‌اس‌بی، نحوه‌ی اتصال را به آن تغییر می‌دهد. (#8853)
- eSpeak-NG به ویرایش 67324cc بروز شد.
- برگرداننده‌ی بریل لیبلویی به نسخه‌ی 3.10.0 بروز شد. (#9439, #9678)
- NVDA عبارت «انتخاب شد» را بعد از اعلام متنی که کاربر انتخاب کرده، اعلام می‌کند. (#9028, #9909)
- در پنجره‌ی کد در Microsoft Visual Studio، NVDA حالا بطور پیش‌فرض در حالت فرمان‌پذیری قرار می‌گیرد. (#9828)

### رفع اشکال

- NVDA دیگر هنگامی که یک پوشه‌ی افزونه‌ها خالی باشد، متوقف نمی‌شود. (#7686)
- نشان‌های چپ‌به‌راست یا راست‌به‌چپ، هنگام دسترسی به پنجره‌ی Properties، در بریل یا گفتار نویسه‌به‌نویسه، دیگر اعلام نمی‌شوند. (#8361)
- هنگام پریدن به فرم‌فیلد‌ها با کلید پیمایش سریع حالت مرور، به جایِ خواندنِ فقط خط اول فیلد، تمام فرم‌فیلد خوانده می‌شود. (#9388)
- NVDA دیگر بعد از خارج شدن از برنامه‌ی Mail در ویندوز ۱۰، سکوت نمی‌کند. (#9341)
- NVDA دیگر هنگامی که تنظیمات منطقه‌ای کاربر (Regional settings) روی زبانی که برای NVDA ناشناس باشد، مثلا انگلیسیِ هلند، در آغاز به کار دچار خطا و توقف نمی‌شود. (#8726)
- وقتی حالت مرور در اکسل فعال باشد و شما به مرورگری در حالت فرمان‌پذیری بروید یا بالعکس، وضعیت حالت مرور حالا به‌درستی اعلام می‌شود. (#8846)
- NVDA حالا خط زیر نشانگر موس را در Notepad++ و دیگر ویرایشگرهای بر پایه‌ی سینتیلا به‌درستی اعلام می‌کند. (#5450)
- در Google Docs (و دیگر ویرایشگرهای تحت وب)، بریل دیگر بعضی اوقات، به اشتباه «پای فهر» را پیش از نشانگر در میانه‌ی یک مورد از فهرست نشان نمی‌دهد. (#9477)
- در بروزرسانی ماه مِی ۲۰۱۹ ویندوز ۱۰، NVDA دیگر هنگام تغییر حجم صدا با دکمه‌های سخت‌افزاری در حالی که File Explorer در تیررس قرار گرفته باشد، هشدارهای زیادی از حجم صدا را اعلام نمی‌کند. (#9466)
- هنگام استفاده از دیکشنری‌های نمادهای بالای ۱۰۰۰ مورد، بارگذاری پنجره‌ی تلفظ علائم نقطه‌گذاری و نمادها بسیار سریعتر است. (#8790)
- در کنترل‌های سینتیلایی مثل Notepad++، NVDA هنگامی که wordwrap فعال باشد، می‌تواند خط صحیح را بخواند. (#9424)
- در اکسل، موقعیت یک خانه، بعد از اینکه با کلیدهای shift+enter یا shift+numpadEnter تغییر می‌کند، اعلام می‌شود. (#9499)
- در Visual Studio ۲۰۱۷ و بالاتر، در پنجره‌ی مرور اشیاء، مورد انتخاب‌شده در درختواره‌ی اشیاء یا درختواره‌ی اعضا همراه با دسته‌بندی‌ها حالا به‌درستی اعلام می‌شود. (#9311)
- افزونه‌های دارای نام‌های متفاوت تنها در نحوه به‌کارگیری حروف بزرگ و کوچک، دیگر به عنوان افزونه‌های جداگانه لحاظ نمی‌شوند. (#9334)
- در صداهای Windows OneCore، سرعت تنظیم‌شده در NVDA، دیگر تحت تأثیر سرعت تنظیم‌شده در تنظیمات گفتار ویندوز ۱۰ قرار نمی‌گیرد. (#7498)
- نمایشگر وقایع NVDA را می‌توانید وقتی برای پیمایشگر جاری اطلاعات برنامه‌نویس موجود نیست، با NVDA+F1 باز کنید. (#8613)
- دوباره استفاده از فرمان‌های پیمایش جدول‌ها در Google Docs، Firefox و Chrome امکان‌پذیر شد. (#9494)
- کلیدهای bumper در نمایشگرهای بریل Freedom Scientific حالا درست کار می‌کنند. (#8849)
- هنگام خواندن نخستین نویسه‌ی یک سند در Notepad++ 7.7 X64، NVDA دیگر تا ۱۰ ثانیه متوقف نمی‌شود. (#9609)
- حالا می‌توانید از HTCom با یک نمایشگر بریل Handy Tech همراه با NVDA استفاده کنید. (#9691)
- در فایرفاکس، روزامدهای یک ناحیه‌ی live، اگر آن ناحیه در یک زبانه‌ی پس‌زمینه باشد، دیگر اعلام نمی‌شوند. (#1318)
- پنجره‌ی پیدا کردن در حالت مرور، هنگامی که پنجره‌ی درباره‌ی NVDA در پس‌زمینه باز باشد، دیگر از کار نخواهد افتاد. (#8566)

## ۲۰۱۹.۱.۱

این انتشار، اشکالات زیر را برطرف می‌کند: NVDA دیگر باعث نمی‌شود اکسل ۲۰۰۷ متوقف شود، یا از اعلام اینکه خانه‌ای دارای فرمول است خودداری کند. (#9431) Google Chrome وقتی با برخی لیست‌باکس‌ها تعامل می‌کنید، دیگر متوقف نمی‌شود. (#9364) مشکلی که از کپی پیکربندی کاربر در پروفایل پیکربندی سیستم جلوگیری می‌کرد، برطرف شد. (#9448) در اکسل، NVDA دوباره هنگام اعلام موقعیت خانه‌های ادغام‌شده، از پیام ترجمه‌شده استفاده می‌کند. (#9471)

## ۲۰۱۹.۱

از نکات برجسته‌ی این نگارش می‌توان به بهبودی اجرا هنگام دسترسی به Microsoft Word و Excel، بهبودی در پایداری و ایمنی همچون پشتیبانی از افزونه‌ها با اطلاعات نسخه‌های افزونه‌ها، و بسیاری رفع اشکال‌های دیگر اشاره نمود.

لطفا توجه داشته باشید که از این انتشارِ NVDA به بعد، ماژول‌های شخصی‌سازی‌شده، پلاگین‌های فراگیر، درایورهای نمایشگر‌های بریل و درایورهای موتور‌های سخنگو، دیگر بطور خودکار از پوشه‌ی پیکربندی کاربری NVDA شما بارگیری و اجرا نمی‌شوند. در عوض، این‌ها باید به عنوان بخشی از یک افزونه نصب شوند. کسانی که در حال نوشتن و توسعه‌ی کد برای یک افزونه هستند، باید کدی را که آزمایش می‌کنند در پوشه‌ی Scratchpad واقع در پوشه‌ی پیکربندی کاربری NVDA قرار دهند. این پوشه در صورت علامت زدن گزینه‌ی چرک‌نویس توسعه‌دهنده ایجاد می‌شود. این تغییرات برای تضمینِ بهترِ سازگاری کدهای شخصی‌سازی‌شده ضروری هستند، تا در نتیجه NVDA در برابر ناسازگار شدن کد مورد نظر با انتشارهای بعدی دچار خطا نشود. لطفا برای اطلاعات بیشتر راجع به این مورد و نحوه بهتر شماره‌گذاری نسخه‌های افزونه‌ها، به فهرست تغییرات در سطرهای پایینتر مراجعه کنید.

### امکانات جدید

- جدول‌های بریل جدید: عربی بریل ۸ نقطه‌ی رایانه، عربی درجه‌ی ۲، اسپانیایی درجه‌ی ۲، آفریکانس درجه‌ی ۱. (#4435, #9186)
- گزینه‌ای به تنظیمات موس برای کنترل موقعیت‌هایی که موس با برنامه‌ی دیگری کنترل می‌شود، اضافه شد. (#8452)
  - این گزینه به NVDA امکان می‌دهد تا موس را هنگامی که سیستم با استفاده از Team Viewer یا نرم‌افزار کنترل از راه دور دیگری کنترل می‌شود، دنبال کند.
- پارامتر خط فرمان `--enable-start-on-logon` برای تعیین اینکه نصب بیسر و صدای NVDA، NVDA را هنگام نمایش صفحه‌ی ورود به ویندوز راه‌اندازی کند یا نه، افزوده شد. برای آغاز به کار در صفحه‌ی ورودی ویندوز، true، و برای اجرا نشدن در صفحه‌ی ورودی، false را در ادامه‌ی این فرمان درج کنید. چنانچه فرمان --enable-start-on-logon اصلا تعیین نشود، NVDA بطور پیش‌فرض هنگام نمایش صفحه‌ی ورودی ویندوز اجرا خواهد شد، مگر اینکه به وسیله‌ی نصب پیشینی از NVDA خلاف آن تنظیم شده باشد. (#8574)
- خاموش کردن امکان ثبت وقایع NVDA، با تنظیم «سطح ثبت وقایع» روی «غیرفعال» از پنجره‌ی تنظیمات عمومی NVDA، امکان‌پذیر است. (#8516)
- حالا وجود فرمول‌ها در صفحات گسترده‌ی LibreOffice و Apache OpenOffice اعلام می‌شود. (#860)
- در فایرفاکس و کروم، حالت مرور، حالا مورد انتخاب‌شده را در لیست‌باکس‌ها و درخت‌واره‌ها اعلام می‌کند.
  - این ویژگی در فایرفاکس ۶۶ و بالاتر کار می‌کند.
  - ویژگی فوق در برخی لیست‌باکس‌ها در کروم، مانند کنترل‌های انتخاب HTML، کار نمی‌کند.
- پشتیبانی اولیه از برنامه‌هایی مثل فایرفاکس روی رایانه‌هایی با پردازنده‌های ARM64 (مثلا Qualcom Snapdragon). (#9216)
- یک دسته‌ی جدیدِ «پیشرفته» به پنجره‌ی تنظیمات NVDA افزوده شده است. این دسته، شامل گزینه ای برای آزمودن پشتیبانی جدید NVDA از Microsoft Word با استفاده از رابط برنامه‌نویسی UI Automation مایکروسافت است. (#9200)
- پشتیبانی از نمای گرافیکی مدیریت دیسک ویندوز (Windows Disk Management) افزوده شد. (#1486)
- پشتیبانی از نمایشگرهای Connect Braille و Basic Braille 84 شرکت Handy Tech افزوده شد. (#9249)

### تغییرات

- برگرداننده‌ی بریل Liblouis به نگارش ۳.۸.۰ بروز شد. (#9013)
- نویسنده‌های افزونه‌ها حالا می‌توانند حداقل نسخه‌ی مورد نیاز NVDA را روی افزونه‌های خود اِعمال کنند. NVDA از نصب یا بارگزاری افزونه‌ای که نسخه‌ی حداقلی مورد نیاز آن از نسخه‌ی فعلی NVDA درحال اجرا بالاتر باشد، سر بازخواهد زد. (#6275)
- نویسنده‌های افزونه‌ها حالا می‌توانند آخرین نسخه‌ی NVDA که افزونه شان با آن تست شده است را مشخص کنند. اگر افزونه‌ای تنها با نسخه‌ای پایینتر از نسخه‌ی درحال اجرای NVDA تست شده باشد، NVDA از نصب یا اجرای آن افزونه سر بازخواهد زد. (#6275)
- این نگارش از NVDA اجازه خواهد داد تا افزونه‌هایی که هنوز اطلاعات نسخه‌ی حداقل مورد نیاز و آخرین نسخه‌ی تست‌شده را همراه ندارند، نصب و اجرا شوند؛ اما ارتقا به نگارش‌های آتی NVDA، مثلا ۲۰۱۹.۲، ممکن است بطور خودکار باعث شود این افزونه‌های قدیمی غیرفعال شوند.
- فرمان «بردن موس به شیء پیمایشگر» حالا علاوه بر کنترل‌های UIA، به‌ویژه Microsoft Edge، برای Microsoft Word هم در دسترس است. (#7916, #8371)
- اعلام متن زیر موس در Microsoft Edge و دیگر برنامه‌های بر پایه‌ی UIA بهبود یافته است. (#8370)
- وقتی NVDA با پارامتر خط فرمان --portable-path آغاز می‌شود، هنگامی که با استفاده از فرمان موجود در منوی NVDA تلاش می‌کنید یک نسخه‌ی قابل حمل بسازید، مسیر ارائه‌شده -هنگام استفاده از پارامتر یادشده-، بطور خودکار در فیلد مربوط نوشته می‌شود. (#8623)
- مسیر جدول بریل نروژی برای مطابقت با استاندارد سال ۲۰۱۵ بروز شد. (#9170)
- هنگام پیمایش با پاراگراف (کنترل+جهت‌نمای بالا یا پایین) یا پیمایش خانه به خانه در جدول (کنترل+آلْت+جهت‌نماها)، دیگر وجود خطاهای املایی اعلام نمی‌شود، حتی اگر NVDA برای اعلام خودکار چنین خطاهایی تنظیم شده باشد؛ چرا که پاراگراف‌ها و خانه‌های جدول می‌توانند بسیار طولانی باشند و تشخیص خطاهای املایی در برخی برنامه‌ها می‌تواند زمان‌بر باشد. (#9217)
- NVDA دیگر ماژول‌های شخصی‌سازی‌شده، پلاگین‌های عمومی و درایور‌های بریل و موتور سخنگو را از پوشه‌ی پیکربندی کاربر (user configuration) بطور خودکار بارگذاری نمی‌کند. این کدها، باید به عنوان یک افزونه همراه با اطلاعات نسخه‌ی درست بسته‌بندی شوند تا اطمینان حاصل شود کد ناسازگاری با نسخه‌های فعلی NVDA اجرا نشود. (#9238)
  - توسعه‌دهندگانی که نیاز دارند همزمان با توسعه‌ی کدشان، آن را آزمایش کنند، در تنظیمات پیشرفته‌ی NVDA، گزینه‌ی پوشه‌ی چرک‌نویس (scratchpad) توسعه‌دهنده را فعال کنند، و زمانی که این گزینه فعال است، کدشان را در پوشه‌ی scratchpad موجود در پوشه‌ی userConfig قرار دهند.

### رفع اشکال

- هنگامی که از موتور سخنگوی OneCore در ویندوز ۱۰ نسخه‌ی آوریل ۲۰۱۸ به بعد استفاده می‌کنید، دیگر در اثنای سخن گفتن، سکوت‌های طولانی وارد نمی‌شود. (#8985)
- وقتی در کنترل‌های متن ساده (مانند Notepad) یا حالت مرور نویسه به نویسه حرکت می‌کنید، نویسه‌های ایموجی ۳۲ بیت که از دو کد UTF-16 تشکیل شده‌اند (مانند «🤦») حالا به‌درستی خوانده می‌شوند. (#8782)
- پنجره‌ی تأیید راه‌اندازی مجدد بعد از تغییر زبان رابط کاربری بهبود یافت. متن و برچسب‌های دکمه‌های این پنجره، حالا مختصرتر و کمتر گیج‌کننده هستند. (#6416)
- اگر موتور سخنگوی نصب‌شده هنگام بارگذاری دچار خطا شود، NVDA روی ویندوز ۱۰، به جای eSpeak، از موتور سخنگوی OneCore استفاده خواهد کرد. (#9025)
- هنگامی که در صفحات محافظت‌شده هستید، گزینه‌ی پنجره‌ی خوشامدگویی از منوی NVDA حذف می‌شود. (#8520)
- هنگامی که با Tab یا پیمایش سریع در حالت مرور حرکت می‌کنید، راهنماها (legends) در بخش سربرگ‌ها همواره خوانده می‌شوند. (#709)
- NVDA حالا تغییرات محدوده‌ی انتخاب‌شده را در برخی ورودی‌های تنظیم زمان، مثل آنچه که در برنامه‌ی Alarms and Clock در ویندوز ۱۰ وجود دارد، اعلام می‌کند. (#5231)
- در Action Center ویندوز ۱۰، NVDA هنگام تغییر وضعیت اقدام‌های سریع مانند brightness و focus assist، پیام‌های وضعیت را اعلام می‌کند. (#8954)
- در Action Center در ویندوز ۱۰ اکتبر ۲۰۱۸ و قبلتر، NVDA کنترل اقدام سریع Brightness را، به جای دکمه‌ی دوکاره، به عنوان دکمه تشخیص خواهد داد. (#8845)
- NVDA دوباره در فیلدهای ویرایشی Go to و Find در Microsoft Excel، مکان‌نما را دنبال و نویسه‌ی پاک‌شده را اعلام می‌کند. (#9042)
- یک توقف نادر در حالت مرور فایرفاکس اصلاح شد. (#9152)
- NVDA دیگر هنگام اعلام فکوس برخی کنترل‌ها در ریبون Microsoft Office 2016 وقتی بسته باشد، به خطا نمی‌افتد.
- NVDA دیگر هنگام اعلام مخاطب پیشنهادی، زمان ورود آدرس در پیام‌های جدید در Outlook 2016 دچار خطا نمی‌شود. (#8502)
- چند کلید جانمایی مکان‌نمای آخر نمایشگرهای Eurobraille ۸۰ خانه‌ای، دیگر مکان‌نما را به ابتدا یا پس از ابتدای خط بریل نمی‌برند. (#9160)
- پیمایش جدول در threaded view در Mozilla Thunderbird اصلاح شد. (#8396)
- در فایرفاکس و کروم، رفتن به حالت فرمان‌پذیری حالا برای برخی لیست‌باکس‌ها و درخت‌واره‌ها به‌درستی کار می‌کند؛ در جایی که خود لیست‌باکس یا درخت‌واره فرمان‌پذیر نیست، ولی اجزای آن فرمان‌پذیر هستند). (#3573, #9157)
- هنگام خواندن پیام‌ها در Outlook 2016 و 365، چنانچه از پشتیبانی آزمایشی UI Automation برای اسناد Word استفاده شود، حالت مرور بطور پیش‌فرض، به‌درستی فعال می‌شود. (#9188)
- NVDA حالا کمتر احتمال دارد به گونه‌ای از کار بیفتد که تنها راه چاره، خارج شدن از جلسه‌ی جاری ویندوزتان باشد. (#6291)
- در بروزرسانی اکتبر ۲۰۱۸ ویندوز ۱۰ و بعد از آن، هنگام باز کردن سابقه‌ی cloud clipboard در حالی که کلیپ‌برد خالی باشد، NVDA وضعیت کلیپ‌برد را اعلام خواهد کرد. (#9103)
- در بروزرسانی اکتبر ۲۰۱۸ ویندوز ۱۰ به بعد، هنگام جستجوی ایموجی در تابلوی ایموجی‌ها، NVDA بالاترین نتیجه‌ی جستجو را اعلام می‌کند. (#9105)
- NVDA دیگر در پنجره‌ی اصلی Oracle VirtualBox 5.2 و بالاتر متوقف نمی‌شود. (#9202)
- پاسخگویی و واکنش NVDA در Microsoft Word هنگام پیمایش خط به خط، پاراگراف به پاراگراف یا خانه به خانه در جدول‌ها ممکن است در برخی سندها بهبود یافته باشد. یادآوری می‌کنیم برای عملکرد بهتر، بعد از باز کردن یک سند، Microsoft Word را با alt+w,e، روی نمای پیشنمایش (draft view) تنظیم کنید. (#9217)
- در فایرفاکس و کروم، هشدارهای خالی دیگر اعلام نمی‌شوند. (#5657)
- بهبودی قابل توجهی در اجرا، هنگامی که در خانه‌های کار‌برگ‌ها در Microsoft Excel پیمایش می‌کنید؛ به‌ویژه وقتی که یک کار‌برگ، حاوی توضیحات یا فهرست‌های کشویی اعتبارسنجی باشد. (#7348)
- دیگر لازم نیست که برای دسترسی به کنترل ویرایش خانه در Microsoft Excel ۲۰۱۶ یا ۳۶۵ با NVDA، در گزینه‌های Excel، in-cell editing را خاموش کنید. (#8146).
- اشکالی که بعضی وقت‌ها هنگام پیمایش سریع روی بخش‌ها با استفاده از افزونه‌ی Enhanced Aria دیده می‌شد و باعث می‌شد فایرفاکس متوقف شود، برطرف شد. (#8980)

## ۲۰۱۸.۴.۱

این انتشار، توقف در آغاز به کار NVDA را چنانچه زبان رابط کاربری آن به آراگونی تنظیم شده باشد، برطرف می‌کند. (#9089)

## ۲۰۱۸.۴

از نکات برجسته‌ی این نگارش می‌توان به بهبودی‌های اجرا در نگارش‌های تازه‌ی فایرفاکس، خواندن ایموجی‌ها با همه‌ی موتورهای سخنگو، اعلام وضعیت پاسخ داده‌شده یا انتقال‌یافته در Outlook، اعلام فاصله‌ی مکان‌نما تا لبه‌ی یک صفحه در Microsoft Word، و رفع بسیاری از اشکالات پیشین اشاره نمود.

### امکانات جدید

- جدول‌های بریل جدید: چینی (چین، ماندارین) درجه ۱ و درجه ۲. (#5553)
- حالا وضعیت پاسخ‌داده شده یا انتقال‌یافته روی موارد نامه‌ها در لیست پیام‌های Microsoft Outlook اعلام می‌شود. (#6911)
- NVDA از این پس می‌تواند توضیحات ایموجی‌ها و نیز نویسه‌های دیگری که بخشی از «مخزن داده‌های محلی متداول یونیکُد» هستند را بخواند. (#6523)
- در Microsoft Word، NVDA می‌تواند فواصل مکان‌نما از لبه‌های بالا و چپ صفحه را با فشردن NVDA+Delete اعلام کند. (#1939)
- در Google Sheets در حالی که حالت بریل فعال باشد، NVDA دیگر هنگام حرکت روی خانه‌ها، برای هر خانه، «انتخاب شد» نمی‌گوید. (#8879)
- پشتیبانی از Foxit Reader و Foxit Phantom PDF. (#8944)
- پشتیبانی از ابزار پایگاه داده‌ی DBeaver. (#8905)

### تغییرات

- گزینه‌ی «اعلام بالن‌های راهنما» در پنجره‌ی نحوه ارائه‌ی اشیا به «اعلام نوتیفیکیشن‌ها» تغییر نام یافت تا اعلام نوتیفیکیشن‌های فوری (toast notifications) در ویندوز ۸ و بالاتر را نیز شامل شود. (#5789)
- در تنظیمات صفحه‌کلید، کادرهای علامت‌زدنی برای فعال یا غیر فعال کردن کلیدهای مبدل NVDA، به جای اینکه از هم جدا باشند، حالا در یک فهرست نمایش داده می‌شوند.
- NVDA دیگر هنگام خواندن ساعت روی مجموعه‌ی اعلان‌ها در بعضی نسخه‌های ویندوز، اطلاعات اضافی ارائه نمی‌کند. (#4364)
- برگرداننده‌ی بریل Liblouis به نسخه‌ی 3.7.0 بروز شد. (#8697)
- eSpeak-NG به ویرایش 919f3240cbb بروز شد.

### رفع اشکال

- در Outlook 2016 و 365، وضعیت دسته‌بندی و نشان پیام‌ها اعلام می‌شود. (#8603)
- وقتی NVDA روی یکی از زبان‌های قرقیزی، مغولی یا مقدونی تنظیم شده باشد، دیگر هنگام شروع به کار، پیامی که هشدار دهد این زبان توسط سیستم عامل پشتیبانی نمی‌شود، نمایش نمی‌دهد. (#8064)
- بردن موس به پیمایشگر، حالا موس را با دقت بیشتری به محل حالت مرور در کروم، فایرفاکس و Acrobat Reader DC می‌بَرَد. (#6460)
- تعامل با جعبه‌های کشویی در صفحات وب، در فایرفاکس، کروم و اینترنت اکسپلورر بهبود یافته است. (#8664)
- NVDA اگر روی نسخه‌ی ژاپنی ویندوز XP یا ویستا اجرا شود، حالا آنطور که انتظار می‌رود، هشدار نیازمندی‌های سیستم عامل را نمایش می‌دهد. (#8771)
- هنگام پیمایش در صفحات بزرگ همراه با تغییرات پویای بسیار زیاد در فایرفاکس، کیفیت اجرا افزایش می‌یابد. (#8678)
- چنانچه در تنظیمات قالب‌بندی اسنادویژگی قلم‌ها غیر فعال باشد، دیگر در بریل نمایش داده نخواهد شد. (#7615)
- NVDA دیگر در File Explorer و برنامه‌های دیگری که از UI Automation استفاده می‌کنند، هنگامی که برنامه‌ی دیگری مانند پردازش گروهی فایل‌های صوتی مشغول به کار است، در زمان دنبال کردن فکوس دچار خطا نمی‌شود. (#7345)
- در منوهای ARIA در وب، حالا کلید escape به منو فرستاده خواهد شد؛ یعنی مثلا منوی حاضر را می‌بندد و دیگر حالت فرمان‌پذیری را غیر فعال نخواهد کرد. (#3215)
- در رابط کاربری جدید تحت وب GMail، هنگامی که از پیمایش سریع در پیام‌هایی که در حال خواندنشان هستید استفاده می‌کنید، همه‌ی متن پیام بعد از سازه‌ای که رویش قرار گرفته‌اید، دیگر خوانده نمی‌شود. (#8887)
- پس از بروزرسانی NVDA، مرورگرهایی مثل فایرفاکس و کروم دیگر نباید متوقف شوند و حالت مرور باید پیوسته بروزرسانی‌ها را برای اسناد بارگزاری‌شده منعکس کند. (#7641)
- NVDA دیگر در حالت مرور، هنگامی که در یک محتوای کلیک‌شدنی حرکت می‌کنید، در یک سطر چند بار «کلیک‌شدنی» نخواهد گفت. (#7430)
- فرمان‌هایی که روی نمایشگرهای baum Vario 40 اجرا می‌شوند دیگر دچار خطا نخواهند شد. (#8894)
- در Google Slides با فایرفاکس، NVDA دیگر برای هر کنترلی که در فکوس قرار گرفته باشد، «متن انتخاب‌شده» نخواهد گفت. (#8964)

## ۲۰۱۸.۳.۲

این یک انتشار فرعی است برای حل مشکل توقف Google Chrome، هنگامی که در سایت www.twitter.com روی توئیت‌ها حرکت می‌کنید. (#8777)

## ۲۰۱۸.۳.۱

این یک انتشار فرعی است که اشکالی بسیار مهم را در NVDA برطرف می‌کند. این اشکال باعث می‌شد تا نسخه‌های ۳۲ بیتی فایرفاکس از کار بیفتند. (#8759)

## ۲۰۱۸.۳

از نکات برجسته‌ی این نگارش می‌توان به شناسایی خودکار بسیاری از نمایشگرهای بریل؛ پشتیبانی از امکانات جدید ویندوز ۱۰، از جمله تابلوی ورودی ایموجی‌ها؛ و برطرف شدن بسیاری مشکلات دیگر اشاره نمود.

### امکانات جدید

- NVDA خطاهای دستوری را در صورتی که به‌درستی در صفحات وب نمایش داده شده باشند، در فایرفاکس و کروم اعلام خواهد کرد. (#8280)
- محتوایی که به عنوان درج‌شده یا حذف‌شده در صفحات وب نشانه‌گذاری شده است، حالا در کروم اعلام می‌شود. (#8558)
- پشتیبانی از scroll wheel در نمایشگرهای BrailleNote QT و Apex BT، هنگامی که BrailleNote به عنوان نمایشگر با NVDA استفاده می‌شود. (#5992, #5993)
- فرمان‌هایی برای اعلام زمان سپری‌شده و زمان کلی تِرَک جاری در Foobar2000 افزوده شد. (#6596)
- نماد کلید فرمان مک (⌘) حالا هنگامی که با هر موتور سخنگویی متن بخوانید -و در آن متن به کار رفته باشد- خوانده می‌شود. (#8366)
- نقش‌های سفارشی توسط ویژگی aria-roledescription، حالا در تمام مرورگرهای وب پشتیبانی می‌شوند.
- جدول‌های بریل جدید: چکی ۸ نقطه، کُردی مرکزی، اسپرانتو، مجارستانی، سوئدی ۸ نقطه بریل رایانه. (#8226, #8437)
- پشتیبانی از شناسایی خودکار نمایشگرهای بریل در پس‌زمینه افزوده شد. (#1271)
  - در حال حاضر نمایشگرهای ALVA، Baum/HumanWare/APH/Orbit، Eurobraille، Handy Tech، Hims، SuperBraille و HumanWare BrailleNote و Brailliant BI/B پشتیبانی می‌شوند.
  - می‌توانید این ویژگی را، با انتخاب گزینه‌ی «خودکار» از فهرست نمایشگرهای بریل در پنجره‌ی انتخاب نمایشگر بریل، فعال کنید.
  - برای جزئیات بیشتر، به راهنمای نمایشگر بریل مراجعه کنید.
- پشتیبانی از ویژگی‌های ورودی‌های پیشرفته‌ی گوناگون در انتشارات اخیر ویندوز ۱۰. این ویژگی‌ها مشتمل‌اند بر تابلوی ایموجی‌ها و دیکته (بروزرسانی پاییزه‌ی Creators)، پیشنهاد‌های ورودی صفحه‌کلید سخت‌افزاری (بروزرسانی آوریل ۲۰۱۸) و الحاق از کلیپ‌بردِ ابری (بروزرسانی اکتبر ۲۰۱۸). (#7273)
- محتوایی که توسط ARIA (role blockquote) به عنوان «نقل قول» نشانه‌گذاری شده است، حالا در فایرفاکس ۶۳ پشتیبانی می‌شود. (#8577)

### تغییرات

- فهرست زبان‌های موجود در تنظیمات عمومیِ NVDA حالا به جای کد‌های ISO 639، بر اساس نام زبان‌ها مرتب می‌شوند. (#7284)
- برای همه‌ی نمایشگرهای بریل Freedom Scientific که توسط NVDA پشتیبانی می‌شوند، فرمان‌های پیش‌فرضی برای اجرای کلیدهای alt+shift+tab و windows+tab افزوده شد. (#7387)
- در نمایشگرهای ALVA BC680 و مبدل پروتکل، می‌توانید کارکردهای مختلفی را به smart pad چپ و راست، thumb و کلیدهای etouch اختصاص دهید. (#8230)
- در نمایشگرهای ALVA BC6، ترکیب کلیدهای sp2+sp3 از این پس تاریخ و ساعت فعلی را اعلام خواهد کرد. کلیدهای sp1+sp2 هم کلید ویندوز را شبیه‌سازی می‌کند. (#8230)
- حالا وقتی که NVDA شروع به کار می‌کند، یک بار از کاربر پرسیده می‌شود که آیا راضی است هنگام بررسیِ خودکارِ بروزرسانی، آماری از نحوه استفاده‌اش از NVDA برای NV Access فرستاده شود یا خیر. (#8217)
- هنگام بررسی بروزرسانی، چنانچه کاربر با ارسال آمار نحوه استفاده به NV Access موافق باشد، NVDA نام درایور موتور سخنگو و نمایشگر بریلِ در حال استفاده را، جهت کمک به اولویتبندی بهتر برای کار روی این درایورها در آینده، به NV Access می‌فرستد. (#8217)
- برگرداننده‌ی بریل Liblouis به نگارش 3.6.0 بروز شد. (#8365)
- مسیر جدول بریل روسی ۸ نقطه‌ای اصلاح شد. (#8446)
- eSpeak-ng به نگارش ۱.۴۹.۳dev، ویرایش 910f4c2 بروز شد. (#8561)

### رفع اشکال

- برچسب‌های دسترس‌پذیر برای کنترل‌ها در گوگل کروم، حالا هنگامی که خود برچسب به عنوان محتوا نمایان نشود، در حالت مرور، راحتتر اعلام می‌شود. (#4773)
- اعلان‌ها حالا در برنامه‌ی Zoom پشتیبانی می‌شوند. به عنوان مثال، این پشتیبانی مشتمل است بر وضعیت Mute یا Unmute، و پیام‌های ورودی. (#7754)
- تعویض حالت‌های ارائه‌ی محتوای بریل در حالت مرور، دیگر باعث نمی‌شود خروجی بریل، از دنبال کردن مکان‌نمای حالت مرور باز‌ایستد. (#7741)
- نمایشگرهای بریل ALVA BC680 دیگر هنگام شروع به کار دچار خطا نمی‌شوند. (#8106)
- بطور پیش‌فرض، نمایشگرهای ALVA BC6 هنگام فشردن ترکیب‌های کلیدی‌ای که کلیدهای sp2+sp3 را در بر دارند، به دلیل اجرای کارکردهای داخلی، دیگر کلیدهای شبیه‌سازی‌شده‌ی صفحه‌کلید سیستم را اجرا نخواهند کرد. (#8230)
- فشردن sp2 روی یک نمایشگر ALVA BC6 برای شبیه‌سازی کلید آلْت، حالا آنگونه که تبلیغ شده است، عمل می‌کند. (#8360)
- NVDA دیگر تغییر چینش صفحه‌کلید را بیش از حد و بطور زائد اعلام نمی‌کند. (#7383, #8419)
- تعقیب موس در Notepad و دیگر کنترل‌های متن‌های ساده، هنگامی که سند مورد نظر دارای بیش از ۶۵۵۳۵ نویسه باشد، حالا بسیار دقیقتر است. (#8397)
- NVDA پنجره‌های محاوره‌ایِ بیشتری را در ویندوز ۱۰ و دیگر برنامه‌های مدرن شناسایی خواهد کرد. (#8405)
- در بروزرسانی اکتبر ۲۰۱۸ِ ویندوز ۱۰ و سِروِر ۲۰۱۹ به بعد، NVDA دیگر هنگام تعقیب فکوس سیستم، وقتی یک برنامه متوقف می‌شود یا سیستم را با اتفاقات هشدار یا خطا پر می‌کند، دچار خطا نمی‌شود. (#7345, #8535)
- هم‌اکنون به کاربران، هنگامی که سعی دارند یک نوار وضعیت خالی را بخوانند یا کپی کنند، اطلاع داده می‌شود. (#7789)
- موردی که وضعیت بدون علامت در کنترل‌ها در گفتار اعلام نمی‌شد، هنگامی که کنترل مورد نظر پیش از این نیمه‌علامت‌دار بود، برطرف شد. (#6946)
- در فهرست زبان‌ها در تنظیمات عمومیِ NVDA، نام زبان برمه‌ای به‌درستی در ویندوز ۷ نمایش داده می‌شود. (#8544)
- NVDA در Microsoft Edge اعلان‌ها را خواهد خواند؛ مانند در دسترس بودن نمای خواندن یا نوار پیشرفت بارگزاری صفحه. (#8423)
- هنگام پیمایش در یک فهرست در صفحه‌ی وب، NVDA، در صورتی که نویسنده‌ی وب برچسبی برای آن فهرست فراهم کرده باشد، آن را اعلام خواهد کرد. (#7652)
- وقتی در نمایشگرهای بریل معینی، کارکردهایی را بطور دستی به فرمان‌هایی اختصاص می‌دهید، این فرمان‌ها حالا همیشه برای آن نمایشگر خاص نمایش داده می‌شوند. پیش از این، اینگونه فرمان‌ها به گونه‌ای نمایش داده می‌شدند که گویی برای نمایشگر بریل فعال اختصاص یافته اند. (#8108)
- NVDA از این پس از نسخه‌ی ۶۴ بیتی برنامه‌ی Media Player Classic پشتیبانی می‌کند. (#6066)
- چند مورد در پشتیبانی بریل از Microsoft Word، هنگامی که UI Automation فعال باشد، بهبود یافت:
  - مانند دیگر فیلدهای متنی چندخطّی، هنگامی که در بریل، مکان‌نما در ابتدای سند باشد، نمایشگر به گونه‌ای قرار می‌گیرد که نخستین نویسه‌ی سند، در ابتدای نمایشگر باشد. (#8406)
  - هنگامی که فکوس در یک سند Word قرار دارد، از پرگویی و پرنویسی بیش از حد در هنگام ارائه‌ی اطلاعات فکوس در گفتار و بریل کاسته می‌شود. (#8407)
  - زمانی که در فهرستی در یک سند Word هستید، جاگذاری مکان‌نما در بریل درست کار می‌کند. (#7971)
  - بولِت‌ها و شماره‌های تازه‌درج‌شده در یک سند Word، به‌درستی در گفتار و بریل اعلام می‌شوند. (#7970)
- در ویندوز 10 نگارش 1803 و بعد از آن، حالا در صورتی که ویژگی استفاده از یونیکُد UTF-8 برای پشتیبانی از زبان جهانی فعال باشد، نصب افزونه‌ها امکان‌پذیر است. (#8599)
- NVDA دیگر iTunes 12.9 و نسخه‌های جدیدتر از آن‌را غیر قابل استفاده و تعامل نخواهد کرد. (#8744)

## ۲۰۱۸.۲.۱

این انتشار شامل بروزرسانی‌هایی در ترجمه است؛ به خاطر حذف امکانی در آخرین دقایق، که مشکلاتی را ایجاد می‌کرد.

## ۲۰۱۸.۲

از نکات برجسته‌ی این نگارش می‌توان به پشتیبانی از جدول‌ها در برنامه‌ی کیندل برای رایانه؛ پشتیبانی از BrailleNote Touch and BI14، محصول HumanWare؛ بهبودی در مبدل‌های متن‌به‌گفتار Onecore و Sapi5؛ بهبودی در Microsoft Outlook و بسیاری دیگر اشاره نمود.

### امکانات جدید

- از این به بعد، طول سطرها و ستون‌های خانه‌های جدول در گفتار و بریل اعلام می‌شود. (#2642)
- فرمان‌های پیمایش در جدول از این پس در برنامه‌ی Google Docs همراه با فعال بودن حالت بریل پشتیبانی می‌شود. (#7946)
- توانایی خواندن و پیمایش در جدول‌ها در برنامه‌ی کیندل برای رایانه افزوده شد. (#7977)
- پشتیبانی از نمایشگرهای بریل BrailleNote touch and Brailliant BI 14، محصول HumanWare هم از طریق یو‌اس‌بی و هم بلوتوث. (#6524)
- در نسخه‌ی پاییزه‌ی ویندوز ۱۰ (موسوم به Creators Update) و بروزرسانی‌های بعدی، NVDA می‌تواند اعلان‌های صادرشده از برنامه‌هایی مانند ماشین‌حساب و فروشگاهِ ویندوز را بخواند. (#7984)
- جدول‌های برگردان بریلِ جدید: لیتوانیایی ۸ نقطه، اوکراینی، مغولی درجه ۲. (#7839)
- یک اسکریپت جهت اعلام اطلاعات قالب‌بندی برای متنی که در خانه‌ی بریل معینی قرار دارد افزوده شد. (#7106)
- از این پس، هنگام بروزرسانی NVDA، می‌توانید نصب بروزرسانی را به زمان دیگری موکول کنید. (#4263)
- زبان‌های جدید: مغولی، آلمانی سوئیسی
- از این به بعد می‌توانید کلیدهای کنترل، شیفت، آلْت، NVDA و ویندوز را از روی صفحه‌کلید بریلتان فعال یا غیر فعال کنید و این کلیدهای مبدل را با ورودی بریل ترکیب کنید. مثلا وقتی می‌خواهید کلیدهای ctrl+s را فشار دهید، ctrl را فعال کنید و سپس s را تایپ کنید. (#7306)
  - می‌توانید این کلیدهای مبدل جدید را با استفاده از فرمانهای موجود در بخش «کلیدهای شبیه‌سازی‌شده‌ی سیستم» در پنجره‌ی مدیریت فرمان‌های ورودی اختصاص دهید.
- NVDA مجددا از نمایشگرهای Braillino و Modular، محصول Handy Tech (با میان‌افزار قدیمی) پشتیبانی می‌کند. (#8016)
- تاریخ و ساعتِ دستگاه‌های پشتیبانی‌شده‌ی Handy Tech (مانند Active Braille و Active Star) چنانچه بیش از پنج ثانیه اختلاف داشته باشد، توسط NVDA بطور خودکار هماهنگ خواهد شد. (#8016)
- می‌توانید یک فرمان صفحه‌کلیدی یا لمسی برای غیرفعال‌سازی موقت همه‌ی عملگرهای پروفایل‌های پیکربندی اختصاص دهید. (#4935)

### تغییرات

- ستون «وضعیت» در مدیر افزونه‌ها این‌گونه تغییر یافت که به جای این‌که در حالِ اجرا بودن یا متوقف بودنِ یک افزونه را نشان بدهد، مشخص می‌کند که افزونه‌ی مورد نظر فعال است یا غیر فعال. (#7929)
- برگرداننده‌ی بریل Liblouis به نگارش 3.5.0 روزامد شد. (#7839)
- جدول بریل «لیتوانیایی» به «لیتوانیایی ۶ نقطه» تغییر نام یافت تا با جدول لیتوانیایی ۸ نقطه اشتباه نشود. (#7839)
- جدول‌های فرانسوی (کانادا) درجه ۱ و درجه ۲ حذف شده‌اند. به جای آن‌ها به ترتیب، از جدول‌های فرانسوی (یک‌پارچه) ۶ نقطه‌ای رایانه و درجه ۲ استفاده خواهد شد. (#7839)
- دکمه‌های ثانویه‌ی جانمایی (routing) نمایشگرهای بریل Alva BC6، EuroBraille و Papenmeier، از این به بعد اطلاعات قالب‌بندی متنی را که در خانه‌ی بریل متعلق به آن دکمه هست اعلام می‌کند. (#7106)
- جدول‌های ورودی بریل کوتاه‌نویسی در موارد غیر قابل ویرایش، مثلا در کنترل‌هایی که مکان‌نمای ویرایش موجود نیست یا در حالت مرور، بطور خودکار به حالت غیر کوتاه‌نویسی برمیگردند. (#7306)
- NVDA حالا وقتی یک قرار ملاقات یا یک فرجه‌ی زمانی در تقویم Outlook سرتاسر یک روز را فراگرفته باشد، کمتر حرف می‌زند. (#7949)
- تمامی تنظیمات NVDA، به جای پراکنده بودن در چند پنجره، از این پس در یک پنجره‌ی «تنظیمات» در مسیر منوی NVDA -> اولویت‌ها -> تنظیمات قرار خواهند گرفت. (#577)
- موتور سخنگوی پیشفرض هنگام اجرا در ویندوز ۱۰، از این به بعد به جای ایسپیک، OneCore خواهد بود. (#8176)

### رفع اشکال

- NVDA دیگر پس از وارد کردنِ آدرس ایمیل در تنظیمات صفحه‌ی ورود حساب مایکروسافت، هنگام خواندن کنترل‌های فکوس‌شده به مشکل نمی‌خورَد. (#7997)
- NVDA وقتی که به صفحه‌ی قبلی در مرورگر Microsoft Edge برمی‌گردید، دیگر هنگام خواندن صفحه با مشکل مواجه نمی‌شود. (#7997)
- NVDA هنگامی که رمز ویندوز ۱۰ را برای باز کردن قفل دستگاه وارد می‌کنید، دیگر آخرین نویسه‌ی پین را اشتباه نمی‌خوانَد. (#7908)
- برچسب‌های کادرهای علامت‌زدنی و دکمه‌های رادیویی در کروم و فایرفاکس، دیگر هنگام تب زدن یا استفاده از پیمایش سریع در حالت مرور، دو بار خوانده نمی‌شوند. (#7960)
- ویژگیِ aria-current با مقدار false، به جای "true"، "false" اعلام خواهد شد. (#7892).
- صداهای Windows Onecore در صورت لغوِ نصبِ صدای پیکربندی‌شده، هنگام بارگزاری با خطا مواجه نمی‌شوند. (#7553)
- تغییر صداها بین صداهای Windows Onecore حالا بسیار سریعتر انجام می‌شود. (#7999)
- خروجی بد‌شکل و نادرست بریل برای تعدادی از جدول‌های بریل، از جمله نشانه‌های حروف بزرگ در بریل کوتاه‌نویسی ۸ نقطه‌ی دانمارکی اصلاح شد. (#7526, #7693)
- NVDA حالا می‌تواند انواع بولِت‌های بیشتری را در وُرد تشخیص داده و اعلام کند. (#6778)
- فشردن کلید متصل به فرمان اعلام قالب‌بندی، دیگر مکان‌نمای بازبینی را به اشتباه جابجا نمی‌کند. بنا بر این، دیگر چند بار فشردن این کلید، نتایج متفاوتی نخواهد داشت. (#7869)
- ورودی بریل دیگر به شما اجازه نمی‌دهد تا در مواردی که از این ورودی پشتیبانی نمی‌شود، مثلا در حالت مرور یا هنگامی که واژه‌های کامل خارج از محتوای متنی به سیستم ارسال نمی‌شوند، از بریل کوتاه‌نویسی استفاده کنید. (#7306)
- مشکلات پایداری اتصال در نمایشگرهای Easy Braille و Braille Wave شرکت Handy Tech برطرف شد. (#8016)
- در ویندوز ۸ و نسخه‌های بالاتر از آن، NVDA دیگر هنگام باز کردن منوی لینک‌های سریع (Windows+X) و انتخاب موارد از این منو، «نامشخص» نمی‌گوید. (#8137)
- فرمان‌های اختصاص‌یافته به دکمه‌های موجود هر مدل مربوط به نمایشگرهای Hims، حالا آنگونه که در راهنمای کاربری آمده بود، کار می‌کند. (#8096)
- NVDA از این پس تلاش خواهد کرد تا مشکلات system COM registration را که موجب می‌شود برنامه‌هایی مثل اینترنت اکسپلورر و فایرفاکس دسترس‌ناپذیر شده و توسط NVDA «نامشخص» گزارش شوند، تصحیح کند. (#2807)
- کارهایی برای حل مشکلی در Task Manager که باعث می‌شد NVDA به کاربر اجازه‌ی دسترسی به محتوای برخی جزئیاتِ پروسه‌ها را ندهد، انجام شد. (#8147)
- صداهای جدیدترِ Microsoft SAPI5 دیگر در انتهای گفتار کند نمی‌شوند. این ویژگی باعث می‌شود تا کار کردن و پیمایش با این صداها کارامدتر شود. (#8174)
- NVDA دیگر هنگام دسترسی به ساعت در نسخه‌های اخیر ویندوز، نشانه‌های چپ‌به‌راست یا راست‌به‌چپ را در بریل یا گفتارِ حرف‌به‌حرف اعلام نمی‌کند. (#5729)
- شناسایی کلیدهای مرور روی نمایشگرهای Hims Smart Beetle دوباره قابل اطمینان است. (#6086)
- اطلاعات ارائه‌شده درباره‌ی ویرایش و پیمایش در برخی کنترل‌های متنی، به‌ویژه در برنامه‌های نوشته‌شده با دِلفی، حالا بسیار قابل اعتمادتر است. (#636, #8102)
- در ویندوز ۱۰ RS5، NVDA دیگر هنگام جابجایی بین پنجره‌ها با آلْت تب، اطلاعات بیش از حد اضافی اعلام نمی‌کند. (#8258)

## ۲۰۱۸.۱.۱

این نسخه، انتشاری ویژه از NVDA است که اشکالی را در درایور صداهای Onecore برطرف می‌کند که باعث می‌شد صداهای یادشده با طنینی زیرتر و سریعتر در Windows 10 Redstone 4 (1803) سخن بگویند. (#8082)

## ۲۰۱۸.۱

از نکات برجسته‌ی این نگارش می‌توان به پشتیبانی از نمودارها در وُرد و پاورپوینت، پشتیبانی از نمایشگرهای بریل جدید، شامل Eurobraille و مبدلِ پروتکلِ Optelec، بهبودی پشتیبانی از نمایشگرهای بریل Hims و Optelec، بهبودی اجرای فایرفاکس ۵۸ و بالاتر، و بیش از این‌ها اشاره نمود.

### امکانات جدید

- از این به بعد، تعامل با نمودارها در Microsoft Word و PowerPoint امکان‌پذیر است؛ همانند پشتیبانی‌ای که در حال حاضر از نمودارها در Excel می‌شود. (#7046)
  - در Microsoft Word: هنگامی که در حالت مرور هستید، با جهت‌نماها روی یک نمودار توکار رفته و سپس برای تعامل با آن، اینتر را بزنید.
  - در Microsoft Powerpoint وقتی یک اسلاید را ویرایش می‌کنید: با Tab روی یک شیء نمودار رفته، اینتر یا فاصله را برای تعامل با نمودار بزنید.
  - برای توقف کار با نمودار، Escape را فشار دهید.
- زبان جدید: قرقیزی.
- پشتیبانی از برنامه‌ی VitalSource Bookshelf. (#7155)
- پشتیبانی از مبدل پروتکل Optelec افزوده شد؛ دستگاهی که می‌توانید توسط آن، با استفاده از پروتکل ارتباطی ALVA BC6، از نمایشگرهای Braille Voyager و Satellite استفاده کنید. (#6731)
- از این پس استفاده از ورودی بریل با نمایشگر بریل ALVA 640 Comfort امکان‌پذیر است. (#7733)
  - می‌توانید با استفاده از میان‌افزار ۳.۰.۰ و بالاتر، علاوه بر نمایشگرهای فوق الذکر، از قابلیت ورودی بریل در دیگر نمایشگرهای بریل BC6 هم استفاده کنید.
- پشتیبانی اولیه از Google Sheets همراه با حالت بریل. (#7935)
- پشتیبانی از نمایشگرهای بریل Esys، Esytime و Iris، محصول Eurobraille. (#7488)

### تغییرات

- درایورهای نمایشگرهای بریل Braille Sense، Braille EDGE، Smart Beetle و SyncBraille با یک درایور جایگزین شده‌اند. درایور جدید برای کاربران نمایشگر قدیمی syncBraille بطور خودکار فعال خواهد شد. (#7459)
  - بعضی کلیدها، به‌ویژه کلیدهای مرور (scroll)، نظر به تبعیت از قراردادهای استفاده‌شده توسط محصولات Hims، دوباره اختصاص یافته‌اند. برای کسب اطلاعات بیشتر به راهنمای کاربر مراجعه کنید.
- هنگامی که از راه تعامل لمسی، با استفاده از صفحه‌کلید نمایش‌داده‌شده روی صفحه تایپ می‌کنید، بطور پیش‌فرض، لازم است روی هر کلید دو ضربه بزنید؛ همانند وقتی که هرکدام از کنترل‌های دیگر را می‌خواهید فعال کنید. (#7309)
  - برای استفاده از حالت تایپ لمسی فعلی که برداشتن انگشت از روی یک کلید، برای فعال کردن آن کلید کافی است، این گزینه را در تنظیمات جدید «تعامل لمسی» که در منوی تنظیمات موجود است فعال کنید.
- دیگر لازم نیست که بریل را دقیقا به فکوس یا بازبینی متصل کنید؛ چون‌که این کار بطور خودکار اتفاق می‌افتد. (#2385)
  - شایان ذکر است که اتصال خودکار مکان‌نمای بریل به بازبینی، زمانی که تنها از یک فرمان مکان‌نمای بازبینی یا پیمایش شیئی استفاده می‌کنید، رخ می‌دهد. اسکرول کردن، این رفتار جدید را فعال نخواهد کرد.

### رفع اشکال

- پیام‌های قابل مرور مانند نمایش قالب‌بندی فعلی هنگام دو بار سریع فشردن NVDA+F، دیگر هنگامی که NVDA در مسیری نصب شده باشد که دارای نویسه‌های غیر ASCII باشد، دچار خطا نمی‌شود. (#7474)
- هنگامی که از پنجره‌ی برنامه‌ی دیگری به پنجره‌ی Spotify برمی‌گردید، فکوس دوباره به‌درستی به وضعیت سابقش باز‌می‌گردد. (#7689)
- در بروزرسانی پاییز ویندوز ۱۰ Creaters، NVDA دیگر در سیستمی که دسترسی کنترل‌شده‌ی پوشه‌ها (Controlled Folder Access) در آن فعال باشد، در زمان بروزرسانی به مشکل برنمی‌خورَد. (#7696)
- تشخیص کلیدهای مرور روی نمایشگرهای Hims Smart Beetle دیگر نامطمئن نیست. (#6086)
- اندکی بهبود در اجرا، هنگام به نمایش گذاشتن مقدار زیادی از محتواها در فایرفاکس ۵۸ و بالاتر. (#7719)
- در Microsoft Outlook، خواندن ایمیل‌های دارای جدول دیگر باعث خطا نمی‌شود. (#6827)
- کلیدهای تعبیه‌شده‌ی روی نمایشگر بریل که کلیدهای مبدل صفحه‌کلید سیستم را شبیه‌سازی می‌کنند، در صورتی که یک یا چند حرکت اختصاص‌یافته به کلیدها به مدل خاصی تعلق داشته باشد، می‌توانند با دیگر کلیدهای شبیه‌سازی‌شده‌ی سیستم ترکیب شوند. (#7783)
- در فایرفاکس، حالت مرور در پاپ‌آپ‌هایی که توسط افزونه‌هایی همچون LastPass و Bitwarden ایجاد می‌شوند، درست کار می‌کند. (#7809)
- NVDA دیگر بعضی وقت‌ها با هر تغییر فکوس، چنانچه فایرفاکس یا کروم به خاطر توقف ناگهانی پاسخ‌گو نباشند، متوقف نمی‌شود. (#7818)
- در برنامه‌های توییتری مثل Chicken Nugget، NVDA دیگر هنگام خواندن توئیت‌های ۲۸۰ نویسه‌ای، ۲۰ نویسه‌ی پایانی توئیت را نادیده نمی‌گیرد. (#7828)
- NVDA حالا وقتی متنی را انتخاب می‌کنید، هنگام خواندن نمادها از زبان درست استفاده می‌کند. (#7687)
- در نگارش‌های اخیرِ Office 365, پیمایش روی نمودارها با جهت‌نماها در Excel دوباره امکانپذیر شده‌است. (#7046)
- در خروجی بریل و گفتار، وضعیت کنترل‌ها، صرف نظر از مثبت یا منفی بودن، همیشه به یک ترتیب اعلام می‌شوند. (#7076)
- در برنامه‌هایی مانند پست الکترونیکی (Mail) در ویندوز ۱۰، NVDA دیگر وقتی Backspace را فشار می‌دهید، هنگام اعلام نویسه‌ی پاک‌شده به اشتباه نمی‌افتد. (#7456)
- همه‌ی کلیدهای روی نمایشگرهای Braille Sense Polaris شرکت Hims، حالا آن‌طور که انتظار می‌رود کار می‌کنند. (#7865)
- هنگامی که نسخه‌ی خاصی از Visual Studio 2017 redistributables توسط برنامه‌ی دیگری نصب شده باشد، NVDA دیگر به خاطر مشکل یک DLL داخلی، زمان شروع به کار، متوقف نمی‌شود. (#7975)

## ۲۰۱۷.۴

از نکات برجسته‌ی این نگارش می‌توان به اصلاحات و بهبودی‌های زیادی در پشتیبانی از وب همچون حالت مرور پیش‌فرض برای پنجره‌های محاوره‌ای تحت وب، بهتر اعلام کردنِ برچسب‌های گروهی فیلدها در حالت مرور، پشتیبانی از فنآوریهای جدید ویندوز ۱۰ مانند Windows Defender Application Guard و ویندوز ۱۰ بر بستر ARM64، و اعلام خودکار جهتِ صفحه‌ی نمایش و وضعیت باتری اشاره نمود. لطفا توجه کنید که این نگارش از NVDA دیگر ویندوز اکس‌پی و ویندوز ویستا را پشتیبانی نمی‌کند. از این پس، NVDA دستکم برای اجرا به ویندوز ۷ با service pack 1 نیاز دارد.

### امکانات جدید

- از این به بعد در حالت مرور، رفتن به ابتدا یا انتهای یک بخش (landmark)، با استفاده از فرمان‌های رفتن به ابتدا و انتهای یک دربرگیرنده (کاما و شیفت+کاما) امکان‌پذیر است. (#5482)
- در فایرفاکس، کروم و اینترنت اکسپلورر، پیمایش سریع به فیلدهای ویرایشی و فرم‌ها حالا شامل محتوای متنی پیشرفته‌ی ویرایشی (به عنوان مثال، contentEditable) نیز می‌شود. (#5534)
- در مرورگرهای وب، فهرست سازه‌ها حالا می‌تواند فیلدهای فرم و دکمه‌ها را هم فهرست کند. (#588)
- پشتیبانی اولیه از ویندوز ۱۰ بر بستر ARM64. (#7508)
- پشتیبانی اولیه از خواندن و تعامل با محتوای ریاضی برای کتاب‌های کیندل با ریاضی دسترس‌پذیر. (#7536)
- پشتیبانی از برنامه‌ی کتاب‌خوانِ الکترونیکِ Azardi افزوده شد. (#5848)
- اطلاعات شماره‌ی نگارشِ افزونه‌ها هنگامِ بروزرسانی اعلام می‌شود. (#5324)
- پارامتر‌های جدیدی در خطِ فرمانِ NVDA برای ساختن نسخه‌ی قابل حمل اضافه شد. (#6329)
- پشتیبانی از Microsoft Edge در حال اجرا درونِ برنامه‌ی Windows Defender Application Guard در بروزرسانیِ پاییزِ Creators ویندوز ۱۰. (#7600)
- NVDA حالا هنگام کار با لپتاپ یا تبلت، وصل یا قطع شدن شارژر و تغییر جهت صفحه‌ی نمایش را اعلام می‌کند. (#4574, #4612)
- زبان جدید: مقدونی.
- جدول‌های برگرداننده‌ی بریل جدید: کرواتی درجه ۱، ویتنامی درجه ۱. (#7518, #7565)
- پشتیبانی از نمایشگر بریل Actilino از شرکت Handy Tech افزوده شد. (#7590)
- ورودی بریل برای نمایشگرهای Handy Tech هم‌اکنون پشتیبانی می‌شود. (#7590)

### تغییرات

- NVDA دیگر از سیستم‌عامل‌هایی پایینتر از ویندوز 7 با Service Pack 1 یا ویندوز Server 2008 R2 با Service Pack 1 پشتیبانی نمی‌کند. (#7546)
- پنجره‌های محاوره‌ای تحت وب در مرورگرهای فایرفاکس و کروم، از این پس بطور خودکار از حالت مرور استفاده می‌کنند؛ مگر اینکه داخل یک برنامه‌ی تحت وب باشند. (#4493)
- در حالت مرور، هنگام حرکت کردن با تب و فرمان‌های پیمایش سریع، دیگر بیرون پریدن از یک دربرگیرنده اعلام نمی‌شود. مثلا NVDA نمی‌گوید «بیرون از جدول» یا «بیرون از فهرست». بدین ترتیب پیمایش کارامدتر و سریعتر می‌شود. (#2591)
- در فایرفاکس و کروم، نام گروه‌های فیلدهای یک فرم هنگامی که با کلیدهای پیمایش سریع یا تب روی آن‌ها حرکت می‌کنید اعلام می‌شوند. (#3321)
- در حالت مرور، فرمان پیمایش سریع برای اشیاء توکار (O و Shift+O)، از این به بعد سازه‌های صوتی و ویدیویی را نیز همانند سازه‌های برنامه و پنجره‌ی محاوره‌ای شامل می‌شود. (#7239)
- Espeak-ng به نسخه‌ی ۱.۴۹.۲ بروز شد. این نسخه، اشکالی که هنگام تولید انتشارها ایجاد می‌شد را برطرف کرده است. (#7385, #7583)
- حالا می‌توانید برای کپی کردن اطلاعات نوار وضعیت در کلیپ‌برد، فرمانِ «اعلام نوار وضعیت» را سه بار -پشت سر هم- اجرا کنید. (#1785)
- هنگامی که فرمان‌هایی را به کلیدهای نمایشگر Baum اختصاص می‌دهید، می‌توانید آن فرمان‌ها را به مدلِ نمایشگر بریل مورد استفاده، مثلا VarioUltra یا Pronto محدود کنید. (#7517)
- در پنجره‌ی فهرست سازه‌ها، فیلد «فیلتر کردن با» به «محدود کردن به» تغییر کرد. به سبب این تغییر، کلید سریع این فیلد از آلْت+ف به آلْت+ح تغییر یافت.
- یک فرمانِ بدون کلید اختصاصیافته در حالت مرور برای گنجانده شدن یا نشدن جدول‌های طرح‌بندی اضافه شده است. می‌توانید این فرمان را در بخش حالت مرور در پنجره‌ی فرمان‌های ورودی پیدا کنید و در صورت نیاز یک کلید به آن اختصاص دهید. (#7634)
- برگرداننده‌ی بریل Liblouis به نگارش 3.3.0 ارتقا یافت. (#7565)
- فایل‌های دیکشنری صدا از این به بعد دارای شماره نسخه هستند و به شاخه‌ی «speechDicts/voiceDicts.v1» منتقل می‌شوند. (#7592)
- تغییرات فایل‌های دارای شماره نسخه، مثل فایل‌های پیکربندی کاربر و دیکشنری‌های صدا، دیگر هنگامی که NVDA را از برنامه‌ی نصب‌کننده اجرا می‌کنید، ذخیره نمی‌شوند. (#7688)
- نمایشگرهای بریل Braillino، Bookworm و Modular (با میان‌افزار قدیمی) از شرکت Handy Tech دیگر بمحض اتصال پشتیبانی نمی‌شوند. برای استفاده از این نمایشگرها، درایور عمومی HandyTech و افزونه‌ی NVDA را نصب کنید. (#7590)

### رفع اشکال

- از این پس، لینک‌ها در بریل، در برنامه‌هایی مانند Microsoft Word نیز مشخص می‌شوند. (#6780)
- NVDA دیگر هنگامی که تب‌های زیادی در مرورگرهای فایرفاکس یا کروم باز باشند، بطور قابل ملاحظه‌ای کند نمی‌شود. (#3138)
- بردن مکان‌نما به خانه‌ی بریل (Cursor routing) در نمایشگر بریل MDV Lilli، دیگر به اشتباه، مکان‌نما را به یک خانه جلوتر از جایی که باید باشد نمی‌برد. (#7469)
- در اینترنت اکسپلورر و دیگر اسناد MSHTML، ویژگی «نیاز بودن (required)» HTML5 از این پس پشتیبانی می‌شود. این ویژگی برای مشخص کردن وضعیت آن بخش‌هایی از فرم که مثلا نیاز است اطلاعاتشان تکمیل شود، به کار می‌رود. (#7321)
- هنگامی که در یک سند چپ‌چین در Wordpad، نویسه های عربی (یا فارسی) تایپ می‌کنید، نمایشگرهای بریل حالا نویسه‌ها را بمحض تایپ شدن نشان می‌دهند. (#511).
- برچسب‌های دسترس‌پذیرِ کنترل‌ها در فایرفاکس حالا هنگامی که خودِ برچسب به عنوان محتوا ظاهر نشود، به‌راحتی در حالت مرور اعلام می‌شود. (#4773)
- در روزامدِ Creaters ویندوز ۱۰، NVDA می‌تواند بعد از راه‌اندازی مجدد، دوباره به فایرفاکس دسترسی پیدا کند. (#7269)
- هنگامی که NVDA را در حالی که فایرفاکس در تیررس است از نو راه‌اندازی کنید، حالت مرور دوباره وجود خواهد داشت؛ هرچند ممکن است لازم باشد Alt+Tab را برای رفتن و برگشتن به پنجره‌ی فایرفاکس بزنید. (#5758)
- از این پس دسترسی به محتوای ریاضی در کروم، در سیستمی که فایرفاکس رویش نصب نیست امکان‌پذیر است. (#7308)
- سیستم‌عامل و دیگر برنامه‌ها، همانند نسخه‌های پیشینِ NVDA، بلافاصله پس از نصب و پیش از راه‌اندازیِ مجدد، باید پایدارتر عمل کنند. (#7563)
- هنگامی که از یک فرمان بازشناسی محتوا، مثلا NVDA+R استفاده می‌کنید، در صورتی که پیمایشگر ناپدید شود، NVDA یک پیغام خطا می‌دهد. پیش از این در چنین موردی NVDA چیزی اعلام نمی‌کرد. (#7567)
- قابلیت عقب بردن نمایشگر برای نمایشگرهای Freedom Scientific که دارای یک left bumper bar هستند اصلاح شده است. (#7713)

## ۲۰۱۷.۳

از نکات برجسته‌ی این نگارش می‌توان به امکان نوشتن بریل کوتاه‌نویسی، پشتیبانی از صداهای OneCore موجود در ویندوز ۱۰، پشتیبانی داخلی از OCR ویندوز ۱۰، و بهبودی‌های بسیار قابل توجهی در بریل و وب اشاره نمود.

### امکانات جدید

- یک تنظیم به تنظیمات بریل برای «نشان دادن پیام‌ها بطور نامحدود» افزوده شد. (#6669)
- در فهرست پیام‌ها در Microsoft Outlook، NVDA پیامی را که علامت‌دار باشد اعلام می‌کند. (#6374)
- در Microsoft Powerpoint، هنگام ویرایش یک اسلاید، حالا نوع دقیق یک شکل اعلام می‌شود. مثلا، به جای اینکه فقط گفته شود: «شکل»، اعلام می‌شود: مثلث، دایره، ویدیو، فِلِش. (#7111)
- محتوای ریاضی (که به عنوان MathML ارائه شده) از این به بعد در Google Chrome پشتیبانی می‌شود. (#7184)
- NVDA حالا می‌تواند با استفاده از صداهای جدید Windows OneCore (که به عنوان mobile voices نیز شناخته می‌شوند) که در ویندوز ۱۰ موجود است، سخن بگوید. می‌توانید با انتخاب «صداهای Windows OneCore» در پنجره‌ی موتور سخنگو به این صداها دست یابید. (#6159)
- فایل‌های پیکربندی کاربر NVDA می‌توانند از این به بعد در پوشه‌ی Local داخل پوشه‌ی Application Dataی کاربر ذخیره شوند. این رفتار می‌تواند توسط تنظیمی در رجیستری امکان‌پذیر شود. برای کسب اطلاعات بیشتر پارامترهای فراگیر سیستم را در راهنمای کاربر ببینید. (#6812)
- در مرورگرهای وب، NVDA حالا مقادیر جا‌نگهدارها (placeholders) را برای فیلدها اعلام می‌کند. به‌ویژه، aria-placeholder از این پس پشتیبانی می‌شود. (#7004)
- در حالت مرور برای Microsoft Word، حالا پیمایش روی خطاهای املایی با استفاده از کلید پیمایش سریع (W و Shift+W) امکان‌پذیر است. (#6942)
- پشتیبانی از کنترل انتخاب‌کننده‌ی تاریخ در پنجره‌های تعیین قرار ملاقات در Microsoft Outlook افزوده شد. (#7217)
- از این پس پیشنهاد فعلی انتخاب‌شده در فیلدهای to و cc برنامک Mail و فیلد جستجو در تنظیمات ویندوز ۱۰ اعلام می‌شود. (#6241)
- هنگام ظاهر شدن پیشنهادها در برخی فیلدهای جستجو در ویندوز ۱۰، مانند صفحه‌ی Start، جستجوی تنظیمات، فیلدهای to و cc در Mail ویندوز ۱۰، صدایی پخش می‌شود. (#6241)
- NVDA اعلان‌ها را در برنامه‌ی Skype for Business Desktop بطور خودکار می‌خوانَد؛ مثلا هنگامی که کسی با شما شروع به مکالمه‌ی متنی می‌کند. (#7281)
- NVDA بطور خودکار گپ‌های ورودی را هنگامی که در مکالمه‌ای در Skype for Business هستید اعلام می‌کند. (#7286)
- NVDA اعلان‌ها را در برنامه‌ی Microsoft Edge بطور خودکار می‌خوانَد؛ مثلا زمانی که یک دانلود شروع می‌شود. (#7281)
- شما حالا می‌توانید هم بریل کوتاه‌نویسی و هم بریل معمولی را با استفاده از صفحه‌کلید بریل تایپ کنید. برای کسب اطلاعات بیشتر بخش ورودی بریل در راهنمای کاربری را ببینید. (#2439)
- حالا می‌توانید نویسه‌های بریل یونی‌کد را با استفاده از صفحه‌کلید بریل نمایشگر بریلتان وارد کنید. برای این کار، جدول بریل یونی‌کد را به عنوان جدول ورودی در تنظیمات بریل انتخاب کنید. (#6449)
- پشتیبانی از نمایشگر بریل SuperBraille، که در تایوان استفاده می‌شود، افزوده شد. (#7352)
- جدول‌های برگرداننده‌ی بریل جدید: دانمارکی بریل ۸ نقطه‌ی رایانه، لیتوانیایی، فارسی بریل ۸ نقطه‌ی رایانه*، فارسی درجه ۱ (بهبودیافته نسبت به جدول پیشین)، اسلوونیایی بریل ۸ نقطه‌ی رایانه. (#6188, #6550, #6773, #7367)
- جدول بریل ۸ نقطه‌ی رایانه‌ایِ انگلیسی آمریکا بهبود یافته است؛ به‌گونه‌ای که بولِت‌ها، علامت یورو و حروف آکساندار را پشتیبانی می‌کند. (#6836)
- NVDA حالا می‌تواند از قابلیت OCR موجود در ویندوز ۱۰ برای بازشناسایی متن در تصاویر و برنامه‌های دسترس‌ناپذیر استفاده کند. (#7361)
  - زبان OCR را می‌توانید در پنجره‌ی جدید OCR ویندوز ۱۰ در تنظیمات NVDA تعیین کنید.
  - برای بازشناسایی محتوای شیء پیمایشگر جاری، NVDA+r را فشار دهید.
  - برای جزئیات بیشتر، بخش «بازشناسی محتوا» را در راهنمای کاربر ببینید.
- شما حالا می‌توانید انتخاب کنید هنگامی که یک شیء فرمان‌پذیر می‌شود، چه اطلاعات زمینه‌ای در نمایشگر بریل -مربوط به آن شیء- نشان داده شود. این کار را می‌توانید با استفاده از تنظیم جدید «ارائه‌ی اطلاعات زمینه‌ای فکوس» در پنجره‌ی تنظیمات بریل انجام دهید. (#217)
  - مثلا، گزینه‌های «پر کردن نمایشگر با تغییرات زمینه‌ای» و «تنها هنگام عقب بردن نمایشگر» می‌توانند کار کردن با منوها و فهرست‌ها را کارامدتر سازند؛ چرا که دیگر اجزای موجود در یک منو یا فهرست بطور مداوم جایشان را در نمایشگر تغییر نمی‌دهند.
  - بخش تنظیم «ارائه‌ی اطلاعات زمینه‌ای فکوس» را در راهنمای کاربر برای اطلاعات و مثال‌های بیشتر ببینید.
- NVDA حالا در فایرفاکس و کروم، جدول‌های پویای پیچیده را مانند صفحات گسترده پشتیبانی می‌کند. در این جدول‌ها ممکن است تنها بعضی محتواها بارگزاری شده یا نمایش داده شود. (مشخصا، ویژگی‌های aria-rowcount، aria-colcount، aria-rowindex و aria-colindex در ARIA 1.1 معرفی شده‌اند). (#7410)

### تغییرات

- برای سهولت کار با نمایشگرهای بریل، اختصارات بریل به‌کار‌رفته در زبان فارسیِ NVDA، اندکی تغییر یافته‌اند. جهت کسب اطلاعات بیشتر بخش اختصارات بریل را در راهنمای کاربر ببینید.
- یک فرمان بدون کلید سریع برای راه‌اندازیِ درخواستیِ NVDA افزوده شده است. می‌توانید آن‌را در دسته‌ی فرمان‌های متفرقه در پنجره‌ی فرمان‌های ورودی پیدا کنید و کلید مورد نظرتان را برای اجرای فرمان یادشده اختصاص دهید. (#6396)
- از این پس می‌توانید چیدمان صفحه‌کلید را از پنجره‌ی خوش‌آمدگویی NVDA نیز تنظیم کنید. (#6863)
- انواع کنترل و وضعیت‌های بسیار بیشتری برای بریل مختصرنویسی شدند. بخش‌های موجود در یک صفحه‌ی وب نیز در بریل مختصرنویسی شده‌اند. برای فهرست کاملی از اختصارات، بخش اِختِصاراتِ انواع و وضعیت کنترل‌ها و بخش‌ها را زیر عنوان بریل در راهنمای کاربر ببینید. (#7188, #3975)
- Espeak-ng به نگارش 1.49.1 بروز شد. (#7280).
- فهرست‌های جدول خروجی و ورودی در پنجره‌ی تنظیمات بریل حالا به شکل الفبایی مرتب شده‌اند. (#6113)
- برگرداننده‌ی بریل Liblouis به نگارش 3.2.0 بروز شد. (#6935)
- جدول بریل پیش‌فرضِ NVDA، کد بریل انگلیسی یکپارچه درجه‌ی 1 است. (#6952)
- NVDA از این پس بطور پیش‌فرض، هنگامی که یک شیء فرمان‌پذیر شود، تنها آن بخش از اطلاعات زمینه‌ای را که تغییر کرده‌است روی نمایشگر بریل نشان می‌دهد. (#217)
  - پیش از این، همیشه در صورت امکان، بیشترین اطلاعات زمینه‌ای، بدون توجه به این‌که قبلا همان اطلاعات را دیده باشید یا نه، نمایش داده می‌شد.
  - می‌توانید با تغییر تنظیم «ارائه‌ی اطلاعات زمینه‌ای فکوس» در پنجره‌ی تنظیمات بریل، رفتار بریل را به پیش از این امکان بازگردانید؛ تا مانند گذشته نمایشگر همیشه با اطلاعات زمینه‌ای پر شود.
- وقتی از بریل استفاده می‌کنید، می‌توانید مکان‌نمای بریل را طوری تنظیم کنید که شکل متفاوتی هنگام اتصال به بازبینی یا فرمان‌پذیری داشته باشد. (#7122)
- لوگوی NVDA بروز شده‌است. لوگوی بروز‌شده عبارت است از مخلوط سفیدرنگ دارای سبْک از حروف NVDA، روی یک پس‌زمینه‌ی بنفش خالص. این ترکیب، این اطمینان را می‌دهد که لوگو روی هر پس‌زمینه‌ی رنگی دیده شود؛ و رنگ بنفش لوگوی NVDA نیز نمایان باشد. (#7446)

### رفع اشکال

- در حالت مرور، سازه‌های ویرایشی div در Chrome دیگر برچسب خود را به عنوان مقدارشان اعلام نمی‌کنند. (#7153)
- فشردن End هنگامی که در حالت مرور یک سند خالی در Microsoft Word هستید، دیگر باعث بُروز خطای زمان اجرا نمی‌شود. (#7009)
- حالت مرور در Microsoft Edge حالا در جایی که به یک سند نقش سندی ARIA‌ی خاصی داده می‌شود، به‌درستی پشتیبانی می‌شود. (#6998)
- در حالت مرور، حالا می‌توانید حتی زمانی که نشانگر روی آخرین نویسه‌ی خط قرار دارد، با استفاده از Shift+End تا پایان خط را انتخاب کرده یا از انتخاب درآورید. (#7157)
- اگر یک پنجره‌ی محاوره‌ای دارای نوار پیش‌رفت باشد، متن پنجره هم‌زمان با تغییر نوار پیش‌رفت در بریل بروز می‌شود. این بدین معنیست که مثلا، زمان باقی‌مانده در پنجره‌ی دانلود بروزرسانی NVDA خوانده می‌شود. (#6862)
- NVDA حالا تغییرات در گزینه‌های برخی جعبه‌های کشویی در ویندوز ۱۰، همچون AutoPlay در Settings را اعلام می‌کند. (#6337).
- اطلاعات بیهوده دیگر هنگام ورود به پنجره‌های ایجاد جلسه یا قرار ملاقات در Microsoft Outlook اعلام نمی‌شود. (#7216)
- NVDA برای پنجره‌هایی که حاوی نوار پیشرفت نامعین باشند، مانند بررسی‌کننده‌ی بروزرسانی، تنها وقتی که خروجی نوار پیشرفت روی بوق زدن تنظیم شده باشد بوق می‌زند. (#6759)
- در Microsoft Excel 2003 و 2007، هنگامی که در یک کار‌برگ با جهت‌نماها حرکت می‌کنید، خانه‌ها دوباره اعلام می‌شوند. (#7243)
- در بروزرسانی Creators ویندوز ۱۰ و بروزرسانی‌های بعدی، هنگام خواندن ایمیل‌ها در برنامک Mail ویندوز ۱۰، حالت مرور دوباره بطور خودکار فعال می‌شود. (#7289)
- در بیشترِ نمایشگرهای بریلِ دارای صفحه‌کلید بریل، نقطه‌ی ۷ از این به بعد آخرین خانه‌ی بریل یا نویسه‌ی وارد‌شده را پاک می‌کند، و نقطه‌ی ۸ کلید اینتر را فشار می‌دهد. (#6054)
- در متن قابل ویرایش، هنگامی که نشانگر را مثلا با کلیدهای مکان‌نما یا کلید Backspace حرکت می‌دهید، در بیشتر وقت‌ها، به‌ویژه در برنامه‌های کروم و پایانه‌ها، بازخورد گفتاری NVDA دقیقتر است. (#6424)
- NVDA می‌تواند از این به بعد محتوای ویرایشگر امضا را در Microsoft Outlook 2016 بخواند. (#7253)
- NVDA دیگر در برنامه‌های JAVA Swing، هنگامی که در جدول‌ها پیمایش می‌کنید، باعث توقف برنامه نمی‌شود. (#6992)
- NVDA دیگر در روزامد Creators در ویندوز ۱۰، اعلان‌های فوری را چندین بار اعلام نمی‌کند. (#7128)
- در start menu در ویندوز 10، هنگامی که بعد از انجام جستجو اینتر را برای بستن منوی یادشده می‌زنید، دیگر باعث نمی‌شود تا NVDA بگوید متنِ جستجو. (#7370)
- اجرای پیمایش سریع روی سرنوشتارها در Microsoft Edge حالا بطور قابل ملاحظه‌ای سریعتر شده است. (#7343)
- در Microsoft Edge، پیمایش در حالت مرور دیگر بخش‌های وسیعی از بعضی صفحات وب را نادیده نمی‌گیرد؛ مانند آنچه که پیش از این در مورد Wordpress 2015 theme اتفاق می‌افتاد. (#7143)
- در Microsoft Edge، نام بخش‌های یک صفحه در زبان‌های غیر از انگلیسی به‌درستی محلی‌سازی (ترجمه) می‌شوند. (#7328)
- بریل، هنگامی که متنی را خارج از عرض صفحه‌ی نمایش بریل انتخاب می‌کنید، حالا به‌درستی آنچه که انتخاب شده را دنبال می‌کند. مثلا اگر چند خط را با شیفت+جهت‌نمای پایین انتخاب کنید، حالا بریل، آخرین خطی را که انتخاب کرده‌اید نمایش می‌دهد. (#5770)
- در فایرفاکس، NVDA دیگر هنگامی که جزئیات یک توئیت را در twitter.com باز می‌کنید، دیگر به‌اشتباه «بخش» را چندین بار اعلام نمی‌کند. (#5741)
- در حالت مرور، پیمایش جدول‌ها دیگر برای جدول‌های طرح‌بندی موجود نیست؛ مگر اینکه گزینه‌ی «اعلام جدول‌های طرح‌بندی» فعال شود. (#7382)
- در فایرفاکس و کروم، فرمان‌های پیمایش در حالت مرور، حالا خانه‌های جدول‌های مخفی را نادیده می‌گیرند. (#6652, #5655)

##### * جدول فارسی بریل ۸ نقطه‌ی رایانه

با انتخاب جدول فوق الذکر در بخش تنظیمات بریل به عنوان جدول ورودی، می‌توانید الفبای فارسی و انگلیسی، اعداد فارسی و انگلیسی و برخی دیگر از نمادها را به شرح زیر با صفحه‌کلید بریل روی نمایشگر بریل، یا افزونه‌ی PCKeyboardBraillInput با صفحه‌کلید معمولی تایپ کنید:

###### ۱. حروف الفبای فارسی

توضیح: محتوای این جدول با آنچه که از بریل فارسی می‌دانیم تفاوتی ندارد و صرفا جهت یادآوری آمده‌است.

نویسه | نقطه‌های بریل | بریل یونی‌کد
--- | --- | ---
آ | ۳-۴-۵ | ⠜
ا | ۱ | ⠁
ب | ۱-۲ | ⠃
پ | ۱-۲-۳-۴ | ⠏
ت | ۲-۳-۴-۵ | ⠞
ث | ۱-۴-۵-۶ | ⠹
ج | ۲-۴-۵ | ⠚
چ | ۱-۴ | ⠉
ح | ۱-۵-۶ | ⠱
خ | ۱-۳-۴-۶ | ⠭
د | ۱-۴-۵ | ⠙
ذ | ۲-۳-۴-۶ | ⠮
ر | ۱-۲-۳-۵ | ⠗
ز | ۱-۳-۵-۶ | ⠵
ژ | ۳-۴-۶ | ⠬
س | ۲-۳-۴ | ⠎
ش | ۱-۴-۶ | ⠩
ص | ۱-۲-۳-۴-۶ | ⠯
ض | ۱-۲-۴-۶ | ⠫
ط | ۲-۳-۴-۵-۶ | ⠾
ظ | ۱-۲-۳-۴-۵-۶ | ⠿
ع | ۱-۲-۳-۵-۶ | ⠷
غ | ۱-۲-۶ | ⠣
ف | ۱-۲-۴ | ⠋
ق | ۱-۲-۳-۴-۵ | ⠟
ک | ۱-۳ | ⠅
گ | ۱-۲-۴-۵ | ⠛
ل | ۱-۲-۳ | ⠇
م | ۱-۳-۴ | ⠍
ن | ۱-۳-۴-۵ | ⠝
و | ۲-۴-۵-۶ | ⠺
ه | ۱-۲-۵ | ⠓
ی | ۲-۴ | ⠊

###### ۲. نویسه‌های عربی

توضیح: این جدول حاوی نویسه‌هاییست که بیشتر در کلماتی که در فارسی به شیوه‌ی عربی نوشته می‌شوند و در بعضی موارد در کلمات غیر عربی نیز به کار می‌روند.

نویسه | نقطه‌های بریل | بریل یونی‌کد
--- | --- | ---
ء (همزه؛ مثل: انشاء) | ۳ | ⠄
أ (الف همزه رو: أبطال) | ۳-۴ | ⠌
إ (الف همزه زیر: إبطال) | ۳-۴-۷ | ⡌
ؤ (واو همزه: مسؤول) | ۱-۲-۵-۶ | ⠳
ئ (یا همزه: تئاتر) | ۱-۳-۴-۵-۶ | ⠽
ة (ت تأنیث: دائرة المعارف) | ۱-۶ | ⠡
ك (کاف عربی: كوت) | ۱-۳-۷-۸ | ⣅
ي (ی عربی: يم) | ۲-۴-۶-۷-۸ | ⣪
ى (الف مقصوره: موسى) | ۱-۳-۵ | ⠕
َ (فتحه) | ۲ | ⠂
ِ (کسره) | ۱-۵ | ⠑
ُ (ضمه) | ۱-۳-۶ | ⠥
ً (دو فتحه، نصب: حتماً) | ۲-۳ | ⠆
ٍ (دو کسره، جَر) | ۳-۵ | ⠔
ٌ (دو ضمه، رفع) | ۲-۶ | ⠢
ّ (تشدید؛ هنگام تایپ بعد از حرف مشدد تایپ می‌شود) | ۶ | ⠠
ْ (ساکن) | ۲-۵ | ⠒

###### ۳. دو نویسه‌ی ویژه‌ی نگارش فارسی

نویسه | نقطه‌های بریل | بریل یونی‌کد
--- | --- | ---
نیم‌فاصله یا فاصله‌ی مجازی: خانه‌ی | ۶-۸ | ⢠
کشیده: خـــروج | ۴-۵-۶-۷ | ⡸

###### ۴. اعداد و نمادهای ریاضی در نگارش فارسی

توضیح: از آنجا که در جدول بریل رایانه‌ای نمی‌توان دو خانه را به یک نویسه اختصاص داد، لذا علامت حساب حذف شد و به جای آن نقاط ۷-۸ اضافه شد.

نویسه | نقطه‌های بریل | بریل یونی‌کد
--- | --- | ---
۱ | ۱-۷-۸ | ⣁
۲ | ۱-۲-۷-۸ | ⣃
۳ | ۱-۴-۷-۸ | ⣉
۴ | ۱-۴-۵-۷-۸ | ⣙
۵ | ۱-۵-۷-۸ | ⣑
۶ | ۱-۲-۴-۷-۸ | ⣋
۷ | ۱-۲-۴-۵-۷-۸ | ⣛
۸ | ۱-۲-۵-۷-۸ | ⣓
۹ | ۲-۴-۷-۸ | ⣊
۰ | ۲-۴-۵-۷-۸ | ⣚
٫ (ممیز) | ۵ | ⠐
٬ (هزارگان، جداکننده‌ی سه‌رقمی اعداد: ۱۲۳٬۴۵۶) | ۳-۷ | ⡄
٪ (نماد درصد) | ۱-۴-۶-۷ | ⡩

###### ۵. نمادهای نقطه‌گذاری ویژه‌ی نگارش فارسی

توضیح: شکل قرار گرفتن این نمادها در رسم الخط به گونه‌ایست که تنها باید در نگارش فارسی به‌کار گرفته شوند. چنانکه در جدول خواهید دید، نقطه‌ی ۷ به این علامت‌ها اضافه شده و به معادل انگلیسی این علامت‌ها، نقطه‌ی ۸ اضافه می‌شود.

نویسه | نقطه‌های بریل | بریل یونی‌کد
--- | --- | ---
، (ویرگول) | ۲-۷ | ⡂
؛ (نقطه ویرگول) | ۲-۳-۷ | ⡆
؟ (سؤال) | ۱-۴-۵-۶-۷ | ⡹

###### ۶. حروف الفبای انگلیسی

توضیح: راهکاری موقت و سریع برای درج حروف الفبای انگلیسی در متن فارسی. به حروف uppercase نقطه‌ی ۷، و به حروف lowercase نقطه‌ی ۸ اضافه شده است.

نویسه (Up, low) | نقطه‌های بریل (Up, low) | بریل یونی‌کد (Up, low)
--- | --- | ---
A, a | 1-7, 1-8 | ⡁, ⢁
B, b | 1-2-7, 1-2-8 | ⡃, ⢃
C, c | 1-4-7, 1-4-8 | ⡉, ⢉
D, d | 1-4-5-7, 1-4-5-8 | ⡙, ⢙
E, e | 1-5-7, 1-5-8 | ⡑, ⢑
F, f | 1-2-4-7, 1-2-4-8 | ⡋, ⢋
G, g | 1-2-4-5-7, 1-2-4-5-8 | ⡛, ⢛
H, h | 1-2-5-7, 1-2-5-8 | ⡓, ⢓
I, i | 2-4-7, 2-4-8 | ⡊, ⢊
J, j | 2-4-5-7, 2-4-5-8 | ⡚, ⢚
K, k | 1-3-7, 1-3-8 | ⡅, ⢅
L, l | 1-2-3-7, 1-2-3-8 | ⡇, ⢇
M, m | 1-3-4-7, 1-3-4-8 | ⡍, ⢍
N, n | 1-3-4-5-7, 1-3-4-5-8 | ⡝, ⢝
O, o | 1-3-5-7, 1-3-5-8 | ⡕, ⢕
P, p | 1-2-3-4-7, 1-2-3-4-8 | ⡏, ⢏
Q, q | 1-2-3-4-5-7, 1-2-3-4-5-8 | ⡟, ⢟
R, r | 1-2-3-5-7, 1-2-3-5-8 | ⡗, ⢗
S, s | 2-3-4-7, 2-3-4-8 | ⡎, ⢎
T, t | 2-3-4-5-7, 2-3-4-5-8 | ⡞, ⢞
U, u | 1-3-6-7, 1-3-6-8 | ⡥, ⢥
V, v | 1-2-3-6-7, 1-2-3-6-8 | ⡧, ⢧
W, w | 2-4-5-6-7, 2-4-5-6-8 | ⡺, ⢺
X, x | 1-3-4-6-7, 1-3-4-6-8 | ⡭, ⢭
Y, y | 1-3-4-5-6-7, 1-3-4-5-6-8 | ⡽, ⢽
Z, z | 1-3-5-6-7, 1-3-5-6-8 | ⡵, ⢵

###### ۷. اعداد در نگارش انگلیسی

توضیح: همانند جدول ۴، علامت حساب حذف شده و از شکل -به اصطلاح- کوتاه اعداد همراه با نقطه‌های ۷-۸ استفاده شده است.

نویسه | نقطه‌های بریل | بریل یونی‌کد
--- | --- | ---
1 | 2-7-8 | ⣂
2 | 2-3-7-8 | ⣆
3 | 2-5-7-8 | ⣒
4 | 2-5-6-7-8 | ⣲
5 | 2-6-7-8 | ⣢
6 | 2-3-5-7-8 | ⣖
7 | 2-3-5-6-7-8 | ⣶
8 | 2-3-6-7-8 | ⣦
9 | 3-5-7-8 | ⣔
0 | 3-5-6-7-8 | ⣴

###### ۸. نمادهای نقطه‌گذاری مشترک

توضیح: به جز مواردی که بر انگلیسی بودن علامت تصریح شده، باقی علامت‌ها ممکن است در فارسی نیز به کار روند.

نویسه | نقطه‌های بریل | بریل یونی‌کد
--- | --- | ---
! (علامت تعجب) | ۲-۳-۵ | ⠖
" (Quotation mark, علامت نقل قول در انگلیسی) | ۵-۸ | ⢐
' (Apostrophe در انگلیسی) | 3-8 | ⢄
( (پرانتز باز) | 2-3-5-6-7 | ⡶
) (پرانتز بسته) | 2-3-5-6-8 | ⢶
* (ستاره) | 1-6-8 | ⢡
, (Comma در انگلیسی) | 2-8 | ⢂
- (خط تیره) | 3-6 | ⠤
. (نقطه) | 2-5-6 | ⠲
: (Colon, دو نقطه) | 2-5-8 | ⢒
; (semicolon در انگلیسی) | 2-3-8 | ⢆
? (Question mark, علامت سؤال در انگلیسی) | 1-4-5-6-8 | ⢹
« (گیومه باز، ابتدای نقل قول در فارسی) | ۲-۳-۶ | ⠦
» (گیومه بسته، انتهای نقل قول در فارسی) | ۳-۵-۶ | ⠴
“ (Left Quote) | 3-7-8 | ⣄
” (Right quote) | 6-7-8 | ⣠
… (سه نقطه) | ۴-۶-۸ | ⢨

###### ۹. نمادهای ریاضی مشترک

توضیح: به جز مواردی که بر انگلیسی بودن علامت تصریح شده، باقی علامت‌ها ممکن است در فارسی نیز به کار روند.

نویسه | نقطه‌های بریل | بریل یونی‌کد
